options pagesize=80 linesize=140 nocenter;
libname in "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data";

*  1992	M13	140.3;


data one; set in.tm2004w3;
*	2004	09	189.9
	2004	10	190.9
	2004	11	191.0
	2004	12	190.3;

array dork husmed wifemed kidmed othmed totfammed networth;
if srotaton=1 then cpi = 189.9;
if srotaton=2 then cpi = 190.9;
if srotaton=3 then cpi = 191.0;
if srotaton=4 then cpi = 190.3;
cpi = cpi/140.3;

do over dork; dork=dork/cpi; end;

keep birthyear ssuid hhsize3 huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 numkids053 numkids6113 numkids12173 numkids18243 numothrelkid3
numothreladult3 numothnonrelkid3 numothnonreladult3 hushispanic3 wifehispanic3 married3 numkids18243 husmed3 wifemed3 kidmed3 othmed3 totfammed3 networth3 WPFINWGT3 premium3;

array old hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT premium;

array new hhsize3 huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 numkids053 numkids6113 numkids12173 numkids18243 numothrelkid3
numothreladult3 numothnonrelkid3 numothnonreladult3 hushispanic3 wifehispanic3 married3 numkids18243 husmed3 wifemed3 kidmed3 othmed3 totfammed3 networth3 WPFINWGT3 premium3;

do over new; new=old; end;

birthyear = 2004 - husage;

proc sort; by ssuid;

data two; set in.tm2004w6;
*	2005	09	198.8
	2005	10	199.2
	2005	11	197.6
	2005	12	196.8;

array dork husmed wifemed kidmed othmed totfammed networth;
if srotaton=1 then cpi = 198.8;
if srotaton=2 then cpi = 199.2;
if srotaton=3 then cpi = 197.6;
if srotaton=4 then cpi = 196.8;
cpi = cpi/140.3;

do over dork; dork=dork/cpi; end;
keep birthyear ssuid hhsize6 huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 numadults6 numkids6 numkids056 numkids6116 numkids12176 numkids18246 numothrelkid6
numothreladult6 numothnonrelkid6 numothnonreladult6 hushispanic6 wifehispanic6 married6 numkids18246 husmed6 wifemed6 kidmed6 othmed6 totfammed6 networth6 WPFINWGT6 premium6;

array old hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT premium;

array new hhsize6 huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 numadults6 numkids6 numkids056 numkids6116 numkids12176 numkids18246 numothrelkid6
numothreladult6 numothnonrelkid6 numothnonreladult6 hushispanic6 wifehispanic6 married6 numkids18246 husmed6 wifemed6 kidmed6 othmed6 totfammed6 networth6 WPFINWGT6 premium6;

do over new; new=old; end;

birthyear = 2005 - husage;

proc sort; by ssuid;

data seven; set in.tm2004w7;

keep ssuid huseduc7 wifeeduc7 husrace7 wiferace7 husage7 wifeage7 hushispanic7 wifehispanic7 married7 WPFINWGT7 covered typepen durinplan typepen2 durinplan2;

array old huseduc wifeeduc husrace wiferace husage wifeage hushispanic wifehispanic married WPFINWGT;

array new huseduc7 wifeeduc7 husrace7 wiferace7 husage7 wifeage7 hushispanic7 wifehispanic7 married7 WPFINWGT7;

do over new; new=old; end;

proc sort; by ssuid;

data three; merge one two seven; by ssuid;

array six hhsize6 huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 numadults6 numkids6 numkids056 numkids6116 numkids12176 numkids18246 numothrelkid6
numothreladult6 numothnonrelkid6 numothnonreladult6 hushispanic6 wifehispanic6 married6 numkids18246 husmed6 wifemed6 kidmed6 othmed6 totfammed6 networth6 WPFINWGT6 premium6;

array three hhsize3 huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 numkids053 numkids6113 numkids12173 numkids18243 numothrelkid3
numothreladult3 numothnonrelkid3 numothnonreladult3 hushispanic3 wifehispanic3 married3 numkids18243 husmed3 wifemed3 kidmed3 othmed3 totfammed3 networth3 WPFINWGT3 premium3;

array diff hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT premium;

do over diff; diff = six - three; end;

array sixnew huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 hushispanic6 wifehispanic6 married6 WPFINWGT6;
array seven  huseduc7 wifeeduc7 husrace7 wiferace7 husage7 wifeage7 hushispanic7 wifehispanic7 married7 WPFINWGT7;
array diffnew huseducn wifeeducn husracen wiferacen husagen wifeagen hushispanicn wifehispanicn marriedn WPFINWGTn;

do over diffnew; diffnew = seven - sixnew; end;

proc means; 

data chewey; set three; if _n_<100;
proc print; var ssuid 
huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 hushispanic3 wifehispanic3 married3 
huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 hushispanic6 wifehispanic6 married6 
huseduc7 wifeeduc7 husrace7 wiferace7 husage7 wifeage7 hushispanic7 wifehispanic7 married7 ;
run;

data four; set three; if huseduc=0 and wifeeduc=0 and husrace=0 and wiferace=0 and (husage=0 or husage=1) and (wifeage=0 or wifeage=1) and hushispanic=0 and wifehispanic=0
and married=0 and married3=1 and huseducn=0 and wifeeducn=0 and husracen=0 and wiferacen=0 and (husagen=0 or husagen=1) and (wifeagen=0 or wifeagen=1) and hushispanicn=0 and wifehispanicn=0
and married=0 and married3=1 and marriedn=0;

if networth ne . then oddwealth=0;
if networth ne . and (networth<-200000 or networth>200000) then oddwealth=1;

if totfammed ne . then oddmed=0;
if totfammed ne . and (totfammed<-10000 or totfammed>10000) then oddwealth=1;

proc means; 

proc univariate; var networth;

data woop; set four; if _n_<100;
*proc print; *var ssuid huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 husmed3 wifemed3 husmed6 wifemed6 networth3 networth6;

data five; set four;
assets = networth3; age=husage3; husmed=husmed3; wifemed=wifemed3; totfammed=totfammed3; huseduc=huseduc3; husrace=husrace3; hushisp=hushispanic3; premium =  premium3; output;
assets = networth6; age=husage3 + 1; husmed=husmed6; wifemed=wifemed6; totfammed=totfammed6; huseduc=huseduc6; husrace=husrace6; hushisp=hushispanic6;  premium =  premium6; output;

data in.assmed_04; set five;
keep age assets covered typepen husmed wifemed totfammed ssuid huseduc husrace hushisp birthyear ssuid;

run;
