options pagesize=80 linesize=140 nocenter;
libname in "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data";

FILENAME datafile "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\p04putm3.dat ";

DATA s04tm3;

INFILE datafile LRECL = 20000 ;



INPUT

@1    ssuseq       5.
@6    ssuid      12.
@18   spanel       4.
@22   swave        2.
@24   srotaton     1.
@25   tfipsst      2.
@27   shhadid      3.
@30   eoutcome     3.
@33   rfid         3.
@36   rfid2        3.
@39   eppidx       3.
@42   eentaid     3.
@45   epppnum     4.
@49   epopstat     1.
@50   eppintvw     2.
@52   eppmis4      1.
@53   esex         1.
@54   erace        1.
@55   eorigin      2.
@57   wpfinwgt   10.4
@67   errp         2.
@69   tage         2.
@71   ems          1.
@72   epnspous     4.
@76   epnmom       4.
@80   epndad       4.
@84   epnguard     4.
@88   rdesgpnt     2.
@90   eeducate     2.
@92   lgtkey      8.
@100  sinthhid     3.
@103  emdunv       2.
@105  tdonorid     1.
@106  ehouspay     2.
@108  ahouspay     1.
@109  efoodpay     2.
@111  afoodpay     1.
@112  eexppay      2.
@114  aexppay      1.
@115  ehhpay       2.
@117  ahhpay       1.
@118  ewhopy01     4.
@122  ewhopy02     4.
@126  ewhopy03     4.
@130  ewhopy04     4.
@134  ewhopy05     4.
@138  ewhopy06     4.
@142  ewhopy07     4.
@146  ewhopy08     4.
@150  ewhopy09     4.
@154  ewhopy10     4.
@158  ewhopy11     4.
@162  ewhopy12     4.
@166  ewhopy13     4.
@170  ewhopy14     4.
@174  ewhopy15     4.
@178  ewhopy16     4.
@182  ewhopy17     4.
@186  ewhopy18     4.
@190  ewhopy19     4.
@194  ewhopy20     4.
@198  ewhopy21     4.
@202  ewhopy22     4.
@206  ewhopy23     4.
@210  ewhopy24     4.
@214  ewhopy25     4.
@218  ewhopy26     4.
@222  ewhopy27     4.
@226  ewhopy28     4.
@230  ewhopy29     4.
@234  ewhopy30     4.
@238  awhopy       1.
@239  ehltstat     2.
@241  ahltstat     1.
@242  ehospsta     2.
@244  ahospsta     1.
@245  ehospnit     3.
@248  ahospnit     1.
@249  ehreas1      2.
@251  ahreas1      1.
@252  ehreas2      2.
@254  ahreas2      1.
@255  ehreas3      2.
@257  ahreas3      1.
@258  ehreas4      2.
@260  ahreas4      1.
@261  ehreas5      2.
@263  ahreas5      1.
@264  ehreas6      2.
@266  ahreas6      1.
@267  edocnum      3.
@270  adocnum      1.
@271  thipay       4.
@275  ahipay       1.
@276  epresdrg     2.
@278  apresdrg     1.
@279  edalydrg     2.
@281  adalydrg     1.
@282  evisdent     3.
@285  avisdent     1.
@286  edenseal     2.
@288  adenseal     1.
@289  elostth      2.
@291  alostth      1.
@292  eallth       2.
@294  aallth       1.
@295  evisdoc      3.
@298  avisdoc      1.
@299  emdspnd      2.
@301  amdspnd      1.
@302  emdspnds     2.
@304  amdspnds     1.
@305  edaysick     3.
@308  adaysick     1.
@309  tmdpay       6.
@315  amdpay       1.
@316  ereimb       2.
@318  areimb       1.
@319  treimbur     5.
@324  areimbur     1.
@325  ehspstas     2.
@327  ahspstas     1.
@328  eprsdrgs     2.
@330  aprsdrgs     1.
@331  evsdents     2.
@333  avsdents     1.
@334  evsdocs      2.
@336  avsdocs      1.
@337  enowkyr      2.
@339  anowkyr      1.
@340  ewkfutr      2.
@342  awkfutr      1.
@343  trmoops      6.
@349  enoindnt     2.
@351  anoindnt     1.
@352  enoindoc     2.
@354  anoindoc     1.
@355  enointrt     2.
@357  anointrt     1.
@358  enoinchk     2.
@360  anoinchk     1.
@361  enoindrg     2.
@363  anoindrg     1.
@364  enoinpay     2.
@366  anoinpay     1.
@367  enoindis     2.
@369  anoindis     1.
@370  enoininc     2.
@372  anoininc     1.
@373  enoincln     2.
@375  enoiner      2.
@377  enoinhsp     2.
@379  enoinva      2.
@381  enoindr      2.
@383  enoindds     2.
@385  enoinoth     2.
@387  anoinloc     1.
@388  eapvunv      2.
@390  epvwk1       2.
@392  epvwk2       2.
@394  epvwk3       2.
@396  epvwk4       2.
@398  epvwk5       2.
@400  apvwk        1.
@401  epvmilwk     4.
@405  apvmilwk     1.
@406  epvpaprk     2.
@408  apvpaprk     1.
@409  epvpaywk     4.
@413  apvpaywk     1.
@414  epvcomut     5.
@419  apvcomut     1.
@420  epvwkexp     2.
@422  apvwkexp     1.
@423  epvanexp     5.
@428  apvanexp     1.
@429  epvchild     2.
@431  apvchild     1.
@432  epvmancd     2.
@434  apvmancd     1.
@435  epvmosup     2.
@437  apvmosup     1.
@438  tpvchpa1     4.
@442  tpvchpa2     4.
@446  tpvchpa3     4.
@450  tpvchpa4     4.
@454  apvchpa      1.
@455  epvccarr     2.
@457  apvccarr     1.
@458  tpvccfp1     3.
@461  apvccfp1     1.
@462  tpvccfp2     3.
@465  apvccfp2     1.
@466  tpvccfp3     3.
@469  apvccfp3     1.
@470  tpvccfp4     3.
@473  apvccfp4     1.
@474  epvccoth     2.
@476  apvccoth     1.
@477  epvcwho1     2.
@479  epvcwho2     2.
@481  epvcwho3     2.
@483  epvcwho4     2.
@485  epvcwho5     2.
@487  apvcwho      1.
@488  ealunv       2.
@490  ealow        2.
@492  aalow        1.
@493  ealowa       8.
@501  aalowa       1.
@502  ealsb        2.
@504  aalsb        1.
@505  talsbv       5.
@510  aalsbv       1.
@511  ealjch       2.
@513  aaljch       1.
@514  taljcha      4.
@518  aaljcha      1.
@519  ealjdb       2.
@521  aaljdb       1.
@522  ealjdl       2.
@524  aaljdl       1.
@525  ealjdo       2.
@527  aaljdo       1.
@528  ealjdab      8.
@536  aaljdab      1.
@537  ealjdal      8.
@545  aaljdal      1.
@546  ealjdao      8.
@554  aaljdao      1.
@555  ealich       2.
@557  aalich       1.
@558  talicha      4.
@562  aalicha      1.
@563  ealil        2.
@565  aalil        1.
@566  ealidb       2.
@568  aalidb       1.
@569  ealidl       2.
@571  aalidl       1.
@572  ealido       2.
@574  aalido       1.
@575  ealidab      8.
@583  aalidab      1.
@584  ealidal      8.
@592  aalidal      1.
@593  ealidao      8.
@601  aalidao      1.
@602  ealr         2.
@604  aalr         1.
@605  ealry        2.
@607  aalry        1.
@608  talrb        6.
@614  aalrb        1.
@615  ealra1       2.
@617  aalra1       1.
@618  ealra2       2.
@620  aalra2       1.
@621  ealra3       2.
@623  aalra3       1.
@624  ealra4       2.
@626  aalra4       1.
@627  ealk         2.
@629  aalk         1.
@630  ealky        2.
@632  aalky        1.
@633  talkb        6.
@639  aalkb        1.
@640  ealka1       2.
@642  aalka1       1.
@643  ealka2       2.
@645  aalka2       1.
@646  ealka3       2.
@648  aalka3       1.
@649  ealka4       2.
@651  aalka4       1.
@652  ealt         2.
@654  aalt         1.
@655  ealty        2.
@657  aalty        1.
@658  taltb        6.
@664  aaltb        1.
@665  ealta1       2.
@667  aalta1       1.
@668  ealta2       2.
@670  aalta2       1.
@671  ealta3       2.
@673  aalta3       1.
@674  ealta4       2.
@676  aalta4       1.
@677  ealli        2.
@679  aalli        1.
@680  talliv       7.
@687  aalliv       1.
@688  eallit       2.
@690  aallit       1.
@691  eallie       2.
@693  aallie       1.
@694  talliev      6.
@700  aalliev      1.
@701  ehreunv      2.
@703  eremobho     2.
@705  aremobho     1.
@706  ehowner1     4.
@710  ahowner1     1.
@711  ehowner2     4.
@715  ahowner2     1.
@716  ehowner3     4.
@720  ehbuymo      2.
@722  ahbuymo      1.
@723  ehbuyyr      4.
@727  ahbuyyr      1.
@728  ehmort       2.
@730  ahmort       1.
@731  enummort     2.
@733  anummort     1.
@734  tmor1pr      6.
@740  amor1pr      1.
@741  emor1yr      4.
@745  amor1yr      1.
@746  emor1mo      2.
@748  amor1mo      1.
@749  tmor1amt     6.
@755  amor1amt     1.
@756  emor1yrs     3.
@759  amor1yrs     1.
@760  emor1int    5.3
@765  amor1int     1.
@766  emor1var     2.
@768  amor1var     1.
@769  emor1pgm     2.
@771  amor1pgm     1.
@772  tmor2pr      1.
@773  amor2pr      1.
@774  emor2yr      4.
@778  amor2yr      1.
@779  emor2mo      2.
@781  amor2mo      1.
@782  tmor2amt     1.
@783  amor2amt     1.
@784  emor2yrs     3.
@787  amor2yrs     1.
@788  emor2int    5.3
@793  amor2int     1.
@794  emor2var     2.
@796  amor2var     1.
@797  emor2pgm     2.
@799  amor2pgm     1.
@800  tmor3pr      1.
@801  amor3pr      1.
@802  tpropval     6.
@808  apropval     1.
@809  emhloan      2.
@811  amhloan      1.
@812  emhtype      2.
@814  amhtype      1.
@815  tmhpr        6.
@821  amhpr        1.
@822  tmhval       6.
@828  amhval       1.
@829  thomeamt     4.
@833  ahomeamt     1.
@834  tutils       3.
@837  autils       1.
@838  eperspay     2.
@840  aperspay     1.
@841  eperspya     4.
@845  aperspya     1.
@846  eperspy1     4.
@850  aperspy1     1.
@851  eperspy2     4.
@855  eperspy3     4.
@859  tpersam1     4.
@863  apersam1     1.
@864  tpersam2     4.
@868  apersam2     1.
@869  tpersam3     3.
@872  apersam3     1.
@873  epaycare     2.
@875  apaycare     1.
@876  tcarecst     4.
@880  acarecst     1.
@881  eothre       2.
@883  aothre       1.
@884  eothreo1     4.
@888  aothreo1     1.
@889  eothreo2     4.
@893  eothreo3     4.
@897  tothreva     6.
@903  aothreva     1.
@904  eautoown     2.
@906  aautoown     1.
@907  eautonum     2.
@909  aautonum     1.
@910  ea1own1      4.
@914  aa1own1      1.
@915  ea1own2      4.
@919  tcarval1     5.
@924  acarval1     1.
@925  ta1year      4.
@929  ea1owed      2.
@931  aa1owed      1.
@932  ta1amt       5.
@937  aa1amt       1.
@938  ea1use       2.
@940  aa1use       1.
@941  ea2own1      4.
@945  aa2own1      1.
@946  ea2own2      4.
@950  tcarval2     5.
@955  acarval2     1.
@956  ta2year      4.
@960  ea2owed      2.
@962  aa2owed      1.
@963  ta2amt       5.
@968  aa2amt       1.
@969  ea2use       2.
@971  aa2use       1.
@972  ea3own1      4.
@976  aa3own1      1.
@977  ea3own2      4.
@981  tcarval3     5.
@986  acarval3     1.
@987  ta3year      4.
@991  ea3owed      2.
@993  aa3owed      1.
@994  ta3amt       5.
@999  aa3amt       1.
@1000 ea3use       2.
@1002 aa3use       1.
@1003 eothveh      2.
@1005 aothveh      1.
@1006 eovmtrcy     2.
@1008 aovmtrcy     1.
@1009 eovboat      2.
@1011 aovboat      1.
@1012 eovrv        2.
@1014 aovrv        1.
@1015 eovothrv     2.
@1017 aovothrv     1.
@1018 eov1own1     4.
@1022 aov1own1     1.
@1023 eov1own2     4.
@1027 tov1val      5.
@1032 aov1val      1.
@1033 eov1owe      2.
@1035 aov1owe      1.
@1036 tov1amt      5.
@1041 aov1amt      1.
@1042 eov2own1     4.
@1046 aov2own1     1.
@1047 eov2own2     4.
@1051 tov2val      5.
@1056 aov2val      1.
@1057 eov2owe      2.
@1059 aov2owe      1.
@1060 tov2amt      5.
@1065 aov2amt      1.
@1066 thhtnw      10.
@1076 thhtwlth    10.
@1086 thhtheq     10.
@1096 thhmortg    10.
@1106 thhvehcl    10.
@1116 thhbeq      10.
@1126 thhintbk    10.
@1136 thhintot    10.
@1146 rhhstk      10.
@1156 thhore      10.
@1166 thhotast    10.
@1176 thhira      10.
@1186 thhthrif    10.
@1196 thhdebt     10.
@1206 thhscdbt    10.
@1216 rhhuscbt    10.
@1226 evbunv1      2.
@1228 evbno1       2.
@1230 evbow1       3.
@1233 avbow1       1.
@1234 tvbva1       7.
@1241 avbva1       1.
@1242 tvbde1       6.
@1248 avbde1       1.
@1249 evbunv2      2.
@1251 evbno2       2.
@1253 evbow2       3.
@1256 avbow2       1.
@1257 tvbva2       7.
@1264 avbva2       1.
@1265 tvbde2       6.
@1271 avbde2       1.
@1272 eaoaunv      2.
@1274 eoaeq        8.
@1282 aoaeq        1.
@1283 tiajta       6.
@1289 aiajta       1.
@1290 tiaita       6.
@1296 aiaita       1.
@1297 timja        6.
@1303 aimja        1.
@1304 timia        7.
@1311 aimia        1.
@1312 esmjm        2.
@1314 asmjm        1.
@1315 esmjs        2.
@1317 asmjs        1.
@1318 esmjv        9.
@1327 asmjv        1.
@1328 esmjma       2.
@1330 asmjma       1.
@1331 esmjmav      8.
@1339 asmjmav      1.
@1340 esmi         2.
@1342 asmi         1.
@1343 esmiv        9.
@1352 asmiv        1.
@1353 esmima       2.
@1355 asmima       1.
@1356 esmimav      8.
@1364 asmimav      1.
@1365 erjown       2.
@1367 arjown       1.
@1368 erjnum       2.
@1370 arjnum       1.
@1371 erjtyp1      2.
@1373 arjtyp1      1.
@1374 erjtyp2      2.
@1376 arjtyp2      1.
@1377 erjtyp3      2.
@1379 arjtyp3      1.
@1380 erjtyp4      2.
@1382 arjtyp4      1.
@1383 erjtyp5      2.
@1385 arjtyp5      1.
@1386 erjtyp6      2.
@1388 arjtyp6      1.
@1389 erjat        2.
@1391 arjat        1.
@1392 erjata       2.
@1394 arjata       1.
@1395 trjmv        6.
@1401 arjmv        1.
@1402 erjdeb       2.
@1404 arjdeb       1.
@1405 trjpri       6.
@1411 arjpri       1.
@1412 eriown       2.
@1414 ariown       1.
@1415 erinum       2.
@1417 arinum       1.
@1418 eritype1     2.
@1420 aritype1     1.
@1421 eritype2     2.
@1423 aritype2     1.
@1424 eritype3     2.
@1426 aritype3     1.
@1427 eritype4     2.
@1429 aritype4     1.
@1430 eritype5     2.
@1432 aritype5     1.
@1433 eritype6     2.
@1435 aritype6     1.
@1436 eriat        2.
@1438 ariat        1.
@1439 eriata       2.
@1441 ariata       1.
@1442 trimv        7.
@1449 arimv        1.
@1450 erideb       2.
@1452 arideb       1.
@1453 tripri       6.
@1459 aripri       1.
@1460 ertown       2.
@1462 artown       1.
@1463 ertnum       2.
@1465 artnum       1.
@1466 erttype1     2.
@1468 arttype1     1.
@1469 erttype2     2.
@1471 arttype2     1.
@1472 erttype3     2.
@1474 arttype3     1.
@1475 erttype4     2.
@1477 arttype4     1.
@1478 erttype5     2.
@1480 arttype5     1.
@1481 erttype6     2.
@1483 arttype6     1.
@1484 trtmv        7.
@1491 artmv        1.
@1492 ertdeb       2.
@1494 artdeb       1.
@1495 trtpri       7.
@1502 artpri       1.
@1503 trtsha       7.
@1510 artsha       1.
@1511 tmjp         6.
@1517 amjp         1.
@1518 tmip         6.
@1524 amip         1.
@1525 epcwunv      2.
@1527 edaycare     2.
@1529 adaycare     1.
@1530 ecaremth     3.
@1533 acaremth     1.
@1534 ehrscare     2.
@1536 ahrscare     1.
@1537 elivapat     2.
@1539 alivapat     1.
@1540 enotable     2.
@1542 anotable     1.
@1543 epastmon     2.
@1545 apastmon     1.
@1546 eouting      2.
@1548 aouting      1.
@1549 etotread     2.
@1551 atotread     1.
@1552 eparread     2.
@1554 aparread     1.
@1555 edadread     2.
@1557 adadread     1.
@1558 etvrules     2.
@1560 atvrules     1.
@1561 etimestv     2.
@1563 atimestv     1.
@1564 ehoustv      2.
@1566 ahoustv      1.
@1567 eeatbkf      2.
@1569 aeatbkf      1.
@1570 eeatdinn     2.
@1572 aeatdinn     1.
@1573 edadbrkf     2.
@1575 adadbrkf     1.
@1576 edaddinn     2.
@1578 adaddinn     1.
@1579 efuntime     2.
@1581 afuntime     1.
@1582 edadfun      2.
@1584 adadfun      1.
@1585 epraise      2.
@1587 apraise      1.
@1588 edadprai     2.
@1590 adadprai     1.
@1591 efarscho     2.
@1593 afarscho     1.
@1594 edadfar      2.
@1596 adadfar      1.
@1597 ethinksc     2.
@1599 athinksc     1.
@1600 eatkindg     2.
@1602 aatkindg     1.
@1603 ekindage     2.
@1605 akindage     1.
@1606 efirgrad     2.
@1608 afirgrad     1.
@1609 estrtage     2.
@1611 astrtage     1.
@1612 ekindele     2.
@1614 akindele     1.
@1615 ehighgra     2.
@1617 ahighgra     1.
@1618 ecurrerl     2.
@1620 acurrerl     1.
@1621 egrdeatt     2.
@1623 agrdeatt     1.
@1624 epubpriv     2.
@1626 apubpriv     1.
@1627 eassschl     2.
@1629 aassschl     1.
@1630 erelisch     2.
@1632 arelisch     1.
@1633 especsch     2.
@1635 aspecsch     1.
@1636 esportea     2.
@1638 asportea     1.
@1639 elessons     2.
@1641 alessons     1.
@1642 eclubsch     2.
@1644 aclubsch     1.
@1645 erelig       2.
@1647 arelig       1.
@1648 elikesch     2.
@1650 alikesch     1.
@1651 eintschl     2.
@1653 aintschl     1.
@1654 ewkshard     2.
@1656 awkshard     1.
@1657 echgschl     2.
@1659 achgschl     1.
@1660 etimchan     2.
@1662 atimchan     1.
@1663 erepgrad     2.
@1665 arepgrad     1.
@1666 egrdrpt1     2.
@1668 egrdrpt2     2.
@1670 egrdrpt3     2.
@1672 egrdrpt4     2.
@1674 egrdrpt5     2.
@1676 agrdrpt      1.
@1677 eexpschl     2.
@1679 aexpschl     1.
@1680 etimexp      2.
@1682 atimexp      1.
@1683 ehardcar     2.
@1685 ahardcar     1.
@1686 ebother      2.
@1688 abother      1.
@1689 egivuplf     2.
@1691 agivuplf     1.
@1692 eangrycl     2.
@1694 aangrycl     1.
@1695 ehelpech     2.
@1697 ahelpech     1.
@1698 ewatchot     2.
@1700 awatchot     1.
@1701 ecounton     2.
@1703 acounton     1.
@1704 ebadpeop     2.
@1706 abadpeop     1.
@1707 etrustpe     2.
@1709 atrustpe     1.
@1710 ekeepins     2.
@1712 akeepins     1.
@1713 esafepla     2.
@1715 asafepla     1.
;


data check; set s04tm3;
if ealunv=-1 then thhtnw=.;
if eeducate=-1 then eeducate=.;
if ereimb=-1 then ereimb=.;

keep thhtnw ealunv emdunv tmdpay treimbur ereimb areimb areimbur thipay    ehltstat
spanel swave srotaton ssuid  swave shhadid eoutcome eentaid epppnum epopstat eppintvw eppmis4 esex erace eorigin wpfinwgt errp tage ems eeducate;
run;

proc means; weight wpfinwgt;
proc freq; tables ealunv emdunv eoutcome epopstat eppintvw esex erace eorigin errp tage ems eeducate; weight wpfinwgt  ehltstat;
proc univariate; var thhtnw tmdpay; weight wpfinwgt;
run;

data new; set check; if _n_<500;
if ealunv=-1 then thhtnw=.;
if eeducate=-1 then eeducate=.;
if ereimb=-1 then ereimb=.;

proc sort data = check; by ssuid eentaid epppnum;

*proc print; *var ssuid eentaid epppnum eoutcome epopstat eppintvw eppmis4 esex erace eorigin errp tage ems eeducate thhtnw tmdpay treimbur ereimb  ;
run;

data in.tm2004w3_feb2015; set check; by ssuid eentaid epppnum;
if first.ssuid then do;
   hhsize=0; huseduc=.; wifeeduc=.; husrace=.; wiferace=.; husage=.; wifeage=.; numadults=0; numkids=0; numkids05=0; numkids611=0; numkids1217=0;
   numkids1824=0; numothrelkid=0; numothreladult=0; numothnonrelkid=0; numothnonreladult=0; hushispanic=.; wifehispanic=.; married=0; numkids1824=0;
   husmed=.; wifemed=.; kidmed=0; othmed=0; totfammed=0; networth=.; premium=.; hushlth = .; wifehlth = .;
end;

keep ssuid spanel swave srotaton hhsize huseduc husrace husage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT premium hushlth wifehlth;

retain hhsize huseduc husrace husage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth premium hushlth wifehlth;

hhsize = hhsize + 1;
if errp=1 or errp=2 or errp=3 then do;
   if errp=1 or errp=2 then networth = thhtnw;
   if ems=1 then married=1;
   numadults = numadults + 1;
   if esex=1 then do; hushlth = ehltstat; huseduc=eeducate; husrace=erace; husage=tage; hushispanic= 2 - eorigin; premium=thipay; husmed = tmdpay; totfammed = totfammed + tmdpay; end;
   if esex=2 then do; wifehlth = ehltstat;if premium=. or thipay>premium then premium=thipay; wifemed = tmdpay; totfammed = totfammed + tmdpay;  end;
end;
if errp=4 then do;
   kidmed = kidmed + tmdpay; totfammed = totfammed + tmdpay;
   numkids = numkids + 1;
   if tage<=5 then numkids05 = numkids05 + 1;
   if tage>=6 and tage<=11 then numkids611 = numkids611 + 1;
   if tage>=12 and tage<=17 then numkids1217 = numkids1217 + 1;
   if tage>=18 and tage<=24 then numkids1824 = numkids1824 + 1;
end;
if errp>=5 and errp<=8 then do;
   if tage<18 then numothrelkid=numothrelkid+1; if tage>=18 then numothreladult = numothreladult + 1; othmed = othmed + tmdpay;
end;
if errp>=9 then do;
   if tage<18 then numothnonrelkid=numothnonrelkid+1; if tage>=18 then numothnonreladult = numothnonreladult + 1;othmed = othmed + tmdpay;
end;

if last.ssuid then output;

proc means; weight wpfinwgt;
*proc freq; *tables hhsize huseduc wifeeduc husrace wiferace husrace*wiferace numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic*wifehispanic numkids1824; *weight wpfinwgt;
*proc univariate; *var networth husmed wifemed kidmed othmed totfammed; *weight wpfinwgt;
run;
