options pagesize=80 linesize=140 nocenter;
libname in "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data";

PROC FORMAT cntlout=in.fsp96t3;

VALUE SPANEL  	(default=32)
	1996      =  "Panel Year"                    
;
VALUE TFIPSST 	(default=32)
	1         =  "Alabama"                       
	2         =  "Alaska"                        
	4         =  "Arizona"                       
	5         =  "Arkansas"                      
	6         =  "California"                    
	8         =  "Colorado"                      
	9         =  "Connecticut"                   
	10        =  "Delaware"                      
	11        =  "DC"                            
	12        =  "Florida"                       
	13        =  "Georgia"                       
	15        =  "Hawaii"                        
	16        =  "Idaho"                         
	17        =  "Illinois"                      
	18        =  "Indiana"                       
	19        =  "Iowa"                          
	20        =  "Kansas"                        
	21        =  "Kentucky"                      
	22        =  "Louisiana"                     
	24        =  "Maryland"                      
	25        =  "Massachusetts"                 
	26        =  "Michigan"                      
	27        =  "Minnesota"                     
	28        =  "Mississippi"                   
	29        =  "Missouri"                      
	30        =  "Montana"                       
	31        =  "Nebraska"                      
	32        =  "Nevada"                        
	33        =  "New Hampshire"                 
	34        =  "New Jersey"                    
	35        =  "New Mexico"                    
	36        =  "New York"                      
	37        =  "North Carolina"                
	39        =  "Ohio"                          
	40        =  "Oklahoma"                      
	41        =  "Oregon"                        
	42        =  "Pennsylvania"                  
	44        =  "Rhode Island"                  
	45        =  "South Carolina"                
	47        =  "Tennessee"                     
	48        =  "Texas"                         
	49        =  "Utah"                          
	51        =  "Virginia"                      
	53        =  "Washington"                    
	54        =  "West Virginia"                 
	55        =  "Wisconsin"                     
	61        =  "Maine, Vermont"                
	62        =  "North Dakota, South Dakota,"   
;
VALUE EOUTCOME	(default=32)
	201       =  "Completed interview"           
	203       =  "Compl. partial- missing data; no"
	207       =  "Complete partial - TYPE-Z; no" 
	213       =  "TYPE-A, language problem"      
	215       =  "TYPE-A, insufficient partial"  
	216       =  "TYPE-A, no one home (noh)"     
	217       =  "TYPE-A, temporarily absent (ta)"
	218       =  "TYPE-A, hh refused"            
	219       =  "TYPE-A, other occupied (specify)"
	234       =  "TYPE-B, entire hh institut. or"
	248       =  "TYPE-C, other (specify)"       
	249       =  "TYPE-C, sample adjustment"     
	250       =  "TYPE-C, hh deceased"           
	251       =  "TYPE-C, moved out of country"  
	252       =  "TYPE-C, living in armed forces"
	253       =  "TYPE-C, on active duty in Armed"
	254       =  "TYPE-C, no one over age 15 years"
	255       =  "TYPE-C, no Wave 1 persons"     
	260       =  "TYPE-D, moved address unknown" 
	261       =  "TYPE-D, moved w/in U.S. but"   
	262       =  "Merged with another SIPP"      
	270       =  "Mover, no longer located in same"
	271       =  "Mover, new address located in" 
	280       =  "Newly spawned case outside fr's"
;
VALUE RFID2L  	(default=32)
	0         =  "Member of related subfamily"   
;
VALUE EPOPSTAT	(default=32)
	1         =  "Adult (15 years of age or older)"
	2         =  "Child (Under 15 years of age)" 
;
VALUE EPPINTVW	(default=32)
	1         =  "Interview (self)"              
	2         =  "Interview (proxy)"             
	3         =  "Noninterview - Type Z"         
	4         =  "Nonintrvw - pseudo Type Z.  Left"
	5         =  "Children under 15 during"      
;
VALUE EPPMIS4L	(default=32)
	1         =  "Interview"                     
	2         =  "Non-interview"                 
;
VALUE ESEX    	(default=32)
	1         =  "Male"                          
	2         =  "Female"                        
;
VALUE ERACE   	(default=32)
	1         =  "White"                         
	2         =  "Black"                         
	3         =  "American Indian, Aleut, or"    
	4         =  "Asian or Pacific Islander"     
;
VALUE EORIGIN 	(default=32)
	1         =  "Canadian"                      
	2         =  "Dutch"                         
	3         =  "English"                       
	4         =  "French"                        
	5         =  "French-Canadian"               
	6         =  "German"                        
	7         =  "Hungarian"                     
	8         =  "Irish"                         
	9         =  "Italian"                       
	10        =  "Polish"                        
	11        =  "Russian"                       
	12        =  "Scandinavian"                  
	13        =  "Scotch-Irish"                  
	14        =  "Scottish"                      
	15        =  "Slovak"                        
	16        =  "Welsh"                         
	17        =  "Other European"                
	20        =  "Mexican"                       
	21        =  "Mexican-American"              
	22        =  "Chicano"                       
	23        =  "Puerto Rican"                  
	24        =  "Cuban"                         
	25        =  "Central American"              
	26        =  "South American"                
	27        =  "Dominican Republic"            
	28        =  "Other Hispanic"                
	30        =  "African-American or"           
	31        =  "American Indian, Eskimo, or"   
	32        =  "Arab"                          
	33        =  "Asian"                         
	34        =  "Pacific Islander"              
	35        =  "West Indian"                   
	39        =  "Another group not listed"      
	40        =  "American"                      
;
VALUE ERRP    	(default=32)
	1         =  "Reference person w/ rel. persons"
	2         =  "Reference Person w/out rel."   
	3         =  "Spouse of reference person"    
	4         =  "Child of reference person"     
	5         =  "Grandchild of reference person"
	6         =  "Parent of reference person"    
	7         =  "Brother/sister of reference"   
	8         =  "Other relative of reference"   
	9         =  "Foster child of reference person"
	10        =  "Unmarried partner of reference"
	11        =  "Housemate/roommate"            
	12        =  "Roomer/boarder"                
	13        =  "Other non-relative of reference"
;
VALUE TAGE    	(default=32)
	0         =  "Less than 1 full year old"     
;
VALUE EMS     	(default=32)
	1         =  "Married, spouse present"       
	2         =  "Married, Spouse absent"        
	3         =  "Widowed"                       
	4         =  "Divorced"                      
	5         =  "Separated"                     
	6         =  "Never Married"                 
;
VALUE EPNSPOUS	(default=32)
	9999      =  "Spouse not in hhld or person not"
;
VALUE EPNMOM  	(default=32)
	9999      =  "No mother in household"        
;
VALUE EPNDAD  	(default=32)
	9999      =  "No father in household"        
;
VALUE EPNGUARD	(default=32)
	-1        =  "Not in universe"               
	9999      =  "Guardian not in household"     
;
VALUE RDESGPNT	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE EEDUCATE	(default=32)
	-1        =  "Not in universe"               
	31        =  "Less than 1st grade"           
	32        =  "1st, 2nd, 3rd or 4th grade"    
	33        =  "5th or 6th grade"              
	34        =  "7th or 8th grade"              
	35        =  "9th grade"                     
	36        =  "10th grade"                    
	37        =  "11th grade"                    
	38        =  "12th grade"                    
	39        =  "High school graduate - high"   
	40        =  "Some college but no degree"    
	41        =  "Diploma or certificate from a" 
	42        =  "Associate degree in college -" 
	43        =  "Associate Degree in college -" 
	44        =  "Bachelors degree (For example:"
	45        =  "Master's degree (For example:" 
	46        =  "Professional School Degree (For"
	47        =  "Doctorate degree (For example:"
;
VALUE EPALUNV 	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE EALOW   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALOW   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALOWA  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALOWA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALSB   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALSB   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALSBV  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALSBV  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALJCH  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALJCH  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALJCHA 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALJCHA 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALJDB  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALJDB  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALJDL  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALJDL  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALJDO  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALJDO  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALJDAB 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALJDAB 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALJDAL 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALJDAL 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALJDAO 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALJDAO 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALICH  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALICH  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALICHA 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALICHA 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALIL   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALIL   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALIDB  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALIDB  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALIDL  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALIDL  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALIDO  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALIDO  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALIDAB 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALIDAB 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALIDAL 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALIDAL 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALIDAO 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALIDAO 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALR    	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALR    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALRY   	(default=32)
	-1        =  "Not in universe for perons under"
	0         =  "None or not in universe"       
;
VALUE AALRY   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALRB   	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALRB   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALRA1L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AALRA1L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALRA2L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AALRA2L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALRA3L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AALRA3L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALRA4L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AALRA4L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALK    	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALK    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALKY   	(default=32)
	-1        =  "Not in universe for perons under"
	0         =  "None or not in universe"       
;
VALUE AALKY   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALKB   	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALKB   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALKA1L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AALKA1L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALKA2L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AALKA2L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALKA3L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AALKA3L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALKA4L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AALKA4L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALT    	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALT    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALTY   	(default=32)
	-1        =  "Not in universe for perons under"
	0         =  "None or not in universe"       
;
VALUE AALTY   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALTB   	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALTB   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALTA1L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AALTA1L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALTA2L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AALTA2L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALTA3L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AALTA3L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALTA4L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AALTA4L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALLI   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALLI   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALLIV  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALLIV  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALLIT  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Term only"                     
	2         =  "Whole life only"               
	3         =  "Both types"                    
;
VALUE AALLIT  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EALLIE  	(default=32)
	-1        =  "Universe"                      
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AALLIE  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TALLIEV 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AALLIEV 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPOAUNV 	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE EOAEQ   	(default=32)
	0         =  "None or not in universe"       
;
VALUE AOAEQ   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TIAJTA  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AIAJTA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TIAITA  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AIAITA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TIMJA   	(default=32)
	0         =  "None or not in universe"       
;
VALUE AIMJA   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TIMIA   	(default=32)
	0         =  "None or not in universe"       
;
VALUE AIMIA   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMJM   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ASMJM   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMJS   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ASMJS   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMJV   	(default=32)
	0         =  "None or not in universe"       
;
VALUE ASMJV   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMJMA  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ASMJMA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMJMAV 	(default=32)
	0         =  "None or not in universe"       
;
VALUE ASMJMAV 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMI    	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ASMI    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMIV   	(default=32)
	0         =  "None or not in universe"       
;
VALUE ASMIV   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMIMA  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ASMIMA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ESMIMAV 	(default=32)
	0         =  "None or not in universe"       
;
VALUE ASMIMAV 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJOWN  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARJOWN  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJNUM  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARJNUM  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJTYP1L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARJTYP1L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJTYP2L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARJTYP2L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJTYP3L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARJTYP3L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJTYP4L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARJTYP4L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJTYP5L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARJTYP5L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJTYP6L	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARJTYP6L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJAT   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARJAT   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJATA  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARJATA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRJMV   	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARJMV   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERJDEB  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARJDEB  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRJPRI  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARJPRI  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERIOWN  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARIOWN  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERINUM  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARINUM  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERITYPEM	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARITYPEM	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERITYPEK	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARITYPEK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERITYPEL	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARITYPEL	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERITYPEN	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARITYPEN	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERITYPEO	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARITYPEO	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERITYPEP	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARITYPEP	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERIAT   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARIAT   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERIATA  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARIATA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRIMV   	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARIMV   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERIDEB  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARIDEB  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRIPRI  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARIPRI  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTOWN  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARTOWN  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTNUM  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARTNUM  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTTYPEM	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARTTYPEM	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTTYPEK	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARTTYPEK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTTYPEL	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARTTYPEL	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTTYPEN	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARTTYPEN	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTTYPEO	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARTTYPEO	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTTYPEP	(default=32)
	-1        =  "Not in universe"               
	1         =  "Vacation home"                 
	2         =  "Other residential property"    
	3         =  "Farm property"                 
	4         =  "Commercial property"           
	5         =  "Equipment"                     
	6         =  "Other"                         
;
VALUE ARTTYPEP	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTAT   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARTAT   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTATA  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARTATA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRTMV   	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARTMV   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ERTDEB  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ARTDEB  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRTPRI  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARTPRI  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TRTSHA  	(default=32)
	0         =  "None or not in universe"       
;
VALUE ARTSHA  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMJP    	(default=32)
	0         =  "None or not in universe"       
;
VALUE AMJP    	(default=32)
	0         =  "Not Imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMIP    	(default=32)
	0         =  "None or not in universe"       
;
VALUE AMIP    	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EVBUNV1L	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE EVBNO1L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE EVBOW1L 	(default=32)
	0         =  "Not in universe"               
;
VALUE AVBOW1L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TVBVA1L 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AVBVA1L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TVBDE1L 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AVBDE1L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EVBUNV2L	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE EVBNO2L 	(default=32)
	-1        =  "Not in universe"               
;
VALUE EVBOW2L 	(default=32)
	0         =  "Not in universe"               
;
VALUE AVBOW2L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TVBVA2L 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AVBVA2L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TVBDE2L 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AVBDE2L 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputed (hot deck)"
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHREUNV 	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE EREMOBHO	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AREMOBHO	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHOWNERO	(default=32)
	-1        =  "Not in universe"               
;
VALUE AHOWNERO	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHOWNERK	(default=32)
	-1        =  "Not in universe"               
;
VALUE AHOWNERK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)}"
;
VALUE EHOWNERL	(default=32)
	-1        =  "Not in universe"               
;
VALUE EHBUYMO 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AHBUYMO 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHBUYYR 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AHBUYYR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHMORT  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AHMORT  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ENUMMORT	(default=32)
	-1        =  "Not in universe"               
;
VALUE ANUMMORT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMOR1PR 	(default=32)
	0         =  "Not in universe"               
;
VALUE AMOR1PR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR1YR 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR1YR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR1MO 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR1MO 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMOR1AMT	(default=32)
	0         =  "None or not in universe"       
;
VALUE AMOR1AMT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR1YRS	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR1YRS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR1INT	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR1INT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR1VAR	(default=32)
	-1        =  "Not in universe"               
	1         =  "Variable interest rate"        
	2         =  "Fixed interest rate"           
;
VALUE AMOR1VAR	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR1PGM	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes - FHA LOAN"                
	2         =  "Yes - VA LOAN"                 
	3         =  "No"                            
;
VALUE AMOR1PGM	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMOR2PR 	(default=32)
	0         =  "Not in universe"               
;
VALUE AMOR2PR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR2YR 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR2YR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR2MO 	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR2MO 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMOR2AMT	(default=32)
	0         =  "None or not in universe"       
;
VALUE AMOR2AMT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR2YRS	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR2YRS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR2INT	(default=32)
	-1        =  "Not in universe"               
;
VALUE AMOR2INT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR2VAR	(default=32)
	-1        =  "Not in universe"               
	1         =  "Variable interest rate"        
	2         =  "Fixed interest rate"           
;
VALUE AMOR2VAR	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMOR2PGM	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes-FHA LOAN"                  
	2         =  "Yes-VA LOAN"                   
	3         =  "No"                            
;
VALUE AMOR2PGM	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMOR3PR 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AMOR3PR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TPROPVAL	(default=32)
	0         =  "None or not in universe"       
;
VALUE APROPVAL	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMHLOAN 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AMHLOAN 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMHTYPE 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Mobile home only"              
	2         =  "Site only"                     
	3         =  "Site and home"                 
;
VALUE AMHTYPE 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMHPR   	(default=32)
	0         =  "None or not in universe"       
;
VALUE AMHPR   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMHVAL  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AMHVAL  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE THOMEAMT	(default=32)
	0         =  "None or not in universe"       
;
VALUE AHOMEAMT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TUTILS  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AUTILS  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPERSPAY	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APERSPAY	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPERSPYA	(default=32)
	-1        =  "Not in universe"               
;
VALUE APERSPYA	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPERSPYK	(default=32)
	-1        =  "Not in universe"               
;
VALUE APERSPYK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPERSPYL	(default=32)
	-1        =  "Not in universe"               
;
VALUE EPERSPYM	(default=32)
	-1        =  "Not in universe"               
;
VALUE TPERSAMA	(default=32)
	0         =  "None or not in universe"       
;
VALUE APERSAMA	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TPERSAMK	(default=32)
	0         =  "None or not in universe"       
;
VALUE APERSAMK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TPERSAML	(default=32)
	0         =  "None or not in universe"       
;
VALUE APERSAML	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPAYCARE	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APAYCARE	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TCARECST	(default=32)
	0         =  "None or not in universe"       
;
VALUE ACARECST	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOTHRE  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AOTHRE  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOTHREOE	(default=32)
	-1        =  "Not in universe"               
;
VALUE AOTHREOE	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOTHREOK	(default=32)
	-1        =  "Not in universe"               
;
VALUE TOTHREVA	(default=32)
	0         =  "None or not in universe"       
;
VALUE AOTHREVA	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EAUTOOWN	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AAUTOOWN	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EAUTONUM	(default=32)
	-1        =  "Not in universe"               
;
VALUE AAUTONUM	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA1OWN1L	(default=32)
	-1        =  "Not in universe"               
;
VALUE AA1OWN1L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA1OWN2L	(default=32)
	-1        =  "Not in universe"               
;
VALUE TCARVALM	(default=32)
	0         =  "None or not in universe"       
;
VALUE ACARVALM	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA1OWED 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE AA1OWED 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TA1AMT  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AA1AMT  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA1USE  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AA1USE  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA2OWN1L	(default=32)
	-1        =  "Not in universe"               
;
VALUE AA2OWN1L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA2OWN2L	(default=32)
	-1        =  "Not in universe"               
;
VALUE TCARVALE	(default=32)
	0         =  "None or not in universe"       
;
VALUE ACARVALE	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA2OWED 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE AA2OWED 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TA2AMT  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AA2AMT  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA2USE  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AA2USE  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA3OWN1L	(default=32)
	-1        =  "Not in universe"               
;
VALUE AA3OWN1L	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA3OWN2L	(default=32)
	-1        =  "Not in universe"               
;
VALUE TCARVALK	(default=32)
	0         =  "None or not in universe"       
;
VALUE ACARVALK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA3OWED 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE AA3OWED 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TA3AMT  	(default=32)
	0         =  "None or not in universe"       
;
VALUE AA3AMT  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EA3USE  	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AA3USE  	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOTHVEH 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AOTHVEH 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOVMTRCY	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AOVMTRCY	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOVBOAT 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AOVBOAT 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOVRV   	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "Not"                           
;
VALUE AOVRV   	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOVOTHRV	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "Not"                           
;
VALUE AOVOTHRV	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOV1OWNV	(default=32)
	-1        =  "Not in universe"               
;
VALUE AOV1OWNV	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOV1OWNK	(default=32)
	-1        =  "Not in universe"               
;
VALUE TOV1VAL 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AOV1VAL 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOV1OWE 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE AOV1OWE 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TOV1AMT 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AOV1AMT 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOV2OWNT	(default=32)
	-1        =  "Not in universe"               
;
VALUE AOV2OWNT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOV2OWNK	(default=32)
	-1        =  "Not in universe"               
;
VALUE TOV2VAL 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AOV2VAL 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EOV2OWE 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Money owed"                    
	2         =  "Free and clear"                
;
VALUE AOV2OWE 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TOV2AMT 	(default=32)
	0         =  "None or not in universe"       
;
VALUE AOV2AMT 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE THHTNW  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHTWLTH	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHTHEQ 	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHMORTG	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHVEHCL	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHBEQ  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHINTBK	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHINTOT	(default=32)
	0         =  "None or Not in universe"       
;
VALUE RHHSTK  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHORE  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHOTAST	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHIRA  	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHDEBT 	(default=32)
	0         =  "None or Not in universe"       
;
VALUE THHSCDBT	(default=32)
	0         =  "None or Not in universe"       
;
VALUE RHHUSCBT	(default=32)
	0         =  "None or Not in universe"       
;
VALUE EPVUNV  	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE EPVWK1L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE EPVWK2L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE EPVWK3L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE EPVWK4L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE EPVWK5L 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APVWK   	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVMILWK	(default=32)
	-1        =  "Not in universe"               
;
VALUE APVMILWK	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVPAPRK	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APVPAPRK	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVPAYWK	(default=32)
	0         =  "Not in universe"               
;
VALUE APVPAYWK	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVCOMUT	(default=32)
	-1        =  "Not in universe for EPOPSTAT=2"
	0         =  "Not in Universe for EPOPSTAT=1"
;
VALUE APVCOMUT	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVWKEXP	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APVWKEXP	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVANEXP	(default=32)
	-1        =  "Not in universe for EPOPSTAT=2"
	0         =  "Not in Universe for EPOPSTAT=1"
;
VALUE APVANEXP	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVCHILD	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APVCHILD	(default=32)
	0         =  "no imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVMANCD	(default=32)
	-1        =  "Not in universe"               
;
VALUE APVMANCD	(default=32)
	0         =  "no imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EPVMOSUP	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APVMOSUP	(default=32)
	0         =  "no imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE TPVCHPAP	(default=32)
	-1        =  "Not in universe for EPOPSTAT=2"
;
VALUE TPVCHPAK	(default=32)
	-1        =  "Not in universe for EPOPSTAT=2"
;
VALUE TPVCHPAL	(default=32)
	-1        =  "Not in universe for EPOPSTAT=2"
	0         =  "Not in Universe for EPOPSTAT=1"
;
VALUE TPVCHPAM	(default=32)
	-1        =  "Not in universe for EPOPSTAT=2"
	0         =  "Not in Universe for EPOPSTAT=1"
;
VALUE APVCHPA 	(default=32)
	0         =  "No imputation"                 
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck"                     
	3         =  "Logical imputation (derivation)"
	4         =  "Imputed from the previous wave"
;
VALUE EMDUNV  	(default=32)
	-1        =  "Not in universe"               
	1         =  "In universe"                   
;
VALUE EHLTSTAT	(default=32)
	-1        =  "Not in universe"               
	1         =  "Excellent"                     
	2         =  "Very Good"                     
	3         =  "Good"                          
	4         =  "Fair"                          
	5         =  "Poor"                          
;
VALUE AHLTSTAT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHOSPSTA	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AHOSPSTA	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHOSPNIT	(default=32)
	0         =  "Not in universe"               
;
VALUE AHOSPNIT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPRESDRG	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APRESDRG	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EDALYDRG	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE ADALYDRG	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EVISDENT	(default=32)
	0         =  "Not in universe"               
;
VALUE AVISDENT	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EVISDOC 	(default=32)
	0         =  "Not in universe"               
;
VALUE AVISDOC 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMDSPND 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AMDSPND 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EMDSPNDS	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AMDSPNDS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EDAYSICK	(default=32)
	0         =  "Not in universe"               
;
VALUE ADAYSICK	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE TMEDPAY 	(default=32)
	0         =  "Not in universe"               
;
VALUE AMEDPAY 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EHSPSTAS	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AHSPSTAS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EPRSDRGS	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE APRSDRGS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EVSDENTS	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AVSDENTS	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EVSDOCS 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AVSDOCS 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE ENOWKYR 	(default=32)
	-1        =  "Not in universe"               
	1         =  "12 months or longer"           
	2         =  "less than 12 months"           
;
VALUE ANOWKYR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE EWKFUTR 	(default=32)
	-1        =  "Not in universe"               
	1         =  "Yes"                           
	2         =  "No"                            
;
VALUE AWKFUTR 	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;
VALUE AREIMBUR	(default=32)
	0         =  "Not imputed"                   
	1         =  "Statistical imputation (hot"   
	2         =  "Cold deck imputation"          
	3         =  "Logical imputation (derivation)"
;

DATA s96tm3;

INFILE 'C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data\sipp96t3.dat' LRECL=20000 PAD END=EOF;
 
LENGTH
SSUSEQ     4    
SSUID      $12  
SPANEL     4    
EPPPNUM    $4   
WPFINWGT   8    
EPNSPOUS   4    
EPNMOM     4    
EPNDAD     4    
EPNGUARD   4    
EALOWA     5    
TALSBV     4    
TALJCHA    4    
EALJDAB    5    
EALJDAL    5    
EALJDAO    5    
TALICHA    4    
EALIDAB    5    
EALIDAL    5    
EALIDAO    5    
TALRB      4    
TALKB      4    
TALTB      4    
TALLIV     4    
TALLIEV    4    
EOAEQ      5    
TIAJTA     4    
TIAITA     4    
TIMJA      4    
TIMIA      4    
ESMJV      5    
ESMJMAV    5    
ESMIV      5    
ESMIMAV    5    
TRJMV      4    
TRJPRI     4    
TRIMV      4    
TRIPRI     4    
TRTMV      5    
TRTPRI     4    
TRTSHA     4    
EMJP       5    
EMIP       5    
TVBVA1     4    
TVBDE1     4    
TVBVA2     4    
TVBDE2     4    
EHOWNER1   4    
EHOWNER2   4    
EHOWNER3   4    
EHBUYYR    4    
TMOR1PR    4    
EMOR1YR    4    
TMOR1AMT   4    
EMOR1INT   8    
TMOR2PR    4    
EMOR2YR    4    
TMOR2AMT   4    
EMOR2INT   8    
TMOR3PR    4    
TPROPVAL   4    
TMHPR      4    
TMHVAL     4    
THOMEAMT   4    
EPERSPYA   4    
EPERSPY1   4    
EPERSPY2   4    
EPERSPY3   4    
TPERSAM1   4    
EOTHREO1   4    
EOTHREO2   4    
TOTHREVA   4    
EA1OWN1    4    
EA1OWN2    4    
TCARVAL1   4    
TA1AMT     4    
EA2OWN1    4    
EA2OWN2    4    
TCARVAL2   4    
TA2AMT     4    
EA3OWN1    4    
EA3OWN2    4    
TCARVAL3   4    
TA3AMT     4    
EOV1OWN1   4    
EOV1OWN2   4    
TOV1VAL    4    
TOV1AMT    4    
EOV2OWN1   4    
EOV2OWN2   4    
TOV2VAL    4    
TOV2AMT    4    
THHTNW     6    
THHTWLTH   6    
THHTHEQ    6    
THHMORTG   6    
THHVEHCL   6    
THHBEQ     6    
THHINTBK   6    
THHINTOT   6    
RHHSTK     6    
THHORE     6    
THHOTAST   6    
THHIRA     6    
THHDEBT    6    
THHSCDBT   6    
RHHUSCBT   6    
EPVMILWK   4    
EPVPAYWK   4    
EPVCOMUT   4    
EPVANEXP   4    
TPVCHPA1   4    
TPVCHPA2   4    
TPVCHPA3   4    
TPVCHPA4   4    
TMEDPAY    4    
TRMOOPS    4    
TREIMBUR   4    
DEFAULT=3;

INPUT

@1    SSUSEQ       5. 
@6    SSUID      $12. 
@18   SPANEL       4. 
@22   SWAVE        2. 
@24   SROTATON     1. 
@25   TFIPSST      2. 
@27   SHHADID      3. 
@30   SINTHHID     3. 
@33   EOUTCOME     3. 
@36   RFID         3. 
@39   RFID2        3. 
@42   EPPIDX       3. 
@45   EENTAID     $3. 
@48   EPPPNUM     $4. 
@52   EPOPSTAT     1. 
@53   EPPINTVW     2. 
@55   EPPMIS4      1. 
@56   ESEX         1. 
@57   ERACE        1. 
@58   EORIGIN      2. 
@60   WPFINWGT   10.4 
@70   ERRP         2. 
@72   TAGE         2. 
@74   EMS          1. 
@75   EPNSPOUS     4. 
@79   EPNMOM       4. 
@83   EPNDAD       4. 
@87   EPNGUARD     4. 
@91   RDESGPNT     2. 
@93   EEDUCATE     2. 
@95   EPALUNV      2. 
@97   EALOW        2. 
@99   AALOW        1. 
@100  EALOWA       8. 
@108  AALOWA       1. 
@109  EALSB        2. 
@111  AALSB        1. 
@112  TALSBV       5. 
@117  AALSBV       1. 
@118  EALJCH       2. 
@120  AALJCH       1. 
@121  TALJCHA      4. 
@125  AALJCHA      1. 
@126  EALJDB       2. 
@128  AALJDB       1. 
@129  EALJDL       2. 
@131  AALJDL       1. 
@132  EALJDO       2. 
@134  AALJDO       1. 
@135  EALJDAB      8. 
@143  AALJDAB      1. 
@144  EALJDAL      8. 
@152  AALJDAL      1. 
@153  EALJDAO      8. 
@161  AALJDAO      1. 
@162  EALICH       2. 
@164  AALICH       1. 
@165  TALICHA      4. 
@169  AALICHA      1. 
@170  EALIL        2. 
@172  AALIL        1. 
@173  EALIDB       2. 
@175  AALIDB       1. 
@176  EALIDL       2. 
@178  AALIDL       1. 
@179  EALIDO       2. 
@181  AALIDO       1. 
@182  EALIDAB      8. 
@190  AALIDAB      1. 
@191  EALIDAL      8. 
@199  AALIDAL      1. 
@200  EALIDAO      8. 
@208  AALIDAO      1. 
@209  EALR         2. 
@211  AALR         1. 
@212  EALRY        2. 
@214  AALRY        1. 
@215  TALRB        6. 
@221  AALRB        1. 
@222  EALRA1       2. 
@224  AALRA1       1. 
@225  EALRA2       2. 
@227  AALRA2       1. 
@228  EALRA3       2. 
@230  AALRA3       1. 
@231  EALRA4       2. 
@233  AALRA4       1. 
@234  EALK         2. 
@236  AALK         1. 
@237  EALKY        2. 
@239  AALKY        1. 
@240  TALKB        6. 
@246  AALKB        1. 
@247  EALKA1       2. 
@249  AALKA1       1. 
@250  EALKA2       2. 
@252  AALKA2       1. 
@253  EALKA3       2. 
@255  AALKA3       1. 
@256  EALKA4       2. 
@258  AALKA4       1. 
@259  EALT         2. 
@261  AALT         1. 
@262  EALTY        2. 
@264  AALTY        1. 
@265  TALTB        6. 
@271  AALTB        1. 
@272  EALTA1       2. 
@274  AALTA1       1. 
@275  EALTA2       2. 
@277  AALTA2       1. 
@278  EALTA3       2. 
@280  AALTA3       1. 
@281  EALTA4       2. 
@283  AALTA4       1. 
@284  EALLI        2. 
@286  AALLI        1. 
@287  TALLIV       6. 
@293  AALLIV       1. 
@294  EALLIT       2. 
@296  AALLIT       1. 
@297  EALLIE       2. 
@299  AALLIE       1. 
@300  TALLIEV      6. 
@306  AALLIEV      1. 
@307  EPOAUNV      2. 
@309  EOAEQ        8. 
@317  AOAEQ        1. 
@318  TIAJTA       5. 
@323  AIAJTA       1. 
@324  TIAITA       6. 
@330  AIAITA       1. 
@331  TIMJA        6. 
@337  AIMJA        1. 
@338  TIMIA        6. 
@344  AIMIA        1. 
@345  ESMJM        2. 
@347  ASMJM        1. 
@348  ESMJS        2. 
@350  ASMJS        1. 
@351  ESMJV        8. 
@359  ASMJV        1. 
@360  ESMJMA       2. 
@362  ASMJMA       1. 
@363  ESMJMAV      8. 
@371  ASMJMAV      1. 
@372  ESMI         2. 
@374  ASMI         1. 
@375  ESMIV        8. 
@383  ASMIV        1. 
@384  ESMIMA       2. 
@386  ASMIMA       1. 
@387  ESMIMAV      8. 
@395  ASMIMAV      1. 
@396  ERJOWN       2. 
@398  ARJOWN       1. 
@399  ERJNUM       2. 
@401  ARJNUM       1. 
@402  ERJTYP1      2. 
@404  ARJTYP1      1. 
@405  ERJTYP2      2. 
@407  ARJTYP2      1. 
@408  ERJTYP3      2. 
@410  ARJTYP3      1. 
@411  ERJTYP4      2. 
@413  ARJTYP4      1. 
@414  ERJTYP5      2. 
@416  ARJTYP5      1. 
@417  ERJTYP6      2. 
@419  ARJTYP6      1. 
@420  ERJAT        2. 
@422  ARJAT        1. 
@423  ERJATA       2. 
@425  ARJATA       1. 
@426  TRJMV        6. 
@432  ARJMV        1. 
@433  ERJDEB       2. 
@435  ARJDEB       1. 
@436  TRJPRI       6. 
@442  ARJPRI       1. 
@443  ERIOWN       2. 
@445  ARIOWN       1. 
@446  ERINUM       2. 
@448  ARINUM       1. 
@449  ERITYPE1     2. 
@451  ARITYPE1     1. 
@452  ERITYPE2     2. 
@454  ARITYPE2     1. 
@455  ERITYPE3     2. 
@457  ARITYPE3     1. 
@458  ERITYPE4     2. 
@460  ARITYPE4     1. 
@461  ERITYPE5     2. 
@463  ARITYPE5     1. 
@464  ERITYPE6     2. 
@466  ARITYPE6     1. 
@467  ERIAT        2. 
@469  ARIAT        1. 
@470  ERIATA       2. 
@472  ARIATA       1. 
@473  TRIMV        6. 
@479  ARIMV        1. 
@480  ERIDEB       2. 
@482  ARIDEB       1. 
@483  TRIPRI       6. 
@489  ARIPRI       1. 
@490  ERTOWN       2. 
@492  ARTOWN       1. 
@493  ERTNUM       2. 
@495  ARTNUM       1. 
@496  ERTTYPE1     2. 
@498  ARTTYPE1     1. 
@499  ERTTYPE2     2. 
@501  ARTTYPE2     1. 
@502  ERTTYPE3     2. 
@504  ARTTYPE3     1. 
@505  ERTTYPE4     2. 
@507  ARTTYPE4     1. 
@508  ERTTYPE5     2. 
@510  ARTTYPE5     1. 
@511  ERTTYPE6     2. 
@513  ARTTYPE6     1. 
@514  ERTAT        2. 
@516  ARTAT        1. 
@517  ERTATA       2. 
@519  ARTATA       1. 
@520  TRTMV        7. 
@527  ARTMV        1. 
@528  ERTDEB       2. 
@530  ARTDEB       1. 
@531  TRTPRI       6. 
@537  ARTPRI       1. 
@538  TRTSHA       6. 
@544  ARTSHA       1. 
@545  EMJP         8. 
@553  AMJP         1. 
@554  EMIP         8. 
@562  AMIP         1. 
@563  EVBUNV1      2. 
@565  EVBNO1       2. 
@567  EVBOW1       3. 
@570  AVBOW1       1. 
@571  TVBVA1       6. 
@577  AVBVA1       1. 
@578  TVBDE1       6. 
@584  AVBDE1       1. 
@585  EVBUNV2      2. 
@587  EVBNO2       2. 
@589  EVBOW2       3. 
@592  AVBOW2       1. 
@593  TVBVA2       6. 
@599  AVBVA2       1. 
@600  TVBDE2       6. 
@606  AVBDE2       1. 
@607  EHREUNV      2. 
@609  EREMOBHO     2. 
@611  AREMOBHO     1. 
@612  EHOWNER1     4. 
@616  AHOWNER1     1. 
@617  EHOWNER2     4. 
@621  AHOWNER2     1. 
@622  EHOWNER3     4. 
@626  EHBUYMO      2. 
@628  AHBUYMO      1. 
@629  EHBUYYR      4. 
@633  AHBUYYR      1. 
@634  EHMORT       2. 
@636  AHMORT       1. 
@637  ENUMMORT     2. 
@639  ANUMMORT     1. 
@640  TMOR1PR      6. 
@646  AMOR1PR      1. 
@647  EMOR1YR      4. 
@651  AMOR1YR      1. 
@652  EMOR1MO      2. 
@654  AMOR1MO      1. 
@655  TMOR1AMT     6. 
@661  AMOR1AMT     1. 
@662  EMOR1YRS     3. 
@665  AMOR1YRS     1. 
@666  EMOR1INT    4.2 
@670  AMOR1INT     1. 
@671  EMOR1VAR     2. 
@673  AMOR1VAR     1. 
@674  EMOR1PGM     2. 
@676  AMOR1PGM     1. 
@677  TMOR2PR      6. 
@683  AMOR2PR      1. 
@684  EMOR2YR      4. 
@688  AMOR2YR      1. 
@689  EMOR2MO      2. 
@691  AMOR2MO      1. 
@692  TMOR2AMT     6. 
@698  AMOR2AMT     1. 
@699  EMOR2YRS     3. 
@702  AMOR2YRS     1. 
@703  EMOR2INT    4.2 
@707  AMOR2INT     1. 
@708  EMOR2VAR     2. 
@710  AMOR2VAR     1. 
@711  EMOR2PGM     2. 
@713  AMOR2PGM     1. 
@714  TMOR3PR      6. 
@720  AMOR3PR      1. 
@721  TPROPVAL     6. 
@727  APROPVAL     1. 
@728  EMHLOAN      2. 
@730  AMHLOAN      1. 
@731  EMHTYPE      2. 
@733  AMHTYPE      1. 
@734  TMHPR        5. 
@739  AMHPR        1. 
@740  TMHVAL       6. 
@746  AMHVAL       1. 
@747  THOMEAMT     4. 
@751  AHOMEAMT     1. 
@752  TUTILS       3. 
@755  AUTILS       1. 
@756  EPERSPAY     2. 
@758  APERSPAY     1. 
@759  EPERSPYA     4. 
@763  APERSPYA     1. 
@764  EPERSPY1     4. 
@768  APERSPY1     1. 
@769  EPERSPY2     4. 
@773  EPERSPY3     4. 
@777  TPERSAM1     4. 
@781  APERSAM1     1. 
@782  TPERSAM2     3. 
@785  APERSAM2     1. 
@786  TPERSAM3     3. 
@789  APERSAM3     1. 
@790  EPAYCARE     2. 
@792  APAYCARE     1. 
@793  TCARECST     3. 
@796  ACARECST     1. 
@797  EOTHRE       2. 
@799  AOTHRE       1. 
@800  EOTHREO1     4. 
@804  AOTHREO1     1. 
@805  EOTHREO2     4. 
@809  TOTHREVA     6. 
@815  AOTHREVA     1. 
@816  EAUTOOWN     2. 
@818  AAUTOOWN     1. 
@819  EAUTONUM     2. 
@821  AAUTONUM     1. 
@822  EA1OWN1      4. 
@826  AA1OWN1      1. 
@827  EA1OWN2      4. 
@831  TCARVAL1     5. 
@836  ACARVAL1     1. 
@837  EA1OWED      2. 
@839  AA1OWED      1. 
@840  TA1AMT       5. 
@845  AA1AMT       1. 
@846  EA1USE       2. 
@848  AA1USE       1. 
@849  EA2OWN1      4. 
@853  AA2OWN1      1. 
@854  EA2OWN2      4. 
@858  TCARVAL2     5. 
@863  ACARVAL2     1. 
@864  EA2OWED      2. 
@866  AA2OWED      1. 
@867  TA2AMT       5. 
@872  AA2AMT       1. 
@873  EA2USE       2. 
@875  AA2USE       1. 
@876  EA3OWN1      4. 
@880  AA3OWN1      1. 
@881  EA3OWN2      4. 
@885  TCARVAL3     5. 
@890  ACARVAL3     1. 
@891  EA3OWED      2. 
@893  AA3OWED      1. 
@894  TA3AMT       5. 
@899  AA3AMT       1. 
@900  EA3USE       2. 
@902  AA3USE       1. 
@903  EOTHVEH      2. 
@905  AOTHVEH      1. 
@906  EOVMTRCY     2. 
@908  AOVMTRCY     1. 
@909  EOVBOAT      2. 
@911  AOVBOAT      1. 
@912  EOVRV        2. 
@914  AOVRV        1. 
@915  EOVOTHRV     2. 
@917  AOVOTHRV     1. 
@918  EOV1OWN1     4. 
@922  AOV1OWN1     1. 
@923  EOV1OWN2     4. 
@927  TOV1VAL      5. 
@932  AOV1VAL      1. 
@933  EOV1OWE      2. 
@935  AOV1OWE      1. 
@936  TOV1AMT      5. 
@941  AOV1AMT      1. 
@942  EOV2OWN1     4. 
@946  AOV2OWN1     1. 
@947  EOV2OWN2     4. 
@951  TOV2VAL      5. 
@956  AOV2VAL      1. 
@957  EOV2OWE      2. 
@959  AOV2OWE      1. 
@960  TOV2AMT      5. 
@965  AOV2AMT      1. 
@966  THHTNW      10. 
@976  THHTWLTH    10. 
@986  THHTHEQ     10. 
@996  THHMORTG    10. 
@1006 THHVEHCL    10. 
@1016 THHBEQ      10. 
@1026 THHINTBK    10. 
@1036 THHINTOT    10. 
@1046 RHHSTK      10. 
@1056 THHORE      10. 
@1066 THHOTAST    10. 
@1076 THHIRA      10. 
@1086 THHDEBT     10. 
@1096 THHSCDBT    10. 
@1106 RHHUSCBT    10. 
@1116 EPVUNV       2. 
@1118 EPVWK1       2. 
@1120 EPVWK2       2. 
@1122 EPVWK3       2. 
@1124 EPVWK4       2. 
@1126 EPVWK5       2. 
@1128 APVWK        1. 
@1129 EPVMILWK     4. 
@1133 APVMILWK     1. 
@1134 EPVPAPRK     2. 
@1136 APVPAPRK     1. 
@1137 EPVPAYWK     4. 
@1141 APVPAYWK     1. 
@1142 EPVCOMUT     5. 
@1147 APVCOMUT     1. 
@1148 EPVWKEXP     2. 
@1150 APVWKEXP     1. 
@1151 EPVANEXP     5. 
@1156 APVANEXP     1. 
@1157 EPVCHILD     2. 
@1159 APVCHILD     1. 
@1160 EPVMANCD     2. 
@1162 APVMANCD     1. 
@1163 EPVMOSUP     2. 
@1165 APVMOSUP     1. 
@1166 TPVCHPA1     4. 
@1170 TPVCHPA2     4. 
@1174 TPVCHPA3     4. 
@1178 TPVCHPA4     4. 
@1182 APVCHPA      1. 
@1183 EMDUNV       2. 
@1185 EHLTSTAT     2. 
@1187 AHLTSTAT     1. 
@1188 EHOSPSTA     2. 
@1190 AHOSPSTA     1. 
@1191 EHOSPNIT     3. 
@1194 AHOSPNIT     1. 
@1195 EPRESDRG     2. 
@1197 APRESDRG     1. 
@1198 EDALYDRG     2. 
@1200 ADALYDRG     1. 
@1201 EVISDENT     3. 
@1204 AVISDENT     1. 
@1205 EVISDOC      3. 
@1208 AVISDOC      1. 
@1209 EMDSPND      2. 
@1211 AMDSPND      1. 
@1212 EMDSPNDS     2. 
@1214 AMDSPNDS     1. 
@1215 EDAYSICK     3. 
@1218 ADAYSICK     1. 
@1219 TMEDPAY      5. 
@1224 AMEDPAY      1. 
@1225 EHSPSTAS     2. 
@1227 AHSPSTAS     1. 
@1228 EPRSDRGS     2. 
@1230 APRSDRGS     1. 
@1231 EVSDENTS     2. 
@1233 AVSDENTS     1. 
@1234 EVSDOCS      2. 
@1236 AVSDOCS      1. 
@1237 ENOWKYR      2. 
@1239 ANOWKYR      1. 
@1240 EWKFUTR      2. 
@1242 AWKFUTR      1. 
@1243 TRMOOPS      6. 
@1249 TREIMBUR     5. 
@1254 AREIMBUR     1. 
;

LABEL
	SSUSEQ    = "SU: Sequence Number of Sample Unit - P"
	SSUID     = "SU: Sample Unit Identifier"            
	SPANEL    = "SU: Sample Code - Indicates Panel Year"
	SWAVE     = "SU: Wave of data collection"           
	SROTATON  = "SU: Rotation of data collection"       
	TFIPSST   = "SU: FIPS State Code for fifth month"   
	SHHADID   = "SU: Hhld Address ID in fourth referenc"
	SINTHHID  = "SU: Hhld Address ID of person in inter"
	EOUTCOME  = "HH: Interview Status code for fifth mo"
	RFID      = "FA: Family ID Number in month four"    
	RFID2     = "FA: Family ID excluding related subfam"
	EPPIDX    = "PE: Person index"                      
	EENTAID   = "PE: Address ID of hhld where person en"
	EPPPNUM   = "PE: Person number"                     
	EPOPSTAT  = "PE: Population status based on age in "
	EPPINTVW  = "PE: Person's interview status at time "
	EPPMIS4   = "PE: Person's 4th month interview statu"
	ESEX      = "PE: Sex of this person"                
	ERACE     = "PE: Race of this person"               
	EORIGIN   = "PE: Origin of this person"             
	WPFINWGT  = "WW: Person weight"                     
	ERRP      = "PE: Household relationship"            
	TAGE      = "PE: Age as of last birthday"           
	EMS       = "PE: Marital status"                    
	EPNSPOUS  = "PE: Person number of spouse"           
	EPNMOM    = "PE: Person number of mother"           
	EPNDAD    = "PE: Person number of father"           
	EPNGUARD  = "PE: Person number of guardian"         
	RDESGPNT  = "PE: Designated parent or guardian flag"
	EEDUCATE  = "ED: Highest Degree received or grade"  
	EPALUNV   = "AL: Universe Indicator for Assets and" 
	EALOW     = "AL: Money owed to you for business/pro"
	AALOW     = "AL: Allocation flag for EALOW"         
	EALOWA    = "AL: Amount owed to you for sale of"    
	AALOWA    = "AL: Allocation flag for EALOWA"        
	EALSB     = "AL: Did you own U.S. Savings Bonds?"   
	AALSB     = "AL:Allocation flag for EALSB"          
	TALSBV    = "AL: Face Value of U.S. Savings Bonds"  
	AALSBV    = "AL: Allocation flag for TALSBV"        
	EALJCH    = "AL: Jointly owned non-interest earning"
	AALJCH    = "AL: Allocation flag for EALJCH"        
	TALJCHA   = "AL: Estimate of a joint non-interest c"
	AALJCHA   = "AL: Allocation flag for TALJCHA"       
	EALJDB    = "AL: Money owed with spouse for store"  
	AALJDB    = "AL: Allocation flag for EALJDB"        
	EALJDL    = "AL: Money owed with spouse for loans"  
	AALJDL    = "AL: Allocation flag for EALJDL"        
	EALJDO    = "AL: Did .... owe any money for other d"
	AALJDO    = "AL: Allocation flag for EALJDO"        
	EALJDAB   = "AL: How much was owed for credit cards"
	AALJDAB   = "AL: Allocation flag for EALJDAB"       
	EALJDAL   = "AL: How much was owed for loans with s"
	AALJDAL   = "AL: Allocation flag for EALJDAL"       
	EALJDAO   = "AL: How much owed jointly in other deb"
	AALJDAO   = "AL: Allocation flag for EALJDAO"       
	EALICH    = "AL: Non-interest checking account in o"
	AALICH    = "AL: Allocation flag for EALICH"        
	TALICHA   = "AL: Estimate of own non-interest check"
	AALICHA   = "AL: Allocation flag for TALICHA"       
	EALIL     = "AL: Debts in own name"                 
	AALIL     = "AL: Allocation flag for EALIL"         
	EALIDB    = "AL: Owes in own name for store bills/c"
	AALIDB    = "AL: Allocation flag for EALIDB"        
	EALIDL    = "AL: Owes in own name for loans"        
	AALIDL    = "AL: Allocation flag for EALIDL"        
	EALIDO    = "AL: Owes in own name for other debts"  
	AALIDO    = "AL: Allocation flag for EALIDO"        
	EALIDAB   = "AL: Amount owed for store bills/credit"
	AALIDAB   = "AL: Allocation flag for EALIDAB"       
	EALIDAL   = "AL: Amount of loans owed in own name"  
	AALIDAL   = "AL: Allocation flag for EALIDAL"       
	EALIDAO   = "AL: Amount of other debt owed in own n"
	AALIDAO   = "AL: Allocation flag for EALIDAO"       
	EALR      = "AL: IRA account in own name"           
	AALR      = "AL: Allocation flag for EALR"          
	EALRY     = "AL: Number of years contributed to you"
	AALRY     = "AL: Allocation flag for EALRY"         
	TALRB     = "AL: Market value of IRA account in own"
	AALRB     = "AL: Allocation flag for TALRB"         
	EALRA1    = "AL: Kinds of assets in IRA accounts"   
	AALRA1    = "AL: Allocation flag for EALRA1"        
	EALRA2    = "AL: Kinds of assets in IRA accounts"   
	AALRA2    = "AL: Allocation flag for EALRA2"        
	EALRA3    = "AL: Kinds of assets in IRA accounts"   
	AALRA3    = "AL: Allocation flag for EALRA3"        
	EALRA4    = "AL: Kinds of assets in IRA accounts"   
	AALRA4    = "AL: Allocation flag for EALRA4"        
	EALK      = "AL: Owning a KEOGH account"            
	AALK      = "AL: Allocation flag for EALK"          
	EALKY     = "AL: Years contributed to KEOGH account"
	AALKY     = "AL: Allocation flag for EALKY"         
	TALKB     = "AL: Market value of KEOGH account"     
	AALKB     = "AL: Allocation flag for TALKB"         
	EALKA1    = "AL: Kinds of assets in KEOGH accounts" 
	AALKA1    = "AL: Allocation flag for EALKA1"        
	EALKA2    = "AL: Kinds of assets in KEOGH accounts" 
	AALKA2    = "AL: Allocation flag for EALKA2"        
	EALKA3    = "AL: Kinds of assets in KEOGH accounts" 
	AALKA3    = "AL: Allocation flag for EALKA3"        
	EALKA4    = "AL: Kinds of assets in KEOGH account(s"
	AALKA4    = "AL: Allocation flag for EALKA4"        
	EALT      = "AL: Owning a 401K plan in own name"    
	AALT      = "AL: Allocation flag for EALT"          
	EALTY     = "AL: Years contributed to 401K plan"    
	AALTY     = "AL: Allocation flag for EALTY"         
	TALTB     = "AL: Value of 401K in own name"         
	AALTB     = "AL: Allocation for TALTB"              
	EALTA1    = "AL: Kinds of assets in 401K plan"      
	AALTA1    = "AL: Allocation flag for EALTA1"        
	EALTA2    = "AL: Kinds of assets in 401K plan"      
	AALTA2    = "AL: Allocation flag for EALTA2"        
	EALTA3    = "AL: Kinds of assets in 401K plan"      
	AALTA3    = "AL: Allocation flag for EALTA3"        
	EALTA4    = "AL: Kinds of assets in 401K plan"      
	AALTA4    = "AL: Allocation flag for EALTA4"        
	EALLI     = "AL: Did you have any life insurance?"  
	AALLI     = "AL: Allocation flag for EALLI"         
	TALLIV    = "AL: Value of life insurance policies"  
	AALLIV    = "AL: Allocation flag for TALLIV"        
	EALLIT    = "AL: Type of life insurance policy"     
	AALLIT    = "AL: Allocation flag for EALLIT"        
	EALLIE    = "AL: Was life insurance through employe"
	AALLIE    = "AL: Allocation flag for EALLIE"        
	TALLIEV   = "AL: Value of life insurance from emplo"
	AALLIEV   = "AL:Allocation for TALLIEV"             
	EPOAUNV   = "OA: Universe Indicator for Other Finan"
	EOAEQ     = "OA: Equity in investments"             
	AOAEQ     = "OA: Allocation flag for EOAEQ"         
	TIAJTA    = "IE: Amount in joint interest earning a"
	AIAJTA    = "IE: Allocation flag for TIAJTA"        
	TIAITA    = "IE: Amount in own interest earning acc"
	AIAITA    = "IE: Allocation flag for TIAITA"        
	TIMJA     = "IE: Amount in joint bonds/US securitie"
	AIMJA     = "IE: Allocation flag for TIMJA"         
	TIMIA     = "IE: Amount of bonds/securities in own "
	AIMIA     = "IE: Allocation flag for TIMIA"         
	ESMJM     = "SM: Mutual funds owned jointly with sp"
	ASMJM     = "SM: Allocation flag for ESMJM"         
	ESMJS     = "SM: Stocks owned jointly with spouse"  
	ASMJS     = "SM: Allocation flag for ESMJS"         
	ESMJV     = "SM: Value of joint stocks/funds owned "
	ASMJV     = "SM: Allocation flag for ESMJV"         
	ESMJMA    = "SM: Debt against jointly owned"        
	ASMJMA    = "SM: Allocation variable for ESMJMA."   
	ESMJMAV   = "SM: Amount of debt on jointly owned"   
	ASMJMAV   = "SM: Allocation variable for ESMJMAV."  
	ESMI      = "SM: Stocks or funds owned in own name" 
	ASMI      = "SM: Allocation flag for ESMI."         
	ESMIV     = "SM: Value of stocks/funds in own name" 
	ASMIV     = "SM: Allocation flag for ESMIV"         
	ESMIMA    = "SM: Debt on stocks/funds in own name"  
	ASMIMA    = "SM: Allocation flag for ESMIMA"        
	ESMIMAV   = "SM: Debt on stocks/funds in own name"  
	ASMIMAV   = "SM:Allocation flag for ESMIMAV"        
	ERJOWN    = "RT: Own rental property jointly with s"
	ARJOWN    = "RT: Allocation flag for ERJOWN"        
	ERJNUM    = "RT: Numbr of rentl proprties jointly h"
	ARJNUM    = "RT: Allocation flag for ERJNUM"        
	ERJTYP1   = "RT: Type of rental property jointly ow"
	ARJTYP1   = "RT: Allocation flag for ERJTYP1"       
	ERJTYP2   = "RT: Type of rental property owned join"
	ARJTYP2   = "RT: Allocation flag for ERJTYP2"       
	ERJTYP3   = "RT: Type of rental property owned join"
	ARJTYP3   = "RT: Allocation flag for ERJTYP3"       
	ERJTYP4   = "RT: Type of rental property owned join"
	ARJTYP4   = "RT: Allocation flag for ERJTYP4"       
	ERJTYP5   = "RT: Type of rental property owned join"
	ARJTYP5   = "RT: Allocation flag for ERJTYP5"       
	ERJTYP6   = "RT: Type of rental property owned join"
	ARJTYP6   = "RT: Allocation flag for ERJTYP6"       
	ERJAT     = "RT: Jnt rentl prop attachd to/on same "
	ARJAT     = "RT: Allocation flag for ERJAT"         
	ERJATA    = "RT: All joint rent prop attachd to sam"
	ARJATA    = "RT: Allocation flag for ERJATA"        
	TRJMV     = "RT: Market value of joint rental not o"
	ARJMV     = "RT: Allocation flag for TRJMV"         
	ERJDEB    = "RT: Debt on rental properties held joi"
	ARJDEB    = "RT: Allocation flag for ERJDEB"        
	TRJPRI    = "RT: Principal owed on joint rental pro"
	ARJPRI    = "RT: Allocation flag for TRJPRI"        
	ERIOWN    = "RT: Rental property owned in own name" 
	ARIOWN    = "RT: Allocation flag for ERIOWN"        
	ERINUM    = "RT: Number of rental properties in own"
	ARINUM    = "RT: Allocation flag for ERINUM"        
	ERITYPE1  = "RT: First type of rental property owne"
	ARITYPE1  = "RT: Allocation flag for ERITYPE1"      
	ERITYPE2  = "RT: Second type of rental property own"
	ARITYPE2  = "RT: Allocation flag for ERITYPE2"      
	ERITYPE3  = "RT: Third type of rental property owne"
	ARITYPE3  = "RT: Allocation flag for ERITYPE3"      
	ERITYPE4  = "RT: Fourth type of rental property own"
	ARITYPE4  = "RT: Allocation flag for ERITYPE4"      
	ERITYPE5  = "RT: Fifth type of rental property owne"
	ARITYPE5  = "RT: Allocation flag for ERITYPE5"      
	ERITYPE6  = "RT: Sixth type of rental property owne"
	ARITYPE6  = "RT: Allocation flag for ERITYPE6"      
	ERIAT     = "RT: Rental property in own name on/att"
	ARIAT     = "RT: Allocation flag for ERIAT"         
	ERIATA    = "RT: All rental property in own name"   
	ARIATA    = "RT: Allocation flag for ERIATA"        
	TRIMV     = "RT: Market value of rental property ow"
	ARIMV     = "RT: Allocation flag for TRIMV"         
	ERIDEB    = "RT: Debt on own rental properties"     
	ARIDEB    = "RT: Allocation flag for ERIDEB"        
	TRIPRI    = "RT: Principal owed on rental property "
	ARIPRI    = "RT: Allocation flag for TRIPRI"        
	ERTOWN    = "RT: Rental property held jointly with "
	ARTOWN    = "RT: Allocation flag for ERTOWN"        
	ERTNUM    = "RT: Number of rentals owned with other"
	ARTNUM    = "RT: Allocation flag for ERTNUM"        
	ERTTYPE1  = "RT: Type of rental property owned join"
	ARTTYPE1  = "RT: Allocation flag for ERTTYPE1"      
	ERTTYPE2  = "RT: Type of rental property owned join"
	ARTTYPE2  = "RT: Allocation flag for ERTTYPE2"      
	ERTTYPE3  = "RT: Type of rental property owned join"
	ARTTYPE3  = "RT: Allocation flag for ERTTYPE3"      
	ERTTYPE4  = "RT: Type of rental property owned join"
	ARTTYPE4  = "RT: Allocation flag for ERTTYPE4"      
	ERTTYPE5  = "RT: Type of rental property owned join"
	ARTTYPE5  = "RT: Allocation flag for ERTTYPE5"      
	ERTTYPE6  = "RT: Type of rental property owned join"
	ARTTYPE6  = "RT: Allocation flag for ERTTYPE6"      
	ERTAT     = "RT: Rental property owned w/others on "
	ARTAT     = "RT: Allocation flag for ERTAT"         
	ERTATA    = "RT: Joint property on/attached to own" 
	ARTATA    = "RT: Allocation flag for ERTAT"         
	TRTMV     = "RT: Market value of joint rental prope"
	ARTMV     = "RT: Allocation flag for TRTMV"         
	ERTDEB    = "RT: Debt on unattached joint rental pr"
	ARTDEB    = "RT: Allocation flag for ERTDEB"        
	TRTPRI    = "RT: Principal owed on joint rental pro"
	ARTPRI    = "RT: Allocation flag for TRTPRI"        
	TRTSHA    = "RT: Share of rental property held with"
	ARTSHA    = "RT: Allocation flag for TRTSHA"        
	EMJP      = "MO: Principal owed on joint mortgage(s"
	AMJP      = "MO: Allocation flag for EMJP"          
	EMIP      = "MO: Principal owed on mortgage(s) in o"
	AMIP      = "MO: Allocation flag for EMIP"          
	EVBUNV1   = "BU: Universe Indicator for Value of Bu"
	EVBNO1    = "BU: First Business number"             
	EVBOW1    = "BU: Percent of Business owned for firs"
	AVBOW1    = "BU: Allocation flag for EVBOW1."       
	TVBVA1    = "BU: The value of the business for the "
	AVBVA1    = "BU: Allocation flag for TVBVA1."       
	TVBDE1    = "BU: The total debt owed against the fi"
	AVBDE1    = "BU: Allocation flag for EVBDE1."       
	EVBUNV2   = "BU: Universe Indicator for Value of Bu"
	EVBNO2    = "BU: Second Business number"            
	EVBOW2    = "BU: Percent of Business owned for seco"
	AVBOW2    = "BU: Allocation flag for EVBOW2."       
	TVBVA2    = "BU: The value of the business for busi"
	AVBVA2    = "BU: Allocation flag for TVBVA2."       
	TVBDE2    = "BU: The total debt owed against the se"
	AVBDE2    = "BU: Allocation flag for TVBDE2."       
	EHREUNV   = "RE: Universe indicator for Real Estate"
	EREMOBHO  = "RE: Is residence a mobile home?"       
	AREMOBHO  = "RE: Allocation flag for EREMOBHO"      
	EHOWNER1  = "RE: First Owner of home"               
	AHOWNER1  = "RE: Allocation flag for EHOWNER1"      
	EHOWNER2  = "RE: Second Owner of home"              
	AHOWNER2  = "RE: Allocation flag for EHOWNER2"      
	EHOWNER3  = "RE: Third Owner of home"               
	EHBUYMO   = "RE: Month home was purchased"          
	AHBUYMO   = "RE: Allocation flag for EHBUYMO"       
	EHBUYYR   = "RE: Year house was purchased"          
	AHBUYYR   = "RE: Allocation flag for EHBUYYR"       
	EHMORT    = "RE: Mortgage on home"                  
	AHMORT    = "RE: Allocation flag for EHMORT"        
	ENUMMORT  = "RE: Number of debts on this home"      
	ANUMMORT  = "RE: Allocation flag for ENUMMORT"      
	TMOR1PR   = "RE: Principal owed for first, second, "
	AMOR1PR   = "RE: Allocation flag for TMOR1PR"       
	EMOR1YR   = "RE: Year first mortgage obtained"      
	AMOR1YR   = "RE: Allocation flag for EMOR1YR"       
	EMOR1MO   = "RE: Month first mortgage obtained"     
	AMOR1MO   = "RE: Allocation flag for EMOR1MO"       
	TMOR1AMT  = "RE: First and second loan amount"      
	AMOR1AMT  = "RE: Allocation flag for TMOR1AMT"      
	EMOR1YRS  = "RE: Total years for payments of home l"
	AMOR1YRS  = "RE: Allocation flag for EMOR1YRS"      
	EMOR1INT  = "RE: Interest rate on first mortgage"   
	AMOR1INT  = "RE: Allocation flag for EMOR1INT"      
	EMOR1VAR  = "RE: Variable or fixed rate for first h"
	AMOR1VAR  = "RE: Allocation flag for EMOR1VAR"      
	EMOR1PGM  = "RE: 1st loan FHA/VA mortgage program"  
	AMOR1PGM  = "RE: Allocation flag for EMOR1PGM"      
	TMOR2PR   = "RE: Flag indicating principal on secon"
	AMOR2PR   = "RE: Allocation flag for TMOR2PR"       
	EMOR2YR   = "RE: Year 2nd mortgage obtained"        
	AMOR2YR   = "RE: Allocation flag for EMOR2YR"       
	EMOR2MO   = "RE: Month 2nd mortgage obtained"       
	AMOR2MO   = "RE: Allocation flag for EMOR2MO"       
	TMOR2AMT  = "RE: Flag indicating second mortgage"   
	AMOR2AMT  = "RE: Allocation flag for EMOR2AMT"      
	EMOR2YRS  = "RE: Total years for payments of 2nd mo"
	AMOR2YRS  = "RE: Allocation flag for EMOR2YRS"      
	EMOR2INT  = "RE: Interest rate on 2nd mortgage"     
	AMOR2INT  = "RE: Allocation flag for EMOR2INT"      
	EMOR2VAR  = "RE: Variable/fixed rate for 2nd loan"  
	AMOR2VAR  = "RE: Allocation flag for EMOR2VAR"      
	EMOR2PGM  = "RE: 2nd loan FHA/VA mortgage program"  
	AMOR2PGM  = "RE: Allocation flag for EMOR2PGM"      
	TMOR3PR   = "RE: Flag indicating principal owed on "
	AMOR3PR   = "RE: Allocation flag for TMOR3PR"       
	TPROPVAL  = "RE: Current value of property"         
	APROPVAL  = "RE: Allocation flag for TPROPVAL"      
	EMHLOAN   = "RE: Mortgage or debt on mobile home"   
	AMHLOAN   = "RE: Allocation flag for EMHLOAN"       
	EMHTYPE   = "RE: Site or mobile home debt"          
	AMHTYPE   = "RE: Allocation flag for EMHTYPE"       
	TMHPR     = "RE: Amt principal owed on mobile"      
	AMHPR     = "RE: Allocation flag for TMHPR"         
	TMHVAL    = "RE: Amt mobile would sell for"         
	AMHVAL    = "RE: Allocation flag for TMHVAL"        
	THOMEAMT  = "RE: Monthly rent or mortgage"          
	AHOMEAMT  = "RE: Allocation flag for THOMEAMT"      
	TUTILS    = "RE: Amount paid for utilities per mont"
	AUTILS    = "RE: Allocation flag for TUTILS"        
	EPERSPAY  = "RE: More than one person paying rent"  
	APERSPAY  = "RE: Allocation flag for EPERSPAY"      
	EPERSPYA  = "RE: Only one person paid mortgage/rent"
	APERSPYA  = "RE: Allocation flag for EPERSPYA"      
	EPERSPY1  = "RE: First of several persons who paid "
	APERSPY1  = "RE: Allocation flag for EPERSPY1"      
	EPERSPY2  = "RE: 2nd of several persons who paid re"
	EPERSPY3  = "RE: Third of several persons who paid "
	TPERSAM1  = "RE: Amount first person paid for rent" 
	APERSAM1  = "RE: Allocation flag for TPERSAM1"      
	TPERSAM2  = "RE: Amount second person paid for rent"
	APERSAM2  = "RE: Allocation flag for TPERSAM2"      
	TPERSAM3  = "RE: Amount third person paid for rent" 
	APERSAM3  = "RE: Allocation flag for TPERSAM3"      
	EPAYCARE  = "RE: Pay for care of child or disabled "
	APAYCARE  = "RE: Allocation flag for EPAYCARE"      
	TCARECST  = "RE: Amount of care per month"          
	ACARECST  = "RE: Allocation flag for TCARECST"      
	EOTHRE    = "RE: Household owns other real estate"  
	AOTHRE    = "RE: Allocation flag for EOTHRE"        
	EOTHREO1  = "RE: First person owns other real estat"
	AOTHREO1  = "RE: Allocation flag for EOTHREO1"      
	EOTHREO2  = "RE: Second person owns other real esta"
	TOTHREVA  = "RE: Equity in other real estate"       
	AOTHREVA  = "RE: Allocation flag for TOTHREVA"      
	EAUTOOWN  = "RE: HH member ownership of vehicle"    
	AAUTOOWN  = "RE: Allocation flag for EAUTOOWN"      
	EAUTONUM  = "RE: Number of vehicles owned by HH"    
	AAUTONUM  = "RE: Allocation flag for EAUTONUM"      
	EA1OWN1   = "RE: First owner of first vehicle"      
	AA1OWN1   = "RE: Allocation flag for EA1OWN1"       
	EA1OWN2   = "RE: Second owner of first vehicle"     
	TCARVAL1  = "RE: Car value for first vehicle"       
	ACARVAL1  = "RE: Allocation flag for TCARVAL1"      
	EA1OWED   = "RE: Money owed for 1st vehicle"        
	AA1OWED   = "RE: Allocation flag for EA1OWED"       
	TA1AMT    = "RE: Amount owed for 1st vehicle"       
	AA1AMT    = "RE: Allocation flag for TA1AMT"        
	EA1USE    = "RE: Primary use of vehicle"            
	AA1USE    = "RE: Allocation flag for EA1USE"        
	EA2OWN1   = "RE: First owner of second vehicle"     
	AA2OWN1   = "RE: Allocation flag for EA2OWN1"       
	EA2OWN2   = "RE: 2nd owner of second vehicle"       
	TCARVAL2  = "RE: Car value for second vehicle"      
	ACARVAL2  = "RE: Allocation flag for TCARVAL2"      
	EA2OWED   = "RE: Money owed on the 2nd vehicle"     
	AA2OWED   = "RE: Allocation flag for EA2OWED"       
	TA2AMT    = "RE: Amount owed for second vehicle"    
	AA2AMT    = "RE: Allocation flag for TA2AMT"        
	EA2USE    = "RE: Primary use of vehicle"            
	AA2USE    = "RE: Allocation flag for EA2USE"        
	EA3OWN1   = "RE: 1st owner of third vehicle"        
	AA3OWN1   = "RE: Allocation flag for EA3OWN"        
	EA3OWN2   = "RE: 2nd owner of third vehicle"        
	TCARVAL3  = "RE: Car value for third vehicle"       
	ACARVAL3  = "RE: Allocation flag for TCARVAL3"      
	EA3OWED   = "RE: Money owed for third vehicle"      
	AA3OWED   = "RE: Allocation flag for EA3OWED"       
	TA3AMT    = "RE: Amount owed for third vehicle"     
	AA3AMT    = "RE: Allocation flag for TA3AMT"        
	EA3USE    = "RE: Primary use of vehicle"            
	AA3USE    = "RE: Allocation flag for EA3USE"        
	EOTHVEH   = "RE: Own other Vehicle"                 
	AOTHVEH   = "RE: Allocation flag for EOTHVEH"       
	EOVMTRCY  = "RE: Anyone own a motorcycle?"          
	AOVMTRCY  = "RE: Allocation flag for EOVMTRCY"      
	EOVBOAT   = "RE: Anyone own a boat?"                
	AOVBOAT   = "RE: Allocation flag for EOVBOAT"       
	EOVRV     = "RE: Anyone own an RV?"                 
	AOVRV     = "RE: Allocation flag for EOTHVEH2"      
	EOVOTHRV  = "RE: Anyone own any other vehicle"      
	AOVOTHRV  = "RE: Allocation flag for EOVBOAT"       
	EOV1OWN1  = "RE: 1st owner of 1st other vehicle"    
	AOV1OWN1  = "RE: Allocation flag for EOV1OWN1"      
	EOV1OWN2  = "RE: 2nd owner of 1st other vehicle"    
	TOV1VAL   = "RE: 1st other vehicle value"           
	AOV1VAL   = "RE: Allocation flag for TOV1VAL"       
	EOV1OWE   = "RE: Money owed for first other vehicle"
	AOV1OWE   = "RE: Allocation flag for EOV1OWE"       
	TOV1AMT   = "RE: Amount owed for first other vehicl"
	AOV1AMT   = "RE: Allocation flag for TOV1AMT"       
	EOV2OWN1  = "RE: 1st owner of 2nd other vehicle"    
	AOV2OWN1  = "RE: Allocation flag for EOV2OWN1"      
	EOV2OWN2  = "RE: 2nd owner of 2nd other vehicle"    
	TOV2VAL   = "RE: Second other vehicle value"        
	AOV2VAL   = "RE: Allocation flag for TOV2VAL"       
	EOV2OWE   = "RE: Is money owed for 2nd other vehicl"
	AOV2OWE   = "RE: Allocation flag for EOV2OWE"       
	TOV2AMT   = "RE: Amt owed for 2nd other vehicle"    
	AOV2AMT   = "RE: Allocation flag for TOV2AMT"       
	THHTNW    = "RE: Total Net Worth Recode"            
	THHTWLTH  = "RE: Total Wealth recode"               
	THHTHEQ   = "RE: Home Equity recode"                
	THHMORTG  = "RE: Total Debt owed on Home"           
	THHVEHCL  = "RE: Net equity in vehicles"            
	THHBEQ    = "RE: Business Equity"                   
	THHINTBK  = "RE: Interest Earning assets held in ba"
	THHINTOT  = "RE: Interest Earning assets held in ot"
	RHHSTK    = "RE: Equity in stocks and mutual fund s"
	THHORE    = "RE: Equity in real estate that is not "
	THHOTAST  = "RE: Equity in other assets"            
	THHIRA    = "RE: Equity in IRA and KEOGH accounts"  
	THHDEBT   = "RE: Total debt recode"                 
	THHSCDBT  = "RE: Total secured debt recode"         
	RHHUSCBT  = "RE: Total Unsecured Debt"              
	EPVUNV    = "PV: Universe indicator for Work Relate"
	EPVWK1    = "PV: Work related expenses. Drive own"  
	EPVWK2    = "PV: Work related expenses. Did...car/v"
	EPVWK3    = "PV: Work related expenses. Did...use t"
	EPVWK4    = "PV: Work related expenses. Did...bike/"
	EPVWK5    = "PV: Work related expenses. Get to work"
	APVWK     = "PV: Allocation Flag for EPVWK1-EPVWK5."
	EPVMILWK  = "PV: How many miles did...drive to work"
	APVMILWK  = "PV: Allocation Flag for EPVMILWK."     
	EPVPAPRK  = "PV: Did...work related expenses includ"
	APVPAPRK  = "PV: Allocation Flag for EPVPAPRK."     
	EPVPAYWK  = "PV: How much did...spend for parking o"
	APVPAYWK  = "PV: Allocation Flag for EPVPAYWK."     
	EPVCOMUT  = "PV: How much were...'s weekly commute" 
	APVCOMUT  = "PV: Allocation Flag for EPVCOMUT."     
	EPVWKEXP  = "PV: Did...have to pay for work related"
	APVWKEXP  = "PV: Allocation Flag for EPVWKEXP."     
	EPVANEXP  = "PV: How much were annual expenses for" 
	APVANEXP  = "PV: Allocation Flag for EPVANEXP."     
	EPVCHILD  = "PV: Do you have any children who lived"
	APVCHILD  = "PV: Allocation Flag for EPVCHILD."     
	EPVMANCD  = "PV: How many children lived elsewhere?"
	APVMANCD  = "PV: Allocation Flag for EPVMANCD."     
	EPVMOSUP  = "PV: Was...required to pay child suppor"
	APVMOSUP  = "PV: Allocation Flag for EPVMOSUP."     
	TPVCHPA1  = "PV: How much did ... pay in child supp"
	TPVCHPA2  = "PV: How much did ... pay in child supp"
	TPVCHPA3  = "PV: How much did ... pay in child supp"
	TPVCHPA4  = "PV: How much did ... pay in child supp"
	APVCHPA   = "PV: Allocation Flag for TPVCHPA1 -"    
	EMDUNV    = "MG: Universe Indicator for Medical Exp"
	EHLTSTAT  = "ME:Report of current health status"    
	AHLTSTAT  = "ME: Allocation flag for EHLTSTAT"      
	EHOSPSTA  = "ME:Hospital stays in past 12 months"   
	AHOSPSTA  = "ME: Allocation flag for EHOSPSTA / EHS"
	EHOSPNIT  = "ME:Number of nights spent in hospital" 
	AHOSPNIT  = "ME: Allocation flag for EHOSPNIT"      
	EPRESDRG  = "ME: Prescription medication use in the"
	APRESDRG  = "ME: Allocation flag for EPRESDRG / EPR"
	EDALYDRG  = "ME: Report of daily prescription medic"
	ADALYDRG  = "ME: Allocation flag for EDALYDRG"      
	EVISDENT  = "ME: Frequency of dental visits in past"
	AVISDENT  = "ME: Allocation flag for EVISDENT"      
	EVISDOC   = "ME: Frequency of medical provider visi"
	AVISDOC   = "ME: Allocation flag for EVISDOC"       
	EMDSPND   = "ME: Did respondent buy medical supplie"
	AMDSPND   = "ME: Allocation flag for EMDSPND"       
	EMDSPNDS  = "ME: Did respondent buy medical supplie"
	AMDSPNDS  = "ME: Allocation flag for EMDSPNDS"      
	EDAYSICK  = "ME: Number of sickdays in past 12 mont"
	ADAYSICK  = "ME: Allocation flag for EDAYSICK"      
	TMEDPAY   = "ME: Cost resp. medical care / health i"
	AMEDPAY   = "ME: Allocation flag for TMEDPAY"       
	EHSPSTAS  = "ME:Hospital stays of children in past "
	AHSPSTAS  = "ME: Allocation flag for EHSPSTAS"      
	EPRSDRGS  = "ME: Prescription medication use of chi"
	APRSDRGS  = "ME: Allocation flag for EPRSDRGS"      
	EVSDENTS  = "ME: Children's dentist visits in the p"
	AVSDENTS  = "ME: Allocation flag for EVSDENTS"      
	EVSDOCS   = "ME: Doctor/medical provider contacted "
	AVSDOCS   = "ME: Allocation flag for EVSDOCS."      
	ENOWKYR   = "ME:Length of time not worked due to he"
	ANOWKYR   = "ME: Allocation flag for ENOWKYR"       
	EWKFUTR   = "ME:Respondent able to work during the "
	AWKFUTR   = "ME: Allocation flag for EWKFUTR"       
	TRMOOPS   = "ME: Edited variable for out of pocket" 
	TREIMBUR  = "ME: Reimbursed medical expenses."      
	AREIMBUR  = "ME: Allocation flag for TREIMBUR"      
;

FORMAT
	SPANEL     SPANEL.   
	TFIPSST    TFIPSST.  
	EOUTCOME   EOUTCOME. 
	RFID2      RFID2L.   
	EPOPSTAT   EPOPSTAT. 
	EPPINTVW   EPPINTVW. 
	EPPMIS4    EPPMIS4L. 
	ESEX       ESEX.     
	ERACE      ERACE.    
	EORIGIN    EORIGIN.  
	ERRP       ERRP.     
	TAGE       TAGE.     
	EMS        EMS.      
	EPNSPOUS   EPNSPOUS. 
	EPNMOM     EPNMOM.   
	EPNDAD     EPNDAD.   
	EPNGUARD   EPNGUARD. 
	RDESGPNT   RDESGPNT. 
	EEDUCATE   EEDUCATE. 
	EPALUNV    EPALUNV.  
	EALOW      EALOW.    
	AALOW      AALOW.    
	EALOWA     EALOWA.   
	AALOWA     AALOWA.   
	EALSB      EALSB.    
	AALSB      AALSB.    
	TALSBV     TALSBV.   
	AALSBV     AALSBV.   
	EALJCH     EALJCH.   
	AALJCH     AALJCH.   
	TALJCHA    TALJCHA.  
	AALJCHA    AALJCHA.  
	EALJDB     EALJDB.   
	AALJDB     AALJDB.   
	EALJDL     EALJDL.   
	AALJDL     AALJDL.   
	EALJDO     EALJDO.   
	AALJDO     AALJDO.   
	EALJDAB    EALJDAB.  
	AALJDAB    AALJDAB.  
	EALJDAL    EALJDAL.  
	AALJDAL    AALJDAL.  
	EALJDAO    EALJDAO.  
	AALJDAO    AALJDAO.  
	EALICH     EALICH.   
	AALICH     AALICH.   
	TALICHA    TALICHA.  
	AALICHA    AALICHA.  
	EALIL      EALIL.    
	AALIL      AALIL.    
	EALIDB     EALIDB.   
	AALIDB     AALIDB.   
	EALIDL     EALIDL.   
	AALIDL     AALIDL.   
	EALIDO     EALIDO.   
	AALIDO     AALIDO.   
	EALIDAB    EALIDAB.  
	AALIDAB    AALIDAB.  
	EALIDAL    EALIDAL.  
	AALIDAL    AALIDAL.  
	EALIDAO    EALIDAO.  
	AALIDAO    AALIDAO.  
	EALR       EALR.     
	AALR       AALR.     
	EALRY      EALRY.    
	AALRY      AALRY.    
	TALRB      TALRB.    
	AALRB      AALRB.    
	EALRA1     EALRA1L.  
	AALRA1     AALRA1L.  
	EALRA2     EALRA2L.  
	AALRA2     AALRA2L.  
	EALRA3     EALRA3L.  
	AALRA3     AALRA3L.  
	EALRA4     EALRA4L.  
	AALRA4     AALRA4L.  
	EALK       EALK.     
	AALK       AALK.     
	EALKY      EALKY.    
	AALKY      AALKY.    
	TALKB      TALKB.    
	AALKB      AALKB.    
	EALKA1     EALKA1L.  
	AALKA1     AALKA1L.  
	EALKA2     EALKA2L.  
	AALKA2     AALKA2L.  
	EALKA3     EALKA3L.  
	AALKA3     AALKA3L.  
	EALKA4     EALKA4L.  
	AALKA4     AALKA4L.  
	EALT       EALT.     
	AALT       AALT.     
	EALTY      EALTY.    
	AALTY      AALTY.    
	TALTB      TALTB.    
	AALTB      AALTB.    
	EALTA1     EALTA1L.  
	AALTA1     AALTA1L.  
	EALTA2     EALTA2L.  
	AALTA2     AALTA2L.  
	EALTA3     EALTA3L.  
	AALTA3     AALTA3L.  
	EALTA4     EALTA4L.  
	AALTA4     AALTA4L.  
	EALLI      EALLI.    
	AALLI      AALLI.    
	TALLIV     TALLIV.   
	AALLIV     AALLIV.   
	EALLIT     EALLIT.   
	AALLIT     AALLIT.   
	EALLIE     EALLIE.   
	AALLIE     AALLIE.   
	TALLIEV    TALLIEV.  
	AALLIEV    AALLIEV.  
	EPOAUNV    EPOAUNV.  
	EOAEQ      EOAEQ.    
	AOAEQ      AOAEQ.    
	TIAJTA     TIAJTA.   
	AIAJTA     AIAJTA.   
	TIAITA     TIAITA.   
	AIAITA     AIAITA.   
	TIMJA      TIMJA.    
	AIMJA      AIMJA.    
	TIMIA      TIMIA.    
	AIMIA      AIMIA.    
	ESMJM      ESMJM.    
	ASMJM      ASMJM.    
	ESMJS      ESMJS.    
	ASMJS      ASMJS.    
	ESMJV      ESMJV.    
	ASMJV      ASMJV.    
	ESMJMA     ESMJMA.   
	ASMJMA     ASMJMA.   
	ESMJMAV    ESMJMAV.  
	ASMJMAV    ASMJMAV.  
	ESMI       ESMI.     
	ASMI       ASMI.     
	ESMIV      ESMIV.    
	ASMIV      ASMIV.    
	ESMIMA     ESMIMA.   
	ASMIMA     ASMIMA.   
	ESMIMAV    ESMIMAV.  
	ASMIMAV    ASMIMAV.  
	ERJOWN     ERJOWN.   
	ARJOWN     ARJOWN.   
	ERJNUM     ERJNUM.   
	ARJNUM     ARJNUM.   
	ERJTYP1    ERJTYP1L. 
	ARJTYP1    ARJTYP1L. 
	ERJTYP2    ERJTYP2L. 
	ARJTYP2    ARJTYP2L. 
	ERJTYP3    ERJTYP3L. 
	ARJTYP3    ARJTYP3L. 
	ERJTYP4    ERJTYP4L. 
	ARJTYP4    ARJTYP4L. 
	ERJTYP5    ERJTYP5L. 
	ARJTYP5    ARJTYP5L. 
	ERJTYP6    ERJTYP6L. 
	ARJTYP6    ARJTYP6L. 
	ERJAT      ERJAT.    
	ARJAT      ARJAT.    
	ERJATA     ERJATA.   
	ARJATA     ARJATA.   
	TRJMV      TRJMV.    
	ARJMV      ARJMV.    
	ERJDEB     ERJDEB.   
	ARJDEB     ARJDEB.   
	TRJPRI     TRJPRI.   
	ARJPRI     ARJPRI.   
	ERIOWN     ERIOWN.   
	ARIOWN     ARIOWN.   
	ERINUM     ERINUM.   
	ARINUM     ARINUM.   
	ERITYPE1   ERITYPEM. 
	ARITYPE1   ARITYPEM. 
	ERITYPE2   ERITYPEK. 
	ARITYPE2   ARITYPEK. 
	ERITYPE3   ERITYPEL. 
	ARITYPE3   ARITYPEL. 
	ERITYPE4   ERITYPEN. 
	ARITYPE4   ARITYPEN. 
	ERITYPE5   ERITYPEO. 
	ARITYPE5   ARITYPEO. 
	ERITYPE6   ERITYPEP. 
	ARITYPE6   ARITYPEP. 
	ERIAT      ERIAT.    
	ARIAT      ARIAT.    
	ERIATA     ERIATA.   
	ARIATA     ARIATA.   
	TRIMV      TRIMV.    
	ARIMV      ARIMV.    
	ERIDEB     ERIDEB.   
	ARIDEB     ARIDEB.   
	TRIPRI     TRIPRI.   
	ARIPRI     ARIPRI.   
	ERTOWN     ERTOWN.   
	ARTOWN     ARTOWN.   
	ERTNUM     ERTNUM.   
	ARTNUM     ARTNUM.   
	ERTTYPE1   ERTTYPEM. 
	ARTTYPE1   ARTTYPEM. 
	ERTTYPE2   ERTTYPEK. 
	ARTTYPE2   ARTTYPEK. 
	ERTTYPE3   ERTTYPEL. 
	ARTTYPE3   ARTTYPEL. 
	ERTTYPE4   ERTTYPEN. 
	ARTTYPE4   ARTTYPEN. 
	ERTTYPE5   ERTTYPEO. 
	ARTTYPE5   ARTTYPEO. 
	ERTTYPE6   ERTTYPEP. 
	ARTTYPE6   ARTTYPEP. 
	ERTAT      ERTAT.    
	ARTAT      ARTAT.    
	ERTATA     ERTATA.   
	ARTATA     ARTATA.   
	TRTMV      TRTMV.    
	ARTMV      ARTMV.    
	ERTDEB     ERTDEB.   
	ARTDEB     ARTDEB.   
	TRTPRI     TRTPRI.   
	ARTPRI     ARTPRI.   
	TRTSHA     TRTSHA.   
	ARTSHA     ARTSHA.   
	EMJP       EMJP.     
	AMJP       AMJP.     
	EMIP       EMIP.     
	AMIP       AMIP.     
	EVBUNV1    EVBUNV1L. 
	EVBNO1     EVBNO1L.  
	EVBOW1     EVBOW1L.  
	AVBOW1     AVBOW1L.  
	TVBVA1     TVBVA1L.  
	AVBVA1     AVBVA1L.  
	TVBDE1     TVBDE1L.  
	AVBDE1     AVBDE1L.  
	EVBUNV2    EVBUNV2L. 
	EVBNO2     EVBNO2L.  
	EVBOW2     EVBOW2L.  
	AVBOW2     AVBOW2L.  
	TVBVA2     TVBVA2L.  
	AVBVA2     AVBVA2L.  
	TVBDE2     TVBDE2L.  
	AVBDE2     AVBDE2L.  
	EHREUNV    EHREUNV.  
	EREMOBHO   EREMOBHO. 
	AREMOBHO   AREMOBHO. 
	EHOWNER1   EHOWNERO. 
	AHOWNER1   AHOWNERO. 
	EHOWNER2   EHOWNERK. 
	AHOWNER2   AHOWNERK. 
	EHOWNER3   EHOWNERL. 
	EHBUYMO    EHBUYMO.  
	AHBUYMO    AHBUYMO.  
	EHBUYYR    EHBUYYR.  
	AHBUYYR    AHBUYYR.  
	EHMORT     EHMORT.   
	AHMORT     AHMORT.   
	ENUMMORT   ENUMMORT. 
	ANUMMORT   ANUMMORT. 
	TMOR1PR    TMOR1PR.  
	AMOR1PR    AMOR1PR.  
	EMOR1YR    EMOR1YR.  
	AMOR1YR    AMOR1YR.  
	EMOR1MO    EMOR1MO.  
	AMOR1MO    AMOR1MO.  
	TMOR1AMT   TMOR1AMT. 
	AMOR1AMT   AMOR1AMT. 
	EMOR1YRS   EMOR1YRS. 
	AMOR1YRS   AMOR1YRS. 
	EMOR1INT   EMOR1INT. 
	AMOR1INT   AMOR1INT. 
	EMOR1VAR   EMOR1VAR. 
	AMOR1VAR   AMOR1VAR. 
	EMOR1PGM   EMOR1PGM. 
	AMOR1PGM   AMOR1PGM. 
	TMOR2PR    TMOR2PR.  
	AMOR2PR    AMOR2PR.  
	EMOR2YR    EMOR2YR.  
	AMOR2YR    AMOR2YR.  
	EMOR2MO    EMOR2MO.  
	AMOR2MO    AMOR2MO.  
	TMOR2AMT   TMOR2AMT. 
	AMOR2AMT   AMOR2AMT. 
	EMOR2YRS   EMOR2YRS. 
	AMOR2YRS   AMOR2YRS. 
	EMOR2INT   EMOR2INT. 
	AMOR2INT   AMOR2INT. 
	EMOR2VAR   EMOR2VAR. 
	AMOR2VAR   AMOR2VAR. 
	EMOR2PGM   EMOR2PGM. 
	AMOR2PGM   AMOR2PGM. 
	TMOR3PR    TMOR3PR.  
	AMOR3PR    AMOR3PR.  
	TPROPVAL   TPROPVAL. 
	APROPVAL   APROPVAL. 
	EMHLOAN    EMHLOAN.  
	AMHLOAN    AMHLOAN.  
	EMHTYPE    EMHTYPE.  
	AMHTYPE    AMHTYPE.  
	TMHPR      TMHPR.    
	AMHPR      AMHPR.    
	TMHVAL     TMHVAL.   
	AMHVAL     AMHVAL.   
	THOMEAMT   THOMEAMT. 
	AHOMEAMT   AHOMEAMT. 
	TUTILS     TUTILS.   
	AUTILS     AUTILS.   
	EPERSPAY   EPERSPAY. 
	APERSPAY   APERSPAY. 
	EPERSPYA   EPERSPYA. 
	APERSPYA   APERSPYA. 
	EPERSPY1   EPERSPYK. 
	APERSPY1   APERSPYK. 
	EPERSPY2   EPERSPYL. 
	EPERSPY3   EPERSPYM. 
	TPERSAM1   TPERSAMA. 
	APERSAM1   APERSAMA. 
	TPERSAM2   TPERSAMK. 
	APERSAM2   APERSAMK. 
	TPERSAM3   TPERSAML. 
	APERSAM3   APERSAML. 
	EPAYCARE   EPAYCARE. 
	APAYCARE   APAYCARE. 
	TCARECST   TCARECST. 
	ACARECST   ACARECST. 
	EOTHRE     EOTHRE.   
	AOTHRE     AOTHRE.   
	EOTHREO1   EOTHREOE. 
	AOTHREO1   AOTHREOE. 
	EOTHREO2   EOTHREOK. 
	TOTHREVA   TOTHREVA. 
	AOTHREVA   AOTHREVA. 
	EAUTOOWN   EAUTOOWN. 
	AAUTOOWN   AAUTOOWN. 
	EAUTONUM   EAUTONUM. 
	AAUTONUM   AAUTONUM. 
	EA1OWN1    EA1OWN1L. 
	AA1OWN1    AA1OWN1L. 
	EA1OWN2    EA1OWN2L. 
	TCARVAL1   TCARVALM. 
	ACARVAL1   ACARVALM. 
	EA1OWED    EA1OWED.  
	AA1OWED    AA1OWED.  
	TA1AMT     TA1AMT.   
	AA1AMT     AA1AMT.   
	EA1USE     EA1USE.   
	AA1USE     AA1USE.   
	EA2OWN1    EA2OWN1L. 
	AA2OWN1    AA2OWN1L. 
	EA2OWN2    EA2OWN2L. 
	TCARVAL2   TCARVALE. 
	ACARVAL2   ACARVALE. 
	EA2OWED    EA2OWED.  
	AA2OWED    AA2OWED.  
	TA2AMT     TA2AMT.   
	AA2AMT     AA2AMT.   
	EA2USE     EA2USE.   
	AA2USE     AA2USE.   
	EA3OWN1    EA3OWN1L. 
	AA3OWN1    AA3OWN1L. 
	EA3OWN2    EA3OWN2L. 
	TCARVAL3   TCARVALK. 
	ACARVAL3   ACARVALK. 
	EA3OWED    EA3OWED.  
	AA3OWED    AA3OWED.  
	TA3AMT     TA3AMT.   
	AA3AMT     AA3AMT.   
	EA3USE     EA3USE.   
	AA3USE     AA3USE.   
	EOTHVEH    EOTHVEH.  
	AOTHVEH    AOTHVEH.  
	EOVMTRCY   EOVMTRCY. 
	AOVMTRCY   AOVMTRCY. 
	EOVBOAT    EOVBOAT.  
	AOVBOAT    AOVBOAT.  
	EOVRV      EOVRV.    
	AOVRV      AOVRV.    
	EOVOTHRV   EOVOTHRV. 
	AOVOTHRV   AOVOTHRV. 
	EOV1OWN1   EOV1OWNV. 
	AOV1OWN1   AOV1OWNV. 
	EOV1OWN2   EOV1OWNK. 
	TOV1VAL    TOV1VAL.  
	AOV1VAL    AOV1VAL.  
	EOV1OWE    EOV1OWE.  
	AOV1OWE    AOV1OWE.  
	TOV1AMT    TOV1AMT.  
	AOV1AMT    AOV1AMT.  
	EOV2OWN1   EOV2OWNT. 
	AOV2OWN1   AOV2OWNT. 
	EOV2OWN2   EOV2OWNK. 
	TOV2VAL    TOV2VAL.  
	AOV2VAL    AOV2VAL.  
	EOV2OWE    EOV2OWE.  
	AOV2OWE    AOV2OWE.  
	TOV2AMT    TOV2AMT.  
	AOV2AMT    AOV2AMT.  
	THHTNW     THHTNW.   
	THHTWLTH   THHTWLTH. 
	THHTHEQ    THHTHEQ.  
	THHMORTG   THHMORTG. 
	THHVEHCL   THHVEHCL. 
	THHBEQ     THHBEQ.   
	THHINTBK   THHINTBK. 
	THHINTOT   THHINTOT. 
	RHHSTK     RHHSTK.   
	THHORE     THHORE.   
	THHOTAST   THHOTAST. 
	THHIRA     THHIRA.   
	THHDEBT    THHDEBT.  
	THHSCDBT   THHSCDBT. 
	RHHUSCBT   RHHUSCBT. 
	EPVUNV     EPVUNV.   
	EPVWK1     EPVWK1L.  
	EPVWK2     EPVWK2L.  
	EPVWK3     EPVWK3L.  
	EPVWK4     EPVWK4L.  
	EPVWK5     EPVWK5L.  
	APVWK      APVWK.    
	EPVMILWK   EPVMILWK. 
	APVMILWK   APVMILWK. 
	EPVPAPRK   EPVPAPRK. 
	APVPAPRK   APVPAPRK. 
	EPVPAYWK   EPVPAYWK. 
	APVPAYWK   APVPAYWK. 
	EPVCOMUT   EPVCOMUT. 
	APVCOMUT   APVCOMUT. 
	EPVWKEXP   EPVWKEXP. 
	APVWKEXP   APVWKEXP. 
	EPVANEXP   EPVANEXP. 
	APVANEXP   APVANEXP. 
	EPVCHILD   EPVCHILD. 
	APVCHILD   APVCHILD. 
	EPVMANCD   EPVMANCD. 
	APVMANCD   APVMANCD. 
	EPVMOSUP   EPVMOSUP. 
	APVMOSUP   APVMOSUP. 
	TPVCHPA1   TPVCHPAP. 
	TPVCHPA2   TPVCHPAK. 
	TPVCHPA3   TPVCHPAL. 
	TPVCHPA4   TPVCHPAM. 
	APVCHPA    APVCHPA.  
	EMDUNV     EMDUNV.   
	EHLTSTAT   EHLTSTAT. 
	AHLTSTAT   AHLTSTAT. 
	EHOSPSTA   EHOSPSTA. 
	AHOSPSTA   AHOSPSTA. 
	EHOSPNIT   EHOSPNIT. 
	AHOSPNIT   AHOSPNIT. 
	EPRESDRG   EPRESDRG. 
	APRESDRG   APRESDRG. 
	EDALYDRG   EDALYDRG. 
	ADALYDRG   ADALYDRG. 
	EVISDENT   EVISDENT. 
	AVISDENT   AVISDENT. 
	EVISDOC    EVISDOC.  
	AVISDOC    AVISDOC.  
	EMDSPND    EMDSPND.  
	AMDSPND    AMDSPND.  
	EMDSPNDS   EMDSPNDS. 
	AMDSPNDS   AMDSPNDS. 
	EDAYSICK   EDAYSICK. 
	ADAYSICK   ADAYSICK. 
	TMEDPAY    TMEDPAY.  
	AMEDPAY    AMEDPAY.  
	EHSPSTAS   EHSPSTAS. 
	AHSPSTAS   AHSPSTAS. 
	EPRSDRGS   EPRSDRGS. 
	APRSDRGS   APRSDRGS. 
	EVSDENTS   EVSDENTS. 
	AVSDENTS   AVSDENTS. 
	EVSDOCS    EVSDOCS.  
	AVSDOCS    AVSDOCS.  
	ENOWKYR    ENOWKYR.  
	ANOWKYR    ANOWKYR.  
	EWKFUTR    EWKFUTR.  
	AWKFUTR    AWKFUTR.  
	AREIMBUR   AREIMBUR. 
;

data check; set s96tm3;
if emdunv=-1 then thhtnw=.;
if eeducate=-1 then eeducate=.;
if ereimb=-1 then ereimb=.;

keep thhtnw emdunv tmedpay treimbur ereimb areimbur 
spanel swave srotaton ssuid  swave shhadid eoutcome eentaid epppnum epopstat eppintvw eppmis4 esex erace eorigin wpfinwgt errp tage ems eeducate;
run;

proc means; 
proc freq; tables emdunv eoutcome epopstat eppintvw esex erace eorigin errp tage ems eeducate; 
proc univariate; var thhtnw tmedpay; 
run;

proc sort data = check; by ssuid eentaid epppnum;

data in.tm1996w3; set check; by ssuid eentaid epppnum;
if first.ssuid then do;
   hhsize=0; huseduc=.; wifeeduc=.; husrace=.; wiferace=.; husage=.; wifeage=.; numadults=0; numkids=0; numkids05=0; numkids611=0; numkids1217=0; 
   numkids1824=0; numothrelkid=0; numothreladult=0; numothnonrelkid=0; numothnonreladult=0; hushispanic=.; wifehispanic=.; married=0; numkids1824=0;
   husmed=.; wifemed=.; kidmed=0; othmed=0; totfammed=0; networth=.;
end;

keep ssuid spanel swave srotaton hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT;

retain hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth;

hhsize = hhsize + 1;

if errp=1 or errp=2 or errp=3 then do; 
   if errp=1 or errp=2 then networth = thhtnw;
   if ems=1 then married=1;
   numadults = numadults + 1;
   if esex=1 then do; huseduc=eeducate; husrace=erace; husage=tage; hushispanic= 0; if eorigin>=20 and eorigin<=28 then hushispanic=1; husmed = tmedpay; totfammed = totfammed + tmedpay; end;
   if esex=2 then do; wifeeduc=eeducate; wiferace=erace; wifeage=tage; wifehispanic= 0; if eorigin>=20 and eorigin<=28 then wifehispanic=1; wifemed = tmedpay; totfammed = totfammed + tmedpay; end;
end;

if errp=4 then do;
   kidmed = kidmed + tmedpay; totfammed = totfammed + tmedpay; 
   numkids = numkids + 1;
   if tage<=5 then numkids05 = numkids05 + 1;
   if tage>=6 and tage<=11 then numkids611 = numkids611 + 1;
   if tage>=12 and tage<=17 then numkids1217 = numkids1217 + 1;
   if tage>=18 and tage<=24 then numkids1824 = numkids1824 + 1;
end;

if errp>=5 and errp<=8 then do; 
   if tage<18 then numothrelkid=numothrelkid+1; if tage>=18 then numothreladult = numothreladult + 1; othmed = othmed + tmedpay;  
end;

if errp>=9 then do; 
   if tage<18 then numothnonrelkid=numothnonrelkid+1; if tage>=18 then numothnonreladult = numothnonreladult + 1;othmed = othmed + tmedpay; 
end; 

if last.ssuid then output;

proc means; 
proc freq; tables hhsize huseduc wifeeduc husrace wiferace husrace*wiferace numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic*wifehispanic numkids1824; 
proc univariate; var networth husmed wifemed kidmed othmed totfammed; 
run;
