clear
set mem 700m

log using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\create data\addw9_rnd_exc_ss_tvv" , replace

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\rndvariablesbb1_wave9.dta"

gen temp = r8iwend/30.4 - 12*30
su temp r8iwend
gen sdw8 = round(temp)

gen tempa = r9iwend/30.4 - 12*30
su tempa r9iwend
gen sdw9 = round(tempa)

su sdw*

keep rabyear rabmonth hhid pn hhidpn hacohort rahispan raracem ragender raedyrs rassagem r*ret* sdw*

sort hhid pn

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp", replace

clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\wave9.dta"

sort hhid pn

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp"

tab _merge

keep if _merge==3 | _merge==2

gen ss9age = ss9 - ((rabyear-1992)*12 + rabmonth)
replace rassagem=ss9age if rassagem==. & ss9age>=744 & ss9age>=sdw8 & ss9age~=.
replace rassagem=. if rassagem<744

gen ret1 = (r1retyr-1992)*12 + r1retmon
gen ret2 = (r2retyr-1992)*12 + r2retmon
gen ret3 = (r3retyr-1992)*12 + r3retmon
gen ret4 = (r4retyr-1992)*12 + r4retmon
gen ret5 = (r5retyr-1992)*12 + r5retmon
gen ret6 = (r6retyr-1992)*12 + r6retmon
gen ret7 = (r7retyr-1992)*12 + r7retmon
gen ret8 = (r8retyr-1992)*12 + r8retmon
gen ret9 = (r9retyr-1992)*12 + r9retmon


gen useret1=1 if ret1~=.
replace useret1=0 if ret1~=. & ((ret2~=ret1 & ret2~=.) | (ret3~=ret1 & ret3~=.) | (ret4~=ret1 & ret4~=.) & (ret5~=ret1 & ret5~=.) | (ret6~=ret1 & ret6~=.) | (ret7~=ret1 & ret7~=.) | (ret8~=ret1 & ret8~=.) | (ret9~=ret1 & ret9~=.) )

gen useret2=1 if ret2~=. 
replace useret2=0 if useret1==0 
replace useret2=0 if ret2~=. & ((ret3~=ret2 & ret3~=.) | (ret4~=ret2 & ret4~=.) | (ret5~=ret2 & ret5~=.) | (ret6~=ret2 & ret6~=.) & (ret7~=ret2 & ret7~=.) | (ret8~=ret2 & ret8~=.) | (ret9~=ret2 & ret9~=.) )

gen useret3=1 if ret3~=. 
replace useret3=0 if useret2==0 | useret1==0 
replace useret3=0 if ret3~=. & ((ret4~=ret3 & ret4~=.) | (ret5~=ret3 & ret5~=.) | (ret6~=ret3 & ret6~=.) | (ret7~=ret3 & ret7~=.) | (ret8~=ret3 & ret8~=.) | (ret9~=ret3 & ret9~=.) )

gen useret4=1 if ret4~=. 
replace useret4=0 if useret3==0 | useret2==0 | useret1==0 
replace useret4=0 if ret4~=. & ((ret5~=ret4 & ret5~=.) | (ret6~=ret4 & ret6~=.) | (ret7~=ret4 & ret7~=.) | (ret8~=ret4 & ret8~=.) | (ret9~=ret4 & ret9~=.) )

gen useret5=1 if ret5~=. 
replace useret5=0 if useret3==0 | useret2==0 | useret1==0 | useret4==0
replace useret5=0 if ret5~=. & ((ret6~=ret5 & ret6~=.) | (ret7~=ret5 & ret7~=.) | (ret8~=ret5 & ret8~=.) | (ret9~=ret5 & ret9~=.) )

gen useret6=1 if ret6~=. 
replace useret6=0 if useret3==0 | useret2==0 | useret1==0 | useret4==0 | useret5==0
replace useret6=0 if ret6~=. & ((ret7~=ret6 & ret7~=.) | (ret8~=ret6 & ret8~=.) | (ret9~=ret6 & ret9~=.) )

gen useret7=1 if ret7~=. 
replace useret7=0 if useret3==0 | useret2==0 | useret1==0 | useret4==0 | useret5==0 | useret6==0
replace useret7=0 if ret7~=. & ((ret8~=ret7 & ret8~=.) | (ret9~=ret7 & ret9~=.) )

gen useret8=1 if ret8~=. 
replace useret8=0 if useret3==0 | useret2==0 | useret1==0 | useret4==0 | useret5==0 | useret6==0 | useret7==0
replace useret8=0 if ret8~=. & (ret9~=ret8 & ret9~=.)

gen useretall=1 if useret1~=0 & useret2~=0 & useret3~=0 & useret4~=0 & useret5~=0 & useret6~=0 & useret7~=0 & useret8~=0

*****newline******

replace useretall=. if useret1==. & useret2==. & useret3==. & useret4==. & useret5==. & useret6==. & useret7==. & useret8==.
 
replace useretall=0 if useret1==0 | useret2==0 | useret3==0 | useret4==0 | useret5==0 | useret6==0 | useret7==0 | useret8==0

gen     retire_date = ret1 if ret1~=. & useretall~=0
replace retire_date = ret2 if ret2~=. & useretall~=0 
replace retire_date = ret3 if ret3~=. & useretall~=0 
replace retire_date = ret4 if ret4~=. & useretall~=0 
replace retire_date = ret5 if ret5~=. & useretall~=0 
replace retire_date = ret6 if ret6~=. & useretall~=0 
replace retire_date = ret7 if ret7~=. & useretall~=0 
replace retire_date = ret8 if ret8~=. & useretall~=0 
replace retire_date = ret9 if ret9~=. & useretall~=0 

gen retire_age = retire_date - ((rabyear-1992)*12 + rabmonth)

*replace retire_age = 1000 if useretall==.

su rassagem retire_date

sort hhid pn

drop _merge r*ret* ret1-ret9 useret1-useret8

su

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp", replace

clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl9_months.dta"

drop lw*

keep if sdw9~=.

gen firstmon = sdw8
replace firstmon=sdw7 if firstmon==.
replace firstmon=sdw6 if firstmon==.
replace firstmon=sdw5 if firstmon==.
replace firstmon=sdw4 if firstmon==.
replace firstmon=sdw3 if firstmon==.
replace firstmon=sdw2 if firstmon==.
replace firstmon=sdw1 if firstmon==.

gen lastmon = sdw9

sort hhid pn

*su

compress

reshape long jl j ex tenure se laidoff , i(hhid pn) j(t)

drop if t==.
drop if t<=firstmon
drop if t>lastmon

su

*tab jl j, r

sort hhid pn t

* have to merge with temp here, because wave9 does not have rabyear, and there is no other way to get it on the file

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp"


gen agemon = t - ((rabyear-1992)*12 + rabmonth)

* generate "long" flags

gen flagbjob=flagbjob9 if t==bjob9

gen flagejob=flagejob9 if ((t==ejob9 & j[_n+1]>=1 & j[_n+1]<=2) | (t==ejob9+1 & j==0))

gen flagex=1 if flagex9==1 & t>sdw8 & t<=sdw9

gen flaghours=1 if flaghours9==1 & t>sdw8 & t<=sdw9

gen seam=1 if t==sdw9

gen bjobmon=1 if t==bjob9 & oldbjob9==.

gen ejobmon=1 if t==ejob9 & oldejob9==.

gen misswave = miss8 if t==sdw9

drop miss8 bjob* ejob*  ejobmon9  oldejob9 oldbjob9  bjobmon9  flaghours9  flagex9  flagejob9  flagbjob9 lastmon firstmon
*drop anywork9 hrswkcs9 yrbgcj9 flagfhours9 

compress

* get rid of retire stuff from temp, it will be merged in again below

drop ret* rass* ss* 

* empl_long does not have interview dates, so before appending it I have to merge in the interview dates. They are on empl9_months

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempa", replace

clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl9_months.dta"

keep sdw* hhid pn

sort hhid pn

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempb", replace

clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long.dta"

drop if t==.
sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempb"

su sdw*

append using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempa"

sort hhid pn t

drop ret* ss*
drop _merge

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\temp"


tab _merge

keep if _merge==3 | _merge==1

drop retire9 ss9* user* 

replace rassagem = 1000 if rassagem==.
gen ss=0 if rassagem>0 & rassagem<1000 & agemon~=.
replace ss=1 if agemon>=rassagem & rassagem>0 & rassagem<1000 & agemon~=.
replace rassagem=. if rassagem==1000

replace retire_age=. if retire_age<480
replace retire_age=1000 if retire_age==.
gen retired=0 if retire_age~=. & retire_age<1000
replace retired=1 if agemon>=retire_age & retire_age<1000
replace retire_age=. if retire_age==1000

drop if t==.

sort hhid pn t

drop _merge retire_date health9
su

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_9_newest.dta"  , replace

*keep if rabyear>=1931 & rabyear<=1945
*keep hhid pn t rab* ss retired rassagem hhidpn retire_age
*sort rabyear
*by rabyear: su rassagem retire_age


clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\rndvariablesbb1_wave9.dta"


rename r1mstat rmstat1
rename r2mstat rmstat2
rename r3mstat rmstat3
rename r4mstat rmstat4
rename r5mstat rmstat5
rename r6mstat rmstat6
rename r7mstat rmstat7
rename r8mstat rmstat8
rename r9mstat rmstat9

rename r1shlt rshlt1
rename r2shlt rshlt2
rename r3shlt rshlt3
rename r4shlt rshlt4
rename r5shlt rshlt5
rename r6shlt rshlt6
rename r7shlt rshlt7
rename r8shlt rshlt8
rename r9shlt rshlt9

rename r1ptyp1 rptyp1
rename r2ptyp1 rptyp2
rename r3ptyp1 rptyp3
rename r4ptyp1 rptyp4
rename r5ptyp1 rptyp5
rename r6ptyp1 rptyp6
rename r7ptyp1 rptyp7
rename r8ptyp1 rptyp8
rename r9ptyp1 rptyp9

rename r1jcpen rjcpen1
rename r2jcpen rjcpen2
rename r3jcpen rjcpen3
rename r4jcpen rjcpen4
rename r5jcpen rjcpen5
rename r6jcpen rjcpen6
rename r7jcpen rjcpen7
rename r8jcpen rjcpen8
rename r9jcpen rjcpen9

rename r1covr rcovr1
rename r2covr rcovr2
rename r3covr rcovr3
rename r4covr rcovr4
rename r5covr rcovr5
rename r6covr rcovr6
rename r7covr rcovr7
rename r8covr rcovr8
rename r9covr rcovr9

rename r1covs rcovs1
rename r2covs rcovs2
rename r3covs rcovs3
rename r4covs rcovs4
rename r5covs rcovs5
rename r6covs rcovs6
rename r7covs rcovs7
rename r8covs rcovs8
rename r9covs rcovs9

rename r1covrt rcovrt1
rename r2covrt rcovrt2
rename r3covrt rcovrt3
rename r4covrt rcovrt4
rename r5covrt rcovrt5
rename r6covrt rcovrt6
rename r7covrt rcovrt7
rename r8covrt rcovrt8
rename r9covrt rcovrt9

rename r1hiothp rhiothp1
rename r2hiothp rhiothp2
rename r3hiothp rhiothp3
rename r4hiothp rhiothp4
rename r5hiothp rhiothp5
rename r6hiothp rhiothp6
rename r7hiothp rhiothp7
rename r8hiothp rhiothp8
rename r9hiothp rhiothp9

rename r1higov rhigov1
rename r2higov rhigov2
rename r3higov rhigov3
rename r4higov rhigov4
rename r5higov rhigov5
rename r6higov rhigov6
rename r7higov rhigov7
rename r8higov rhigov8
rename r9higov rhigov9

gen hioth1 = rcovs1 + rhiothp1 + rhigov1
gen hioth2 = rcovs2 + rhiothp2 + rhigov2
gen hioth3 = rcovs3 + rhiothp3 + rhigov3
gen hioth4 = rcovs4 + rhiothp4 + rhigov4
gen hioth5 = rcovs5 + rhiothp5 + rhigov5
gen hioth6 = rcovs6 + rhiothp6 + rhigov6
gen hioth7 = rcovs7 + rhiothp7 + rhigov7
gen hioth8 = rcovs8 + rhiothp8 + rhigov8
gen hioth9 = rcovs9 + rhiothp9 + rhigov9

replace hioth1 = 1 if hioth1>1 & hioth1<5
replace hioth2 = 1 if hioth2>1 & hioth2<5
replace hioth3 = 1 if hioth3>1 & hioth3<5
replace hioth4 = 1 if hioth4>1 & hioth4<5
replace hioth5 = 1 if hioth5>1 & hioth5<5
replace hioth6 = 1 if hioth6>1 & hioth6<5
replace hioth7 = 1 if hioth7>1 & hioth7<5
replace hioth8 = 1 if hioth8>1 & hioth8<5
replace hioth9 = 1 if hioth9>1 & hioth9<5

rename r1wgihr rwgihr1
rename r2wgihr rwgihr2
rename r3wgihr rwgihr3
rename r4wgihr rwgihr4
rename r5wgihr rwgihr5
rename r6wgihr rwgihr6
rename r7wgihr rwgihr7
rename r8wgihr rwgihr8
rename r9wgihr rwgihr9

rename h1atota hatota1
rename h2atota hatota2
rename h3atota hatota3
rename h4atota hatota4
rename h5atota hatota5
rename h6atota hatota6
rename h7atota hatota7
rename h8atota hatota8
rename h9atota hatota9

keep hhid pn rmstat* rshlt* rptyp* rjcpen* rcovs* rcovr* hioth* rwgihr* hatota*

sort hhid pn

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tvv.dta" , replace

clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_9_newest.dta"  

keep hhid pn t sdw*

drop if t==.

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tvv.dta"

compress

*Assigning the values of time varying variables to between survey months

gen     mid1=sdw1+int((sdw2-sdw1)/2) if sdw1~=. & sdw2~=.
replace mid1=sdw1+int((sdw3-sdw1)/2) if sdw1~=. & sdw2==. & sdw3~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=. 
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid2=sdw2+int((sdw3-sdw2)/2) if sdw2~=. & sdw3~=.
replace mid2=sdw2+int((sdw4-sdw2)/2) if sdw2~=. & sdw3==. & sdw4~=.
replace mid2=sdw2+int((sdw5-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace mid2=sdw1+int((sdw6-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace mid2=sdw1+int((sdw7-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace mid2=sdw1+int((sdw8-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace mid2=sdw1+int((sdw9-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid3=sdw3+int((sdw4-sdw3)/2) if sdw3~=. & sdw4~=.
replace mid3=sdw3+int((sdw5-sdw3)/2) if sdw3~=. & sdw4==. & sdw5~=.
replace mid3=sdw3+int((sdw6-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace mid3=sdw3+int((sdw7-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace mid3=sdw3+int((sdw7-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid3=sdw3+int((sdw8-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=. 

gen     mid4=sdw4+int((sdw5-sdw4)/2) if sdw4~=. & sdw5~=.
replace mid4=sdw4+int((sdw6-sdw4)/2) if sdw4~=. & sdw5==. & sdw6~=.
replace mid4=sdw4+int((sdw7-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace mid4=sdw4+int((sdw8-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace mid4=sdw4+int((sdw9-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid5=sdw5+int((sdw6-sdw5)/2) if sdw5~=. & sdw6~=.
replace mid5=sdw5+int((sdw7-sdw5)/2) if sdw5~=. & sdw6==. & sdw7~=.
replace mid5=sdw5+int((sdw8-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace mid5=sdw5+int((sdw9-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

gen     mid6=sdw6+int((sdw7-sdw6)/2) if sdw6~=. & sdw7~=.
replace mid6=sdw6+int((sdw8-sdw6)/2) if sdw6~=. & sdw7==. & sdw8~=.
replace mid6=sdw6+int((sdw9-sdw6)/2) if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

gen     mid7=sdw7+int((sdw8-sdw7)/2) if sdw7~=. & sdw8~=.
replace mid7=sdw7+int((sdw9-sdw7)/2) if sdw7~=. & sdw8==. & sdw9~=.

gen     mid8=sdw8+int((sdw9-sdw8)/2) if sdw8~=. & sdw9~=.
replace mid8=sdw8+12 if sdw8~=. & sdw9==.



replace hatota2=hatota3 if sdw1~=. & sdw2==. & sdw3~=.
replace hatota2=hatota4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace hatota3=hatota4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace hatota2=hatota5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace hatota3=hatota5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace hatota4=hatota5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  

replace hatota3=hatota4 if sdw2~=. & sdw3==. & sdw4~=.
replace hatota3=hatota5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace hatota4=hatota5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace hatota3=hatota6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace hatota4=hatota6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace hatota5=hatota6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace hatota3=hatota7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace hatota4=hatota7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace hatota5=hatota7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace hatota6=hatota7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace hatota3=hatota8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace hatota4=hatota8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace hatota5=hatota8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace hatota6=hatota8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace hatota7=hatota8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace hatota3=hatota9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace hatota4=hatota9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace hatota5=hatota9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace hatota6=hatota9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace hatota7=hatota9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace hatota8=hatota9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace hatota4=hatota5 if sdw3~=. & sdw4==. & sdw5~=.
replace hatota4=hatota6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace hatota5=hatota6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace hatota4=hatota7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace hatota5=hatota7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace hatota6=hatota7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  

replace hatota5=hatota6 if sdw4~=. & sdw5==. & sdw6~=.
replace hatota5=hatota7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace hatota6=hatota7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace hatota5=hatota8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace hatota6=hatota8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace hatota7=hatota8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace hatota5=hatota9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace hatota6=hatota9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace hatota7=hatota9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace hatota8=hatota9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace hatota6=hatota7 if sdw5~=. & sdw6==. & sdw7~=.
replace hatota6=hatota8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace hatota7=hatota8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace hatota6=hatota9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace hatota7=hatota9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace hatota8=hatota9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

replace hatota7=hatota8 if sdw6~=. & sdw7==. & sdw8~=.
replace hatota7=hatota9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.
replace hatota8=hatota9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

replace hatota8=hatota9 if sdw7~=. & sdw8==. & sdw9~=.



compress

*Note in the above statement 12 is arbitrarily assigned as the mid point of two waves

gen     hatota= hatota1 if t<mid1 & mid1~=.
replace hatota= hatota2 if t>=mid1 & t<mid2
replace hatota= hatota3 if t>=mid2 & t<mid3
replace hatota= hatota4 if t>=mid3 & t<mid4
replace hatota= hatota5 if t>=mid4 & t<mid5
replace hatota= hatota6 if t>=mid5 & t<mid6
replace hatota= hatota7 if t>=mid6 & t<mid7
replace hatota= hatota8 if t>=mid7 & t<mid8
replace hatota= hatota9 if t>=mid8 & mid8~=.

drop hatota1 hatota2 hatota3 hatota4 hatota5 hatota6 hatota7 hatota8 hatota9

gen     rwgihr= rwgihr1 if t<mid1 & mid1~=.
replace rwgihr= rwgihr2 if t>=mid1 & t<mid2
replace rwgihr= rwgihr3 if t>=mid2 & t<mid3
replace rwgihr= rwgihr4 if t>=mid3 & t<mid4
replace rwgihr= rwgihr5 if t>=mid4 & t<mid5
replace rwgihr= rwgihr6 if t>=mid5 & t<mid6
replace rwgihr= rwgihr7 if t>=mid6 & t<mid7
replace rwgihr= rwgihr8 if t>=mid7 & t<mid8
replace rwgihr= rwgihr9 if t>=mid8 & mid8~=.

drop rwgihr1 rwgihr2 rwgihr3 rwgihr4 rwgihr5 rwgihr6 rwgihr7 rwgihr8 rwgihr9

gen     rcovs =rcovs1 if t<mid1 & mid1~=.
replace rcovs= rcovs2 if t>=mid1 & t<mid2
replace rcovs= rcovs3 if t>=mid2 & t<mid3
replace rcovs= rcovs4 if t>=mid3 & t<mid4
replace rcovs= rcovs5 if t>=mid4 & t<mid5
replace rcovs= rcovs6 if t>=mid5 & t<mid6
replace rcovs= rcovs7 if t>=mid6 & t<mid7
replace rcovs= rcovs8 if t>=mid7 & t<mid8
replace rcovs= rcovs9 if t>=mid8 & mid8~=.

drop rcovs1 rcovs2 rcovs3 rcovs4 rcovs5 rcovs6 rcovs7 rcovs8 rcovs9

gen     rcovr =rcovr1 if t<mid1 & mid1~=.
replace rcovr= rcovr2 if t>=mid1 & t<mid2
replace rcovr= rcovr3 if t>=mid2 & t<mid3
replace rcovr= rcovr4 if t>=mid3 & t<mid4
replace rcovr= rcovr5 if t>=mid4 & t<mid5
replace rcovr= rcovr6 if t>=mid5 & t<mid6
replace rcovr= rcovr7 if t>=mid6 & t<mid7
replace rcovr= rcovr8 if t>=mid7 & t<mid8
replace rcovr= rcovr9 if t>=mid8 & mid8~=.

drop rcovr1 rcovr2 rcovr3 rcovr4 rcovr5 rcovr6 rcovr7 rcovr8 rcovr9

gen     rcovrt =rcovrt1 if t<mid1 & mid1~=.
replace rcovrt= rcovrt2 if t>=mid1 & t<mid2
replace rcovrt= rcovrt3 if t>=mid2 & t<mid3
replace rcovrt= rcovrt4 if t>=mid3 & t<mid4
replace rcovrt= rcovrt5 if t>=mid4 & t<mid5
replace rcovrt= rcovrt6 if t>=mid5 & t<mid6
replace rcovrt= rcovrt7 if t>=mid6 & t<mid7
replace rcovrt= rcovrt8 if t>=mid7 & t<mid8
replace rcovrt= rcovrt9 if t>=mid8 & mid8~=.

drop rcovrt1 rcovrt2 rcovrt3 rcovrt4 rcovrt5 rcovrt6 rcovrt7 rcovrt8 rcovrt9

gen     hioth =hioth1 if t<mid1 & mid1~=.
replace hioth= hioth2 if t>=mid1 & t<mid2
replace hioth= hioth3 if t>=mid2 & t<mid3
replace hioth= hioth4 if t>=mid3 & t<mid4
replace hioth= hioth5 if t>=mid4 & t<mid5
replace hioth= hioth6 if t>=mid5 & t<mid6
replace hioth= hioth7 if t>=mid6 & t<mid7
replace hioth= hioth8 if t>=mid7 & t<mid8
replace hioth= hioth9 if t>=mid8 & mid8~=.

drop hioth1 hioth2 hioth3 hioth4 hioth5 hioth6 hioth7 hioth8 hioth9

gen     rmstat =rmstat1 if t<mid1 & mid1~=.
replace rmstat= rmstat2 if t>=mid1 & t<mid2
replace rmstat= rmstat3 if t>=mid2 & t<mid3
replace rmstat= rmstat4 if t>=mid3 & t<mid4
replace rmstat= rmstat5 if t>=mid4 & t<mid5
replace rmstat= rmstat6 if t>=mid5 & t<mid6
replace rmstat= rmstat7 if t>=mid6 & t<mid7
replace rmstat= rmstat8 if t>=mid7 & t<mid8
replace rmstat= rmstat9 if t>=mid8 & mid8~=.

drop rmstat1 rmstat2 rmstat3 rmstat4 rmstat5 rmstat6 rmstat7 rmstat8 rmstat9

gen     rshlt =rshlt1 if t<mid1 & mid1~=.
replace rshlt= rshlt2 if t>=mid1 & t<mid2
replace rshlt= rshlt3 if t>=mid2 & t<mid3
replace rshlt= rshlt4 if t>=mid3 & t<mid4
replace rshlt= rshlt5 if t>=mid4 & t<mid5
replace rshlt= rshlt6 if t>=mid5 & t<mid6
replace rshlt= rshlt7 if t>=mid6 & t<mid7
replace rshlt= rshlt8 if t>=mid7 & t<mid8
replace rshlt= rshlt9 if t>=mid8 & mid8~=.

drop rshlt1 rshlt2 rshlt3 rshlt4 rshlt5 rshlt6 rshlt7 rshlt8 rshlt9

gen     rptyp =rptyp1 if t<mid1 & mid1~=.
replace rptyp= rptyp2 if t>=mid1 & t<mid2
replace rptyp= rptyp3 if t>=mid2 & t<mid3
replace rptyp= rptyp4 if t>=mid3 & t<mid4
replace rptyp= rptyp5 if t>=mid4 & t<mid5
replace rptyp= rptyp6 if t>=mid5 & t<mid6
replace rptyp= rptyp7 if t>=mid6 & t<mid7
replace rptyp= rptyp8 if t>=mid7 & t<mid8
replace rptyp= rptyp9 if t>=mid8 & mid8~=.

drop rptyp1 rptyp2 rptyp3 rptyp4 rptyp5 rptyp6 rptyp7 rptyp8 rptyp9

gen     rjcpen =rjcpen1 if t<mid1 & mid1~=.
replace rjcpen= rjcpen2 if t>=mid1 & t<mid2
replace rjcpen= rjcpen3 if t>=mid2 & t<mid3
replace rjcpen= rjcpen4 if t>=mid3 & t<mid4
replace rjcpen= rjcpen5 if t>=mid4 & t<mid5
replace rjcpen= rjcpen6 if t>=mid5 & t<mid6
replace rjcpen= rjcpen7 if t>=mid6 & t<mid7
replace rjcpen= rjcpen8 if t>=mid7 & t<mid8
replace rjcpen= rjcpen9 if t>=mid8 & mid8~=.

drop rjcpen1 rjcpen2 rjcpen3 rjcpen4 rjcpen5 rjcpen6 rjcpen7 rjcpen8 rjcpen9

drop sdw* mid* 
drop _merge

su

drop if t==.

sort hhid pn t

merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_9_newest.dta"  

drop _merge

su

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_9_newest_tvv.dta"  , replace

log close

