clear
log using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\stata programs\pension claiming" , replace
use "C:\Users\EconUser\Documents\Saving_and_Retirement\HRS\employment\data\empldat"

keep hhidpn age* kta* lfja* isdba* itypeplan1 itypeplan2 birthyea respsex1 resrace1 educ married j1-j12 jl1-jl12

reshape long age kta lfja isdba j jl, i(hhidpn) j(year)

replace j=1 if j>1 & j~=.
replace jl=1 if jl==2

replace isdba=1 if isdba==2

drop ageleft1

sort hhidpn year

drop if age==. | itypeplan1==.

gen pen = itypeplan1

sort hhidpn age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\HRS\employment\data\temppenclaim" , replace

clear

use hhidpn rahispan using "C:\Users\EconUser\Documents\hrsdat\RANDHRS\rndhrs_l"

sort hhidpn

merge 1:m hhidpn using "C:\Users\EconUser\Documents\Saving_and_Retirement\HRS\employment\data\temppenclaim"

keep if respsex1==1 & resrace1==1 & educ>=12 & educ<16 & rahispan==0

su

sort age

by age: su pen isdba kta j jl

keep if age>=51 & age<=72

collapse kta isdba j, by(age pen)

su 
sort age pen

reshape wide kta isdba j, i(age) j(pen)

su

gen notwork1 = 1 - j1
gen notwork2 = 1 - j2

gr tw (conn kta1 isdba1 notwork1 age)
gr tw (conn kta2 isdba2 notwork2 age)
gr tw (conn kta1 kta2 age)
gr tw (conn isdba1 isdba2 age)
gr tw (conn notwork1 notwork2 age)

sort age

save "C:\users\econuser\Documents\Saving_and_Retirement\estimation\simdat\pension claiming" , replace

log close



