clear
set memory 300m
log using "C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\create data\randhrs1_revised",replace

* added wave 8 interview date 2/19/10

use hacohort rabyear rabmonth r8iwend ragender raracem rahispan raedyrs raedegrm raeduc r1jcpen-r8jcpen r1higov-r8higov r1retmon-r8retmon r1retyr-r8retyr r1mstat-r8mstat r1shlt-r8shlt r1hltc-r8hltc r1hlthlm-r8hlthlm h1atota-h8atota rassagem rassageb r1ptyp1-r8ptyp1 r1covr-r8covr r1covs-r8covs r1covrt-r8covrt r1hiothp-r8hiothp r1slfemp-r8slfemp r1jhours-r8jhours r1jhour2-r8jhour2 r1jweeks-r8jweeks r1jweek2-r8jweek2 r1wgihr-r8wgihr r1jcocc-r8jcocc r1jcind-r8jcind r1iearn-r8iearn hhid pn hhidpn rahhidpn rarelig s1edyrs-s8edyrs s1edegrm-s8edegrm s1educ-s8educ s1agem_e-s8agem_e s1agey_e-s8agey_e s1lbrf-s8lbrf rabplace h1child-h8child r1sayret-r8sayret r1rplnyr-r8rplnyr r1rplnya-r8rplnya using "d:\data\RANDHRS\statadat\rndhrs_h"

keep if hacohort>=3 & hacohort<=5

replace raracem=. if raracem==.d
replace raracem=. if raracem==.m

replace rahispan=. if rahispan==.m

replace raedyrs=. if raedyrs==.d
replace raedyrs=. if raedyrs==.m
replace raedyrs=. if raedyrs==.r

replace raedegrm=. if raedegrm==.d
replace raedegrm=. if raedegrm==.m
replace raedegrm=. if raedegrm==.r

replace raeduc=. if raeduc==.d
replace raeduc=. if raeduc==.m
replace raeduc=. if raeduc==.r

replace rarelig=. if rarelig==.d
replace rarelig=. if rarelig==.m
replace rarelig=. if rarelig==.r

replace rabplace=. if rabplace==.m

replace r1mstat=. if r1mstat==.m
replace r2mstat=. if r2mstat==.m
replace r3mstat=. if r3mstat==.m
replace r4mstat=. if r4mstat==.m
replace r5mstat=. if r5mstat==.m
replace r6mstat=. if r6mstat==.m
replace r7mstat=. if r7mstat==.m
replace r8mstat=. if r8mstat==.m

replace r1shlt=. if r1shlt==.d
replace r2shlt=. if r2shlt==.d
replace r3shlt=. if r3shlt==.d
replace r4shlt=. if r4shlt==.d
replace r5shlt=. if r5shlt==.d
replace r6shlt=. if r6shlt==.d
replace r7shlt=. if r7shlt==.d
replace r8shlt=. if r8shlt==.d

replace r1shlt=. if r1shlt==.m
replace r2shlt=. if r2shlt==.m
replace r3shlt=. if r3shlt==.m
replace r4shlt=. if r4shlt==.m
replace r5shlt=. if r5shlt==.m
replace r6shlt=. if r6shlt==.m
replace r7shlt=. if r7shlt==.m
replace r8shlt=. if r8shlt==.m

replace r1shlt=. if r1shlt==.r
replace r2shlt=. if r2shlt==.r
replace r3shlt=. if r3shlt==.r
replace r4shlt=. if r4shlt==.r
replace r5shlt=. if r5shlt==.r
replace r6shlt=. if r6shlt==.r
replace r7shlt=. if r7shlt==.r
replace r8shlt=. if r8shlt==.r

replace r1hltc=. if r1hltc==.d
replace r2hltc=. if r2hltc==.d
replace r3hltc=. if r3hltc==.d
replace r4hltc=. if r4hltc==.d
replace r5hltc=. if r5hltc==.d
replace r6hltc=. if r6hltc==.d
replace r7hltc=. if r7hltc==.d
replace r8hltc=. if r8hltc==.d

replace r1hltc=. if r1hltc==.m
replace r2hltc=. if r2hltc==.m
replace r3hltc=. if r3hltc==.m
replace r4hltc=. if r4hltc==.m
replace r5hltc=. if r5hltc==.m
replace r6hltc=. if r6hltc==.m
replace r7hltc=. if r7hltc==.m
replace r8hltc=. if r8hltc==.m

replace r1hltc=. if r1hltc==.r
replace r2hltc=. if r2hltc==.r
replace r3hltc=. if r3hltc==.r
replace r4hltc=. if r4hltc==.r
replace r5hltc=. if r5hltc==.r
replace r6hltc=. if r6hltc==.r
replace r7hltc=. if r7hltc==.r
replace r8hltc=. if r8hltc==.r

replace r1hltc=. if r1hltc==.p
replace r2hltc=. if r2hltc==.p
replace r3hltc=. if r3hltc==.p
replace r4hltc=. if r4hltc==.p
replace r5hltc=. if r5hltc==.p
replace r6hltc=. if r6hltc==.p
replace r7hltc=. if r7hltc==.p
replace r8hltc=. if r8hltc==.p

replace r1hlthlm=. if r1hlthlm==.d
replace r2hlthlm=. if r2hlthlm==.d
replace r3hlthlm=. if r3hlthlm==.d
replace r4hlthlm=. if r4hlthlm==.d
replace r5hlthlm=. if r5hlthlm==.d
replace r6hlthlm=. if r6hlthlm==.d
replace r7hlthlm=. if r7hlthlm==.d
replace r8hlthlm=. if r8hlthlm==.d

replace r1hlthlm=. if r1hlthlm==.m
replace r2hlthlm=. if r2hlthlm==.m
replace r3hlthlm=. if r3hlthlm==.m
replace r4hlthlm=. if r4hlthlm==.m
replace r5hlthlm=. if r5hlthlm==.m
replace r6hlthlm=. if r6hlthlm==.m
replace r7hlthlm=. if r7hlthlm==.m
replace r8hlthlm=. if r8hlthlm==.m

replace r1hlthlm=. if r1hlthlm==.q
replace r2hlthlm=. if r2hlthlm==.q
replace r3hlthlm=. if r3hlthlm==.q
replace r4hlthlm=. if r4hlthlm==.q
replace r5hlthlm=. if r5hlthlm==.q
replace r6hlthlm=. if r6hlthlm==.q
replace r7hlthlm=. if r7hlthlm==.q
replace r8hlthlm=. if r8hlthlm==.q

replace r1hlthlm=. if r1hlthlm==.r
replace r2hlthlm=. if r2hlthlm==.r
replace r3hlthlm=. if r3hlthlm==.r
replace r4hlthlm=. if r4hlthlm==.r
replace r5hlthlm=. if r5hlthlm==.r
replace r6hlthlm=. if r6hlthlm==.r
replace r7hlthlm=. if r7hlthlm==.r
replace r8hlthlm=. if r8hlthlm==.r

replace r1hlthlm=. if r1hlthlm==.w
replace r2hlthlm=. if r2hlthlm==.w
replace r3hlthlm=. if r3hlthlm==.w
replace r4hlthlm=. if r4hlthlm==.w
replace r5hlthlm=. if r5hlthlm==.w
replace r6hlthlm=. if r6hlthlm==.w
replace r7hlthlm=. if r7hlthlm==.w
replace r8hlthlm=. if r8hlthlm==.w

replace r1hlthlm=. if r1hlthlm==.y
replace r2hlthlm=. if r2hlthlm==.y
replace r3hlthlm=. if r3hlthlm==.y
replace r4hlthlm=. if r4hlthlm==.y
replace r5hlthlm=. if r5hlthlm==.y
replace r6hlthlm=. if r6hlthlm==.y
replace r7hlthlm=. if r7hlthlm==.y
replace r8hlthlm=. if r8hlthlm==.y

replace r1ptyp1=. if r1ptyp1==.d
replace r2ptyp1=. if r2ptyp1==.d
replace r3ptyp1=. if r3ptyp1==.d
replace r4ptyp1=. if r4ptyp1==.d
replace r5ptyp1=. if r5ptyp1==.d
replace r6ptyp1=. if r6ptyp1==.d
replace r7ptyp1=. if r7ptyp1==.d
replace r8ptyp1=. if r8ptyp1==.d

replace r1ptyp1=. if r1ptyp1==.m
replace r2ptyp1=. if r2ptyp1==.m
replace r3ptyp1=. if r3ptyp1==.m
replace r4ptyp1=. if r4ptyp1==.m
replace r5ptyp1=. if r5ptyp1==.m
replace r6ptyp1=. if r6ptyp1==.m
replace r7ptyp1=. if r7ptyp1==.m
replace r8ptyp1=. if r8ptyp1==.m

replace r1ptyp1=. if r1ptyp1==.q
replace r2ptyp1=. if r2ptyp1==.q
replace r3ptyp1=. if r3ptyp1==.q
replace r4ptyp1=. if r4ptyp1==.q
replace r5ptyp1=. if r5ptyp1==.q
replace r6ptyp1=. if r6ptyp1==.q
replace r7ptyp1=. if r7ptyp1==.q
replace r8ptyp1=. if r8ptyp1==.q

replace r1ptyp1=. if r1ptyp1==.r
replace r2ptyp1=. if r2ptyp1==.r
replace r3ptyp1=. if r3ptyp1==.r
replace r4ptyp1=. if r4ptyp1==.r
replace r5ptyp1=. if r5ptyp1==.r
replace r6ptyp1=. if r6ptyp1==.r
replace r7ptyp1=. if r7ptyp1==.r
replace r8ptyp1=. if r8ptyp1==.r

replace r1ptyp1=. if r1ptyp1==.s
replace r2ptyp1=. if r2ptyp1==.s
replace r3ptyp1=. if r3ptyp1==.s
replace r4ptyp1=. if r4ptyp1==.s
replace r5ptyp1=. if r5ptyp1==.s
replace r6ptyp1=. if r6ptyp1==.s
replace r7ptyp1=. if r7ptyp1==.s
replace r8ptyp1=. if r8ptyp1==.s



replace r1jcpen=. if r1jcpen==.d
replace r2jcpen=. if r2jcpen==.d
replace r3jcpen=. if r3jcpen==.d
replace r4jcpen=. if r4jcpen==.d
replace r5jcpen=. if r5jcpen==.d
replace r6jcpen=. if r6jcpen==.d
replace r7jcpen=. if r7jcpen==.d
replace r8jcpen=. if r8jcpen==.d

replace r1jcpen=. if r1jcpen==.m
replace r2jcpen=. if r2jcpen==.m
replace r3jcpen=. if r3jcpen==.m
replace r4jcpen=. if r4jcpen==.m
replace r5jcpen=. if r5jcpen==.m
replace r6jcpen=. if r6jcpen==.m
replace r7jcpen=. if r7jcpen==.m
replace r8jcpen=. if r8jcpen==.m

replace r1jcpen=. if r1jcpen==.q
replace r2jcpen=. if r2jcpen==.q
replace r3jcpen=. if r3jcpen==.q
replace r4jcpen=. if r4jcpen==.q
replace r5jcpen=. if r5jcpen==.q
replace r6jcpen=. if r6jcpen==.q
replace r7jcpen=. if r7jcpen==.q
replace r8jcpen=. if r8jcpen==.q

replace r1jcpen=. if r1jcpen==.r
replace r2jcpen=. if r2jcpen==.r
replace r3jcpen=. if r3jcpen==.r
replace r4jcpen=. if r4jcpen==.r
replace r5jcpen=. if r5jcpen==.r
replace r6jcpen=. if r6jcpen==.r
replace r7jcpen=. if r7jcpen==.r
replace r8jcpen=. if r8jcpen==.r

replace r1jcpen=. if r1jcpen==.w
replace r2jcpen=. if r2jcpen==.w
replace r3jcpen=. if r3jcpen==.w
replace r4jcpen=. if r4jcpen==.w
replace r5jcpen=. if r5jcpen==.w
replace r6jcpen=. if r6jcpen==.w
replace r7jcpen=. if r7jcpen==.w
replace r8jcpen=. if r8jcpen==.w


replace r1covr=1 if r1covr==.c
replace r2covr=1 if r2covr==.c
replace r3covr=1 if r3covr==.c
replace r4covr=1 if r4covr==.c
replace r5covr=1 if r5covr==.c
replace r6covr=1 if r6covr==.c
replace r7covr=1 if r7covr==.c
replace r8covr=1 if r8covr==.c

replace r1covr=1 if r1covr==.t
replace r2covr=1 if r2covr==.t
replace r3covr=1 if r3covr==.t
replace r4covr=1 if r4covr==.t
replace r5covr=1 if r5covr==.t
replace r6covr=1 if r6covr==.t
replace r7covr=1 if r7covr==.t
replace r8covr=1 if r8covr==.t

replace r1covr=. if r1covr==.d
replace r2covr=. if r2covr==.d
replace r3covr=. if r3covr==.d
replace r4covr=. if r4covr==.d
replace r5covr=. if r5covr==.d
replace r6covr=. if r6covr==.d
replace r7covr=. if r7covr==.d
replace r8covr=. if r8covr==.d

replace r1covr=. if r1covr==.e
replace r2covr=. if r2covr==.e
replace r3covr=. if r3covr==.e
replace r4covr=. if r4covr==.e
replace r5covr=. if r5covr==.e
replace r6covr=. if r6covr==.e
replace r7covr=. if r7covr==.e
replace r8covr=. if r8covr==.e

replace r1covr=. if r1covr==.m
replace r2covr=. if r2covr==.m
replace r3covr=. if r3covr==.m
replace r4covr=. if r4covr==.m
replace r5covr=. if r5covr==.m
replace r6covr=. if r6covr==.m
replace r7covr=. if r7covr==.m
replace r8covr=. if r8covr==.m

replace r1covr=. if r1covr==.q
replace r2covr=. if r2covr==.q
replace r3covr=. if r3covr==.q
replace r4covr=. if r4covr==.q
replace r5covr=. if r5covr==.q
replace r6covr=. if r6covr==.q
replace r7covr=. if r7covr==.q
replace r8covr=. if r8covr==.q

replace r1covr=. if r1covr==.r
replace r2covr=. if r2covr==.r
replace r3covr=. if r3covr==.r
replace r4covr=. if r4covr==.r
replace r5covr=. if r5covr==.r
replace r6covr=. if r6covr==.r
replace r7covr=. if r7covr==.r
replace r8covr=. if r8covr==.r




replace r1higov=. if r1higov==.d
replace r2higov=. if r2higov==.d
replace r3higov=. if r3higov==.d
replace r4higov=. if r4higov==.d
replace r5higov=. if r5higov==.d
replace r6higov=. if r6higov==.d
replace r7higov=. if r7higov==.d
replace r8higov=. if r8higov==.d

replace r1higov=. if r1higov==.m
replace r2higov=. if r2higov==.m
replace r3higov=. if r3higov==.m
replace r4higov=. if r4higov==.m
replace r5higov=. if r5higov==.m
replace r6higov=. if r6higov==.m
replace r7higov=. if r7higov==.m
replace r8higov=. if r8higov==.m

replace r1higov=. if r1higov==.r
replace r2higov=. if r2higov==.r
replace r3higov=. if r3higov==.r
replace r4higov=. if r4higov==.r
replace r5higov=. if r5higov==.r
replace r6higov=. if r6higov==.r
replace r7higov=. if r7higov==.r
replace r8higov=. if r8higov==.r




replace r1covs=. if r1covs==.c
replace r2covs=. if r2covs==.c
replace r3covs=. if r3covs==.c
replace r4covs=. if r4covs==.c
replace r5covs=. if r5covs==.c
replace r6covs=. if r6covs==.c
replace r7covs=. if r7covs==.c
replace r8covs=. if r8covs==.c

replace r1covs=. if r1covs==.t
replace r2covs=. if r2covs==.t
replace r3covs=. if r3covs==.t
replace r4covs=. if r4covs==.t
replace r5covs=. if r5covs==.t
replace r6covs=. if r6covs==.t
replace r7covs=. if r7covs==.t
replace r8covs=. if r8covs==.t

replace r1covs=. if r1covs==.d
replace r2covs=. if r2covs==.d
replace r3covs=. if r3covs==.d
replace r4covs=. if r4covs==.d
replace r5covs=. if r5covs==.d
replace r6covs=. if r6covs==.d
replace r7covs=. if r7covs==.d
replace r8covs=. if r8covs==.d

replace r1covs=. if r1covs==.e
replace r2covs=. if r2covs==.e
replace r3covs=. if r3covs==.e
replace r4covs=. if r4covs==.e
replace r5covs=. if r5covs==.e
replace r6covs=. if r6covs==.e
replace r7covs=. if r7covs==.e
replace r8covs=. if r8covs==.e

replace r1covs=. if r1covs==.m
replace r2covs=. if r2covs==.m
replace r3covs=. if r3covs==.m
replace r4covs=. if r4covs==.m
replace r5covs=. if r5covs==.m
replace r6covs=. if r6covs==.m
replace r7covs=. if r7covs==.m
replace r8covs=. if r8covs==.m

replace r1covs=. if r1covs==.q
replace r2covs=. if r2covs==.q
replace r3covs=. if r3covs==.q
replace r4covs=. if r4covs==.q
replace r5covs=. if r5covs==.q
replace r6covs=. if r6covs==.q
replace r7covs=. if r7covs==.q
replace r8covs=. if r8covs==.q

replace r1covs=. if r1covs==.r
replace r2covs=. if r2covs==.r
replace r3covs=. if r3covs==.r
replace r4covs=. if r4covs==.r
replace r5covs=. if r5covs==.r
replace r6covs=. if r6covs==.r
replace r7covs=. if r7covs==.r
replace r8covs=. if r8covs==.r

replace r1covrt=. if r1covrt==.a
replace r2covrt=. if r2covrt==.a
replace r3covrt=. if r3covrt==.a
replace r4covrt=. if r4covrt==.a
replace r5covrt=. if r5covrt==.a
replace r6covrt=. if r6covrt==.a
replace r7covrt=. if r7covrt==.a
replace r8covrt=. if r8covrt==.a

replace r1covrt=. if r1covrt==.d
replace r2covrt=. if r2covrt==.d
replace r3covrt=. if r3covrt==.d
replace r4covrt=. if r4covrt==.d
replace r5covrt=. if r5covrt==.d
replace r6covrt=. if r6covrt==.d
replace r7covrt=. if r7covrt==.d
replace r8covrt=. if r8covrt==.d

replace r1covrt=. if r1covrt==.h
replace r2covrt=. if r2covrt==.h
replace r3covrt=. if r3covrt==.h
replace r4covrt=. if r4covrt==.h
replace r5covrt=. if r5covrt==.h
replace r6covrt=. if r6covrt==.h
replace r7covrt=. if r7covrt==.h
replace r8covrt=. if r8covrt==.h

replace r1covrt=. if r1covrt==.m
replace r2covrt=. if r2covrt==.m
replace r3covrt=. if r3covrt==.m
replace r4covrt=. if r4covrt==.m
replace r5covrt=. if r5covrt==.m
replace r6covrt=. if r6covrt==.m
replace r7covrt=. if r7covrt==.m
replace r8covrt=. if r8covrt==.m

replace r1covrt=. if r1covrt==.n
replace r2covrt=. if r2covrt==.n
replace r3covrt=. if r3covrt==.n
replace r4covrt=. if r4covrt==.n
replace r5covrt=. if r5covrt==.n
replace r6covrt=. if r6covrt==.n
replace r7covrt=. if r7covrt==.n
replace r8covrt=. if r8covrt==.n

replace r1covrt=. if r1covrt==.q
replace r2covrt=. if r2covrt==.q
replace r3covrt=. if r3covrt==.q
replace r4covrt=. if r4covrt==.q
replace r5covrt=. if r5covrt==.q
replace r6covrt=. if r6covrt==.q
replace r7covrt=. if r7covrt==.q
replace r8covrt=. if r8covrt==.q

replace r1covrt=. if r1covrt==.r
replace r2covrt=. if r2covrt==.r
replace r3covrt=. if r3covrt==.r
replace r4covrt=. if r4covrt==.r
replace r5covrt=. if r5covrt==.r
replace r6covrt=. if r6covrt==.r
replace r7covrt=. if r7covrt==.r
replace r8covrt=. if r8covrt==.r

replace r1covrt=. if r1covrt==.s
replace r2covrt=. if r2covrt==.s
replace r3covrt=. if r3covrt==.s
replace r4covrt=. if r4covrt==.s
replace r5covrt=. if r5covrt==.s
replace r6covrt=. if r6covrt==.s
replace r7covrt=. if r7covrt==.s
replace r8covrt=. if r8covrt==.s

replace r1hiothp=. if r1hiothp==.c
replace r2hiothp=. if r2hiothp==.c
replace r3hiothp=. if r3hiothp==.c
replace r4hiothp=. if r4hiothp==.c
replace r5hiothp=. if r5hiothp==.c
replace r6hiothp=. if r6hiothp==.c
replace r7hiothp=. if r7hiothp==.c
replace r8hiothp=. if r8hiothp==.c

replace r1hiothp=. if r1hiothp==.d
replace r2hiothp=. if r2hiothp==.d
replace r3hiothp=. if r3hiothp==.d
replace r4hiothp=. if r4hiothp==.d
replace r5hiothp=. if r5hiothp==.d
replace r6hiothp=. if r6hiothp==.d
replace r7hiothp=. if r7hiothp==.d
replace r8hiothp=. if r8hiothp==.d

replace r1hiothp=. if r1hiothp==.m
replace r2hiothp=. if r2hiothp==.m
replace r3hiothp=. if r3hiothp==.m
replace r4hiothp=. if r4hiothp==.m
replace r5hiothp=. if r5hiothp==.m
replace r6hiothp=. if r6hiothp==.m
replace r7hiothp=. if r7hiothp==.m
replace r8hiothp=. if r8hiothp==.m

replace r1hiothp=. if r1hiothp==.r
replace r2hiothp=. if r2hiothp==.r
replace r3hiothp=. if r3hiothp==.r
replace r4hiothp=. if r4hiothp==.r
replace r5hiothp=. if r5hiothp==.r
replace r6hiothp=. if r6hiothp==.r
replace r7hiothp=. if r7hiothp==.r
replace r8hiothp=. if r8hiothp==.r

replace r1slfemp=. if r1slfemp==.d
replace r2slfemp=. if r2slfemp==.d
replace r3slfemp=. if r3slfemp==.d
replace r4slfemp=. if r4slfemp==.d
replace r5slfemp=. if r5slfemp==.d
replace r6slfemp=. if r6slfemp==.d
replace r7slfemp=. if r7slfemp==.d
replace r8slfemp=. if r8slfemp==.d

replace r1slfemp=. if r1slfemp==.m
replace r2slfemp=. if r2slfemp==.m
replace r3slfemp=. if r3slfemp==.m
replace r4slfemp=. if r4slfemp==.m
replace r5slfemp=. if r5slfemp==.m
replace r6slfemp=. if r6slfemp==.m
replace r7slfemp=. if r7slfemp==.m
replace r8slfemp=. if r8slfemp==.m

replace r1slfemp=. if r1slfemp==.r
replace r2slfemp=. if r2slfemp==.r
replace r3slfemp=. if r3slfemp==.r
replace r4slfemp=. if r4slfemp==.r
replace r5slfemp=. if r5slfemp==.r
replace r6slfemp=. if r6slfemp==.r
replace r7slfemp=. if r7slfemp==.r
replace r8slfemp=. if r8slfemp==.r

replace r1slfemp=. if r1slfemp==.w
replace r2slfemp=. if r2slfemp==.w
replace r3slfemp=. if r3slfemp==.w
replace r4slfemp=. if r4slfemp==.w
replace r5slfemp=. if r5slfemp==.w
replace r6slfemp=. if r6slfemp==.w
replace r7slfemp=. if r7slfemp==.w
replace r8slfemp=. if r8slfemp==.w

replace r1jcocc=. if r1jcocc==.b
replace r2jcocc=. if r2jcocc==.b
replace r3jcocc=. if r3jcocc==.b
replace r4jcocc=. if r4jcocc==.b
replace r5jcocc=. if r5jcocc==.b
replace r6jcocc=. if r6jcocc==.b
replace r7jcocc=. if r7jcocc==.b
replace r8jcocc=. if r8jcocc==.b

replace r1jcocc=. if r1jcocc==.m
replace r2jcocc=. if r2jcocc==.m
replace r3jcocc=. if r3jcocc==.m
replace r4jcocc=. if r4jcocc==.m
replace r5jcocc=. if r5jcocc==.m
replace r6jcocc=. if r6jcocc==.m
replace r7jcocc=. if r7jcocc==.m
replace r8jcocc=. if r8jcocc==.m

replace r1jcocc=. if r1jcocc==.q
replace r2jcocc=. if r2jcocc==.q
replace r3jcocc=. if r3jcocc==.q
replace r4jcocc=. if r4jcocc==.q
replace r5jcocc=. if r5jcocc==.q
replace r6jcocc=. if r6jcocc==.q
replace r7jcocc=. if r7jcocc==.q
replace r8jcocc=. if r8jcocc==.q

replace r1jcocc=. if r1jcocc==.w
replace r2jcocc=. if r2jcocc==.w
replace r3jcocc=. if r3jcocc==.w
replace r4jcocc=. if r4jcocc==.w
replace r5jcocc=. if r5jcocc==.w
replace r6jcocc=. if r6jcocc==.w
replace r7jcocc=. if r7jcocc==.w
replace r8jcocc=. if r8jcocc==.w

replace r1jcind=. if r1jcind==.b
replace r2jcind=. if r2jcind==.b
replace r3jcind=. if r3jcind==.b
replace r4jcind=. if r4jcind==.b
replace r5jcind=. if r5jcind==.b
replace r6jcind=. if r6jcind==.b
replace r7jcind=. if r7jcind==.b
replace r8jcind=. if r8jcind==.b

replace r1jcind=. if r1jcind==.m
replace r2jcind=. if r2jcind==.m
replace r3jcind=. if r3jcind==.m
replace r4jcind=. if r4jcind==.m
replace r5jcind=. if r5jcind==.m
replace r6jcind=. if r6jcind==.m
replace r7jcind=. if r7jcind==.m
replace r8jcind=. if r8jcind==.m

replace r1jcind=. if r1jcind==.q
replace r2jcind=. if r2jcind==.q
replace r3jcind=. if r3jcind==.q
replace r4jcind=. if r4jcind==.q
replace r5jcind=. if r5jcind==.q
replace r6jcind=. if r6jcind==.q
replace r7jcind=. if r7jcind==.q
replace r8jcind=. if r8jcind==.q

replace r1jcind=. if r1jcind==.w
replace r2jcind=. if r2jcind==.w
replace r3jcind=. if r3jcind==.w
replace r4jcind=. if r4jcind==.w
replace r5jcind=. if r5jcind==.w
replace r6jcind=. if r6jcind==.w
replace r7jcind=. if r7jcind==.w
replace r8jcind=. if r8jcind==.w

replace s1edyrs=. if s1edyrs==.d
replace s2edyrs=. if s2edyrs==.d
replace s3edyrs=. if s3edyrs==.d
replace s4edyrs=. if s4edyrs==.d
replace s5edyrs=. if s5edyrs==.d
replace s6edyrs=. if s6edyrs==.d
replace s7edyrs=. if s7edyrs==.d
replace s8edyrs=. if s8edyrs==.d

replace s1edyrs=. if s1edyrs==.u
replace s2edyrs=. if s2edyrs==.u
replace s3edyrs=. if s3edyrs==.u
replace s4edyrs=. if s4edyrs==.u
replace s5edyrs=. if s5edyrs==.u
replace s6edyrs=. if s6edyrs==.u
replace s7edyrs=. if s7edyrs==.u
replace s8edyrs=. if s8edyrs==.u

replace s1edyrs=. if s1edyrs==.v
replace s2edyrs=. if s2edyrs==.v
replace s3edyrs=. if s3edyrs==.v
replace s4edyrs=. if s4edyrs==.v
replace s5edyrs=. if s5edyrs==.v
replace s6edyrs=. if s6edyrs==.v
replace s7edyrs=. if s7edyrs==.v
replace s8edyrs=. if s8edyrs==.v


replace s1edyrs=. if s1edyrs==.m
replace s2edyrs=. if s2edyrs==.m
replace s3edyrs=. if s3edyrs==.m
replace s4edyrs=. if s4edyrs==.m
replace s5edyrs=. if s5edyrs==.m
replace s6edyrs=. if s6edyrs==.m
replace s7edyrs=. if s7edyrs==.m
replace s8edyrs=. if s8edyrs==.m

replace s1edyrs=. if s1edyrs==.r
replace s2edyrs=. if s2edyrs==.r
replace s3edyrs=. if s3edyrs==.r
replace s4edyrs=. if s4edyrs==.r
replace s5edyrs=. if s5edyrs==.r
replace s6edyrs=. if s6edyrs==.r
replace s7edyrs=. if s7edyrs==.r
replace s8edyrs=. if s8edyrs==.r

replace s1edegrm=. if s1edegrm==.d
replace s2edegrm=. if s2edegrm==.d
replace s3edegrm=. if s3edegrm==.d
replace s4edegrm=. if s4edegrm==.d
replace s5edegrm=. if s5edegrm==.d
replace s6edegrm=. if s6edegrm==.d
replace s7edegrm=. if s7edegrm==.d
replace s8edegrm=. if s8edegrm==.d

replace s1edegrm=. if s1edegrm==.u
replace s2edegrm=. if s2edegrm==.u
replace s3edegrm=. if s3edegrm==.u
replace s4edegrm=. if s4edegrm==.u
replace s5edegrm=. if s5edegrm==.u
replace s6edegrm=. if s6edegrm==.u
replace s7edegrm=. if s7edegrm==.u
replace s8edegrm=. if s8edegrm==.u

replace s1edegrm=. if s1edegrm==.v
replace s2edegrm=. if s2edegrm==.v
replace s3edegrm=. if s3edegrm==.v
replace s4edegrm=. if s4edegrm==.v
replace s5edegrm=. if s5edegrm==.v
replace s6edegrm=. if s6edegrm==.v
replace s7edegrm=. if s7edegrm==.v
replace s8edegrm=. if s8edegrm==.v


replace s1edegrm=. if s1edegrm==.m
replace s2edegrm=. if s2edegrm==.m
replace s3edegrm=. if s3edegrm==.m
replace s4edegrm=. if s4edegrm==.m
replace s5edegrm=. if s5edegrm==.m
replace s6edegrm=. if s6edegrm==.m
replace s7edegrm=. if s7edegrm==.m
replace s8edegrm=. if s8edegrm==.m

replace s1edegrm=. if s1edegrm==.r
replace s2edegrm=. if s2edegrm==.r
replace s3edegrm=. if s3edegrm==.r
replace s4edegrm=. if s4edegrm==.r
replace s5edegrm=. if s5edegrm==.r
replace s6edegrm=. if s6edegrm==.r
replace s7edegrm=. if s7edegrm==.r
replace s8edegrm=. if s8edegrm==.r

replace s1educ=. if s1educ==.d
replace s2educ=. if s2educ==.d
replace s3educ=. if s3educ==.d
replace s4educ=. if s4educ==.d
replace s5educ=. if s5educ==.d
replace s6educ=. if s6educ==.d
replace s7educ=. if s7educ==.d
replace s8educ=. if s8educ==.d

replace s1educ=. if s1educ==.u
replace s2educ=. if s2educ==.u
replace s3educ=. if s3educ==.u
replace s4educ=. if s4educ==.u
replace s5educ=. if s5educ==.u
replace s6educ=. if s6educ==.u
replace s7educ=. if s7educ==.u
replace s8educ=. if s8educ==.u

replace s1educ=. if s1educ==.v
replace s2educ=. if s2educ==.v
replace s3educ=. if s3educ==.v
replace s4educ=. if s4educ==.v
replace s5educ=. if s5educ==.v
replace s6educ=. if s6educ==.v
replace s7educ=. if s7educ==.v
replace s8educ=. if s8educ==.v



replace s1educ=. if s1educ==.m
replace s2educ=. if s2educ==.m
replace s3educ=. if s3educ==.m
replace s4educ=. if s4educ==.m
replace s5educ=. if s5educ==.m
replace s6educ=. if s6educ==.m
replace s7educ=. if s7educ==.m
replace s8educ=. if s8educ==.m

replace s1educ=. if s1educ==.r
replace s2educ=. if s2educ==.r
replace s3educ=. if s3educ==.r
replace s4educ=. if s4educ==.r
replace s5educ=. if s5educ==.r
replace s6educ=. if s6educ==.r
replace s7educ=. if s7educ==.r
replace s8educ=. if s8educ==.r

replace s1lbrf=. if s1lbrf==.a
replace s2lbrf=. if s2lbrf==.a
replace s3lbrf=. if s3lbrf==.a
replace s4lbrf=. if s4lbrf==.a
replace s5lbrf=. if s5lbrf==.a
replace s6lbrf=. if s6lbrf==.a
replace s7lbrf=. if s7lbrf==.a
replace s8lbrf=. if s8lbrf==.a

replace s1lbrf=. if s1lbrf==.q
replace s2lbrf=. if s2lbrf==.q
replace s3lbrf=. if s3lbrf==.q
replace s4lbrf=. if s4lbrf==.q
replace s5lbrf=. if s5lbrf==.q
replace s6lbrf=. if s6lbrf==.q
replace s7lbrf=. if s7lbrf==.q
replace s8lbrf=. if s8lbrf==.q

replace s1lbrf=. if s1lbrf==.t
replace s2lbrf=. if s2lbrf==.t
replace s3lbrf=. if s3lbrf==.t
replace s4lbrf=. if s4lbrf==.t
replace s5lbrf=. if s5lbrf==.t
replace s6lbrf=. if s6lbrf==.t
replace s7lbrf=. if s7lbrf==.t
replace s8lbrf=. if s8lbrf==.t

replace s1lbrf=. if s1lbrf==.u
replace s2lbrf=. if s2lbrf==.u
replace s3lbrf=. if s3lbrf==.u
replace s4lbrf=. if s4lbrf==.u
replace s5lbrf=. if s5lbrf==.u
replace s6lbrf=. if s6lbrf==.u
replace s7lbrf=. if s7lbrf==.u
replace s8lbrf=. if s8lbrf==.u

replace s1lbrf=. if s1lbrf==.v
replace s2lbrf=. if s2lbrf==.v
replace s3lbrf=. if s3lbrf==.v
replace s4lbrf=. if s4lbrf==.v
replace s5lbrf=. if s5lbrf==.v
replace s6lbrf=. if s6lbrf==.v
replace s7lbrf=. if s7lbrf==.v
replace s8lbrf=. if s8lbrf==.v

replace r1sayret=. if r1sayret==.a
replace r2sayret=. if r2sayret==.a
replace r3sayret=. if r3sayret==.a
replace r4sayret=. if r4sayret==.a
replace r5sayret=. if r5sayret==.a
replace r6sayret=. if r6sayret==.a
replace r7sayret=. if r7sayret==.a
replace r8sayret=. if r8sayret==.a

replace r1sayret=. if r1sayret==.d
replace r2sayret=. if r2sayret==.d
replace r3sayret=. if r3sayret==.d
replace r4sayret=. if r4sayret==.d
replace r5sayret=. if r5sayret==.d
replace r6sayret=. if r6sayret==.d
replace r7sayret=. if r7sayret==.d
replace r8sayret=. if r8sayret==.d

replace r1sayret=. if r1sayret==.m
replace r2sayret=. if r2sayret==.m
replace r3sayret=. if r3sayret==.m
replace r4sayret=. if r4sayret==.m
replace r5sayret=. if r5sayret==.m
replace r6sayret=. if r6sayret==.m
replace r7sayret=. if r7sayret==.m
replace r8sayret=. if r8sayret==.m

replace r1sayret=. if r1sayret==.q
replace r2sayret=. if r2sayret==.q
replace r3sayret=. if r3sayret==.q
replace r4sayret=. if r4sayret==.q
replace r5sayret=. if r5sayret==.q
replace r6sayret=. if r6sayret==.q
replace r7sayret=. if r7sayret==.q
replace r8sayret=. if r8sayret==.q

replace r1sayret=. if r1sayret==.r
replace r2sayret=. if r2sayret==.r
replace r3sayret=. if r3sayret==.r
replace r4sayret=. if r4sayret==.r
replace r5sayret=. if r5sayret==.r
replace r6sayret=. if r6sayret==.r
replace r7sayret=. if r7sayret==.r
replace r8sayret=. if r8sayret==.r

replace r1sayret=. if r1sayret==.s
replace r2sayret=. if r2sayret==.s
replace r3sayret=. if r3sayret==.s
replace r4sayret=. if r4sayret==.s
replace r5sayret=. if r5sayret==.s
replace r6sayret=. if r6sayret==.s
replace r7sayret=. if r7sayret==.s
replace r8sayret=. if r8sayret==.s

replace s1agem_e=. if s1agem_e==.u
replace s2agem_e=. if s2agem_e==.u
replace s3agem_e=. if s3agem_e==.u
replace s4agem_e=. if s4agem_e==.u
replace s5agem_e=. if s5agem_e==.u
replace s6agem_e=. if s6agem_e==.u
replace s7agem_e=. if s7agem_e==.u
replace s8agem_e=. if s8agem_e==.u

replace s1agey_e=. if s1agey_e==.u
replace s2agey_e=. if s2agey_e==.u
replace s3agey_e=. if s3agey_e==.u
replace s4agey_e=. if s4agey_e==.u
replace s5agey_e=. if s5agey_e==.u
replace s6agey_e=. if s6agey_e==.u
replace s7agey_e=. if s7agey_e==.u
replace s8agey_e=. if s8agey_e==.u

replace rassagem=. if rassagem==.s
replace rassagem=. if rassagem==.m

replace rassageb=. if rassageb==.s
replace rassageb=. if rassageb==.m

replace r1rplnyr=. if r1rplnyr==.w
replace r2rplnyr=. if r2rplnyr==.w
replace r3rplnyr=. if r3rplnyr==.w
replace r4rplnyr=. if r4rplnyr==.w
replace r5rplnyr=. if r5rplnyr==.w
replace r6rplnyr=. if r6rplnyr==.w
replace r7rplnyr=. if r7rplnyr==.w
replace r8rplnyr=. if r8rplnyr==.w

replace r1rplnyr=. if r1rplnyr==.n
replace r2rplnyr=. if r2rplnyr==.n
replace r3rplnyr=. if r3rplnyr==.n
replace r4rplnyr=. if r4rplnyr==.n
replace r5rplnyr=. if r5rplnyr==.n
replace r6rplnyr=. if r6rplnyr==.n
replace r7rplnyr=. if r7rplnyr==.n
replace r8rplnyr=. if r8rplnyr==.n

replace r1rplnyr=. if r1rplnyr==.s
replace r2rplnyr=. if r2rplnyr==.s
replace r3rplnyr=. if r3rplnyr==.s
replace r4rplnyr=. if r4rplnyr==.s
replace r5rplnyr=. if r5rplnyr==.s
replace r6rplnyr=. if r6rplnyr==.s
replace r7rplnyr=. if r7rplnyr==.s
replace r8rplnyr=. if r8rplnyr==.s

replace r1rplnyr=. if r1rplnyr==.d
replace r2rplnyr=. if r2rplnyr==.d
replace r3rplnyr=. if r3rplnyr==.d
replace r4rplnyr=. if r4rplnyr==.d
replace r5rplnyr=. if r5rplnyr==.d
replace r6rplnyr=. if r6rplnyr==.d
replace r7rplnyr=. if r7rplnyr==.d
replace r8rplnyr=. if r8rplnyr==.d

replace r1rplnyr=. if r1rplnyr==.a
replace r2rplnyr=. if r2rplnyr==.a
replace r3rplnyr=. if r3rplnyr==.a
replace r4rplnyr=. if r4rplnyr==.a
replace r5rplnyr=. if r5rplnyr==.a
replace r6rplnyr=. if r6rplnyr==.a
replace r7rplnyr=. if r7rplnyr==.a
replace r8rplnyr=. if r8rplnyr==.a

replace r1rplnyr=. if r1rplnyr==.i
replace r2rplnyr=. if r2rplnyr==.i
replace r3rplnyr=. if r3rplnyr==.i
replace r4rplnyr=. if r4rplnyr==.i
replace r5rplnyr=. if r5rplnyr==.i
replace r6rplnyr=. if r6rplnyr==.i
replace r7rplnyr=. if r7rplnyr==.i
replace r8rplnyr=. if r8rplnyr==.i

replace r1rplnya=. if r1rplnya==.w
replace r3rplnya=. if r3rplnya==.w
replace r4rplnya=. if r4rplnya==.w
replace r5rplnya=. if r5rplnya==.w
replace r6rplnya=. if r6rplnya==.w
replace r7rplnya=. if r7rplnya==.w
replace r8rplnya=. if r8rplnya==.w

replace r1rplnya=. if r1rplnya==.a
replace r3rplnya=. if r3rplnya==.a
replace r4rplnya=. if r4rplnya==.a
replace r5rplnya=. if r5rplnya==.a
replace r6rplnya=. if r6rplnya==.a
replace r7rplnya=. if r7rplnya==.a
replace r8rplnya=. if r8rplnya==.a

replace r1rplnya=. if r1rplnya==.d
replace r3rplnya=. if r3rplnya==.d
replace r4rplnya=. if r4rplnya==.d
replace r5rplnya=. if r5rplnya==.d
replace r6rplnya=. if r6rplnya==.d
replace r7rplnya=. if r7rplnya==.d
replace r8rplnya=. if r8rplnya==.d

replace r1rplnya=. if r1rplnya==.n
replace r3rplnya=. if r3rplnya==.n
replace r4rplnya=. if r4rplnya==.n
replace r5rplnya=. if r5rplnya==.n
replace r6rplnya=. if r6rplnya==.n
replace r7rplnya=. if r7rplnya==.n
replace r8rplnya=. if r8rplnya==.n

replace r1rplnya=. if r1rplnya==.s
replace r3rplnya=. if r3rplnya==.s
replace r4rplnya=. if r4rplnya==.s
replace r5rplnya=. if r5rplnya==.s
replace r6rplnya=. if r6rplnya==.s
replace r7rplnya=. if r7rplnya==.s
replace r8rplnya=. if r8rplnya==.s

replace r1rplnya=. if r1rplnya==.i
replace r3rplnya=. if r3rplnya==.i
replace r4rplnya=. if r4rplnya==.i
replace r5rplnya=. if r5rplnya==.i
replace r6rplnya=. if r6rplnya==.i
replace r7rplnya=. if r7rplnya==.i
replace r8rplnya=. if r8rplnya==.i

replace r1jhours=. if r1jhours==.w
replace r2jhours=. if r2jhours==.w
replace r3jhours=. if r3jhours==.w
replace r4jhours=. if r4jhours==.w
replace r5jhours=. if r5jhours==.w
replace r6jhours=. if r6jhours==.w
replace r7jhours=. if r7jhours==.w
replace r8jhours=. if r8jhours==.w

replace r1jhour2=. if r1jhour2==.w
replace r2jhour2=. if r2jhour2==.w
replace r2jhour2=. if r2jhour2==.q
replace r3jhour2=. if r3jhour2==.w
replace r4jhour2=. if r4jhour2==.w
replace r5jhour2=. if r5jhour2==.w
replace r6jhour2=. if r6jhour2==.w
replace r7jhour2=. if r7jhour2==.w
replace r8jhour2=. if r8jhour2==.w

replace r1jweeks=. if r1jweeks==.w
replace r2jweeks=. if r2jweeks==.w
replace r3jweeks=. if r3jweeks==.w
replace r4jweeks=. if r4jweeks==.w
replace r5jweeks=. if r5jweeks==.w
replace r6jweeks=. if r6jweeks==.w
replace r7jweeks=. if r7jweeks==.w
replace r8jweeks=. if r8jweeks==.w

replace r1jweek2=. if r1jweek2==.w
replace r2jweek2=. if r2jweek2==.w
replace r3jweek2=. if r3jweek2==.w
replace r4jweek2=. if r4jweek2==.w
replace r5jweek2=. if r5jweek2==.w
replace r6jweek2=. if r6jweek2==.w
replace r7jweek2=. if r7jweek2==.w
replace r8jweek2=. if r8jweek2==.w

replace r1wgihr=. if r1wgihr==.w
replace r2wgihr=. if r2wgihr==.w
replace r3wgihr=. if r3wgihr==.w
replace r4wgihr=. if r4wgihr==.w
replace r5wgihr=. if r5wgihr==.w
replace r6wgihr=. if r6wgihr==.w
replace r7wgihr=. if r7wgihr==.w
replace r8wgihr=. if r8wgihr==.w

replace r1wgihr=. if r1wgihr==.m
replace r2wgihr=. if r2wgihr==.m
replace r3wgihr=. if r3wgihr==.m
replace r4wgihr=. if r4wgihr==.m
replace r5wgihr=. if r5wgihr==.m
replace r6wgihr=. if r6wgihr==.m
replace r7wgihr=. if r7wgihr==.m
replace r8wgihr=. if r8wgihr==.m

replace h1child=. if h1child==.m
replace h2child=. if h2child==.m
replace h3child=. if h3child==.m
replace h4child=. if h4child==.m
replace h5child=. if h5child==.m
replace h6child=. if h6child==.m
replace h7child=. if h7child==.m
replace h8child=. if h8child==.m

sort hhid pn

keep hacohort rabyear rabmonth hhid pn hhidpn rahhidpn r8iwend ragender raracem rahispan raedyrs raedegrm raeduc rassagem rassageb rarelig rabplace r1mstat r2mstat r3mstat r4mstat r5mstat r6mstat r7mstat r8mstat r1shlt r2shlt r3shlt r4shlt r5shlt r6shlt r7shlt r8shlt r1hltc r2hltc r3hltc r4hltc r5hltc r6hltc r7hltc r8hltc r1hlthlm r2hlthlm r3hlthlm r4hlthlm r5hlthlm r6hlthlm r7hlthlm r8hlthlm h1atota h2atota h3atota h4atota h5atota h6atota h7atota h8atota r1ptyp1 r2ptyp1 r3ptyp1 r4ptyp1 r5ptyp1 r6ptyp1 r7ptyp1 r8ptyp1 r1covr r2covr r3covr r4covr r5covr r6covr r7covr r8covr r1covs r2covs r3covs r4covs r5covs r6covs r7covs r8covs r1covrt r2covrt r3covrt r4covrt r5covrt r6covrt r7covrt r8covrt r1hiothp r2hiothp r3hiothp r4hiothp r5hiothp r6hiothp r7hiothp r8hiothp r1higov r2higov r3higov r4higov r5higov r6higov r7higov r8higov r1slfemp r2slfemp r3slfemp r4slfemp r5slfemp r6slfemp r7slfemp r8slfemp r1jhours r2jhours r3jhours r4jhours r5jhours r6jhours r7jhours r8jhours r1jhour2 r2jhour2 r3jhour2 r4jhour2 r5jhour2 r6jhour2 r7jhour2 r8jhour2 r1jweeks r2jweeks r3jweeks r4jweeks r5jweeks r6jweeks r7jweeks r8jweeks r1jweek2 r2jweek2 r3jweek2 r4jweek2 r5jweek2 r6jweek2 r7jweek2 r8jweek2 r1wgihr r2wgihr r3wgihr r4wgihr r5wgihr r6wgihr r7wgihr r8wgihr r1jcocc r2jcocc r3jcocc r4jcocc r5jcocc r6jcocc r7jcocc r8jcocc r1jcind r2jcind r3jcind r4jcind r5jcind r6jcind r7jcind r8jcind r1iearn r2iearn r3iearn r4iearn r5iearn r6iearn r7iearn r8iearn s1edyrs s2edyrs s3edyrs s4edyrs s5edyrs s6edyrs s7edyrs s8edyrs s1edegrm s2edegrm s3edegrm s4edegrm s5edegrm s6edegrm s7edegrm s8edegrm s1educ s2educ s3educ s4educ s5educ s6educ s7educ s8educ s1agem_e s2agem_e s3agem_e s4agem_e s5agem_e s6agem_e s7agem_e s8agem_e s1agey_e s2agey_e s3agey_e s4agey_e s5agey_e s6agey_e s7agey_e s8agey_e s1lbrf s2lbrf s3lbrf s4lbrf s5lbrf s6lbrf s7lbrf s8lbrf h1child h2child h3child h4child h5child h6child h7child h8child r1retmon r2retmon r3retmon r4retmon r5retmon r6retmon r7retmon r8retmon r1retyr r2retyr r3retyr r4retyr r5retyr r6retyr r7retyr r8retyr r1sayret r2sayret r3sayret r4sayret r5sayret r6sayret r7sayret r8sayret r1rplnyr r2rplnyr r3rplnyr r4rplnyr r5rplnyr r6rplnyr r7rplnyr r8rplnyr r1jcpen r2jcpen r3jcpen r4jcpen r5jcpen r6jcpen r7jcpen r8jcpen r1rplnya  r3rplnya r4rplnya r5rplnya r6rplnya r7rplnya r8rplnya

su r8iwend

save "C:\Documents and Settings\David Blau\My Documents\Luc new\HRS\data\rndvariablesbb1_revised.dta" , replace

log close
