clear
set memory 200m

log using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\crowdout_jan2015_iv", replace

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss124c"

keep age assets epdvdb* lfj ssclaim
rename assets assets_db
rename lfj lfj_db
rename ssclaim ssclaim_db

collapse assets epdvdbr lfj* ssc* , by (age)
sort age
su
save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss123d" 

keep age assets_dc assets_np epdvssr_np ssclaim_np dcbalance lfj_dc ssclaim_dc epdvssr_dc

collapse assets_dc assets_np epdvssr_np ssclaim_np ssclaim_dc dcbalance lfj_dc epdvssr_dc, by (age)
sort age
su

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss125" 

keep age assets_np 
rename assets_np assets_npnoss

collapse assets*, by (age)
sort age
su

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss126" 

keep age assets epdvssr lfj
rename assets assets_db126
rename lfj lfj_db126
rename epdvssr epdvssr_db

collapse assets* epd* lfj*, by (age)
sort age
su

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss127" 

keep age assets epdvdbr lfj
rename assets assets_dbnoss
rename epdvdbr epdvdbr_noss
rename lfj lfj_dbnoss

collapse assets* epd* lfj*, by (age)
sort age
su

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss128" 

keep age assets dcbalance lfj
rename assets assets_dcnoss
rename dcbalance dcbalance_noss
rename lfj lfj_dcnoss

collapse assets* dcb* lfj*, by (age)
sort age
su

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace



* substitution effects

* naming convention for assets for subst effects:  XXivYY: XX = conditioning factor, YY = object of crowdout analysis

clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss123d_iva"

keep age assets 
rename assets assets_ssivdb_123d_iva
collapse assets, by (age)
sort age
su

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss123d_iv" 

keep age assets
rename assets assets_ssivdc_123d_iv
collapse assets, by (age)
sort age
su

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss125_ivb" 

keep age assets_np 
rename assets_np assets_npivss_125_ivb

collapse assets*, by (age)
sort age
su

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss127_iv" 

keep age assets
rename assets assets_dbivss_127_iv
collapse assets*, by (age)
sort age
su

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss128_iv" 

keep age assets_dc 
rename assets_dc assets_dcivss_128_iv
collapse assets*, by (age)
sort age
su

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss125_iva" 

keep age assets 
rename assets assets_nossivdb_125_iva

collapse assets* , by (age)
sort age
su

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss125_iv" 

keep age assets
rename assets assets_nossivdc_125_iv

collapse assets* , by (age)
sort age
su

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge


* SS, nopen; cv = 0, so no need to run - subst effect = entire effect

gen coss = assets_np - assets_npivss_125_ivb
gen cossp = coss/epdvssr_np

*DB with SS

gen codb = assets_db - assets_ssivdb_123d_iva
gen codbp = codb/epdvdbr

* DC with SS

gen codc = assets_dc - assets_ssivdc_123d_iv
gen codcp = codc/dcbalance

* SS with DB

gen coss_db = assets_db - assets_dbivss_127_iv
gen cossp_db = coss_db/epdvssr_db

*SS with DC

gen coss_dc = assets_dc - assets_dcivss_128_iv
gen cossp_dc = coss_dc/epdvssr_dc

*DB, no SS

gen codb_noss = assets_dbnoss - assets_nossivdb_125_iva
gen codbp_noss = codb_noss/epdvdbr_noss

*DC, no SS

gen codc_noss = assets_dcnoss - assets_nossivdc_125_iv
gen codcp_noss = codc_noss/dcbalance_noss

sort age

*list age assets* epdv* dcbal* if age<=75
list age codb codbp lfj_db codc codcp lfj_dc coss cossp ssclaim_np  if age<=75
list age coss_db cossp_db ssclaim_db coss_dc cossp_dc ssclaim_dc  if age<=75
list age codb_noss codbp_noss lfj_dbnoss codc_noss codcp_noss lfj_dcnoss if age<=75

log close

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\jan2015_crowdout_iv", replace


