clear
set memory 200m

log using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\fra_jan2015" , replace

*collapse vf empl ass cons earn penclaim ssclaim ssben dispinc pd dbben, by (age)

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdbfra65_jan2015"

egen joe65 = total(empl)
egen agepc65 = total(1-penclaim)
egen agesc65 = total(1-ssclaim)
replace joe65 = joe65 + 25
replace agepc65 = agepc + 25
replace agesc65 = agesc + 25

gen palive = 1 - pd if age==25
replace palive = palive[_n-1]*(1 - pd) if age>25

gen discon = palive*cons/(1.03^(age-25))
gen disearn= palive*earn/(1.03^(age-25))
gen disssben=palive*ssben/(1.03^(age-25))
gen disdbben=palive*dbben/(1.03^(age-25))
gen disdisp= palive*dispinc/(1.03^(age-25))

egen pdvcons65 = total(discon)
egen pdvearn65 = total(disearn)
egen pdvssben65 = total(disssben)
egen pdvdbben65 = total(disdbben)
egen pdvdisp65 = total(disdisp)

rename vf vf65

list age assets ssclaim

su if age==25
keep if age==25
keep *65 age
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear


use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdbfra66_jan2015"

egen joe66 = total(empl)
egen agepc66 = total(1-penclaim)
egen agesc66 = total(1-ssclaim)
replace joe66 = joe66 + 25
replace agepc66 = agepc + 25
replace agesc66 = agesc + 25

gen palive = 1 - pd if age==25
replace palive = palive[_n-1]*(1 - pd) if age>25

gen discon = palive*cons/(1.03^(age-25))
gen disearn= palive*earn/(1.03^(age-25))
gen disssben=palive*ssben/(1.03^(age-25))
gen disdbben=palive*dbben/(1.03^(age-25))
gen disdisp= palive*dispinc/(1.03^(age-25))

egen pdvcons66 = total(discon)
egen pdvearn66 = total(disearn)
egen pdvssben66 = total(disssben)
egen pdvdbben66 = total(disdbben)
egen pdvdisp66 = total(disdisp)

rename vf vf66

list assets if age==63

su if age==25
keep if age==25
keep *66 age
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" 

drop _merge
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear





use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdbfra67_jan2015"

egen joe67 = total(empl)
egen agepc67 = total(1-penclaim)
egen agesc67 = total(1-ssclaim)
replace joe67 = joe67 + 25
replace agepc67 = agepc + 25
replace agesc67 = agesc + 25

gen palive = 1 - pd if age==25
replace palive = palive[_n-1]*(1 - pd) if age>25

gen discon = palive*cons/(1.03^(age-25))
gen disearn= palive*earn/(1.03^(age-25))
gen disssben=palive*ssben/(1.03^(age-25))
gen disdbben=palive*dbben/(1.03^(age-25))
gen disdisp= palive*dispinc/(1.03^(age-25))

egen pdvcons67 = total(discon)
egen pdvearn67 = total(disearn)
egen pdvssben67 = total(disssben)
egen pdvdbben67 = total(disdbben)
egen pdvdisp67 = total(disdisp)

rename vf vf67

list assets if age==63

su if age==25
keep if age==25
keep *67 age
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" 

drop _merge
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear




use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdbfra68_jan2015"

egen joe68 = total(empl)
egen agepc68 = total(1-penclaim)
egen agesc68 = total(1-ssclaim)
replace joe68 = joe68 + 25
replace agepc68 = agepc + 25
replace agesc68 = agesc + 25

gen palive = 1 - pd if age==25
replace palive = palive[_n-1]*(1 - pd) if age>25

gen discon = palive*cons/(1.03^(age-25))
gen disearn= palive*earn/(1.03^(age-25))
gen disssben=palive*ssben/(1.03^(age-25))
gen disdbben=palive*dbben/(1.03^(age-25))
gen disdisp= palive*dispinc/(1.03^(age-25))

egen pdvcons68 = total(discon)
egen pdvearn68 = total(disearn)
egen pdvssben68 = total(disssben)
egen pdvdbben68 = total(disdbben)
egen pdvdisp68 = total(disdisp)

rename vf vf68

list assets if age==63

su if age==25
keep if age==25
keep *68 age
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" 

drop _merge
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace


clear




use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdbfra69_jan2015"

egen joe69 = total(empl)
egen agepc69 = total(1-penclaim)
egen agesc69 = total(1-ssclaim)
replace joe69 = joe69 + 25
replace agepc69 = agepc + 25
replace agesc69 = agesc + 25

gen palive = 1 - pd if age==25
replace palive = palive[_n-1]*(1 - pd) if age>25

gen discon = palive*cons/(1.03^(age-25))
gen disearn= palive*earn/(1.03^(age-25))
gen disssben=palive*ssben/(1.03^(age-25))
gen disdbben=palive*dbben/(1.03^(age-25))
gen disdisp= palive*dispinc/(1.03^(age-25))

egen pdvcons69 = total(discon)
egen pdvearn69 = total(disearn)
egen pdvssben69 = total(disssben)
egen pdvdbben69 = total(disdbben)
egen pdvdisp69 = total(disdisp)

rename vf vf69

list assets if age==63

su if age==25
keep if age==25
keep *69 age
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" 

drop _merge
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear


use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdcnpfra65_jan2015"

egen joe_np65 = total(empl_np)
egen agesc_np65 = total(1-ssclaim_np)
replace joe_np65 = joe_np + 25
replace agesc_np65 = agesc_np + 25

gen palive = 1 - pd if age==25
replace palive = palive[_n-1]*(1 - pd) if age>25

gen discon_np65 = palive*cons_np/(1.03^(age-25))
gen disearn_np65= palive*earn_np/(1.03^(age-25))
gen disssben_np65=palive*ssben_np/(1.03^(age-25))
gen disdisp_np65= palive*dispinc_np/(1.03^(age-25))

egen pdvcons_np65 = total(discon_np)
egen pdvearn_np65 = total(disearn_np)
egen pdvssben_np65 = total(disssben_np)
egen pdvdisp_np65 = total(disdisp_np)


egen joe_dc65 = total(empl_dc)
egen agepc_dc65 = total(1-penclaim_dc)
egen agesc_dc65 = total(1-ssclaim_dc)
replace joe_dc65 = joe_dc + 25
replace agepc_dc65 = agepc_dc + 25
replace agesc_dc65 = agesc_dc + 25

gen discon_dc65 = palive*cons_dc/(1.03^(age-25))
gen disearn_dc65= palive*earn_dc/(1.03^(age-25))
gen disssben_dc65=palive*ssben_dc/(1.03^(age-25))
gen disdisp_dc65= palive*dispinc_dc/(1.03^(age-25))

egen pdvcons_dc65 = total(discon_dc)
egen pdvearn_dc65 = total(disearn_dc)
egen pdvssben_dc65 = total(disssben_dc)
egen pdvdisp_dc65 = total(disdisp_dc)

rename vf_np vf_np65
rename vf_dc vf_dc65
list assets* if age==63
su if age==25
keep if age==25
keep *65 age
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" 

drop _merge
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace





clear


use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdcnpfra66_jan2015"

egen joe_np66 = total(empl_np)
egen agesc_np66 = total(1-ssclaim_np)
replace joe_np66 = joe_np + 25
replace agesc_np66 = agesc_np + 25

gen palive = 1 - pd if age==25
replace palive = palive[_n-1]*(1 - pd) if age>25

gen discon_np66 = palive*cons_np/(1.03^(age-25))
gen disearn_np66= palive*earn_np/(1.03^(age-25))
gen disssben_np66=palive*ssben_np/(1.03^(age-25))
gen disdisp_np66= palive*dispinc_np/(1.03^(age-25))

egen pdvcons_np66 = total(discon_np)
egen pdvearn_np66 = total(disearn_np)
egen pdvssben_np66 = total(disssben_np)
egen pdvdisp_np66 = total(disdisp_np)


egen joe_dc66 = total(empl_dc)
egen agepc_dc66 = total(1-penclaim_dc)
egen agesc_dc66 = total(1-ssclaim_dc)
replace joe_dc66 = joe_dc + 25
replace agepc_dc66 = agepc_dc + 25
replace agesc_dc66 = agesc_dc + 25

gen discon_dc66 = palive*cons_dc/(1.03^(age-25))
gen disearn_dc66= palive*earn_dc/(1.03^(age-25))
gen disssben_dc66=palive*ssben_dc/(1.03^(age-25))
gen disdisp_dc66= palive*dispinc_dc/(1.03^(age-25))

egen pdvcons_dc66 = total(discon_dc)
egen pdvearn_dc66 = total(disearn_dc)
egen pdvssben_dc66 = total(disssben_dc)
egen pdvdisp_dc66 = total(disdisp_dc)

rename vf_np vf_np66
rename vf_dc vf_dc66
list assets* if age==63
su if age==25
keep if age==25
keep *66 age
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" 

drop _merge
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace





clear


use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdcnpfra67_jan2015"

egen joe_np67 = total(empl_np)
egen agesc_np67 = total(1-ssclaim_np)
replace joe_np67 = joe_np + 25
replace agesc_np67 = agesc_np + 25

gen palive = 1 - pd if age==25
replace palive = palive[_n-1]*(1 - pd) if age>25

gen discon_np67 = palive*cons_np/(1.03^(age-25))
gen disearn_np67= palive*earn_np/(1.03^(age-25))
gen disssben_np67=palive*ssben_np/(1.03^(age-25))
gen disdisp_np67= palive*dispinc_np/(1.03^(age-25))

egen pdvcons_np67 = total(discon_np)
egen pdvearn_np67 = total(disearn_np)
egen pdvssben_np67 = total(disssben_np)
egen pdvdisp_np67 = total(disdisp_np)


egen joe_dc67 = total(empl_dc)
egen agepc_dc67 = total(1-penclaim_dc)
egen agesc_dc67 = total(1-ssclaim_dc)
replace joe_dc67 = joe_dc + 25
replace agepc_dc67 = agepc_dc + 25
replace agesc_dc67 = agesc_dc + 25

gen discon_dc67 = palive*cons_dc/(1.03^(age-25))
gen disearn_dc67= palive*earn_dc/(1.03^(age-25))
gen disssben_dc67=palive*ssben_dc/(1.03^(age-25))
gen disdisp_dc67= palive*dispinc_dc/(1.03^(age-25))

egen pdvcons_dc67 = total(discon_dc)
egen pdvearn_dc67 = total(disearn_dc)
egen pdvssben_dc67 = total(disssben_dc)
egen pdvdisp_dc67 = total(disdisp_dc)

rename vf_np vf_np67
rename vf_dc vf_dc67
list assets* if age==63
su if age==25
keep if age==25
keep *67 age
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" 

drop _merge
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace





clear


use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdcnpfra68_jan2015"

egen joe_np68 = total(empl_np)
egen agesc_np68 = total(1-ssclaim_np)
replace joe_np68 = joe_np + 25
replace agesc_np68 = agesc_np + 25

gen palive = 1 - pd if age==25
replace palive = palive[_n-1]*(1 - pd) if age>25

gen discon_np68 = palive*cons_np/(1.03^(age-25))
gen disearn_np68= palive*earn_np/(1.03^(age-25))
gen disssben_np68=palive*ssben_np/(1.03^(age-25))
gen disdisp_np68= palive*dispinc_np/(1.03^(age-25))

egen pdvcons_np68 = total(discon_np)
egen pdvearn_np68 = total(disearn_np)
egen pdvssben_np68 = total(disssben_np)
egen pdvdisp_np68 = total(disdisp_np)


egen joe_dc68 = total(empl_dc)
egen agepc_dc68 = total(1-penclaim_dc)
egen agesc_dc68 = total(1-ssclaim_dc)
replace joe_dc68 = joe_dc + 25
replace agepc_dc68 = agepc_dc + 25
replace agesc_dc68 = agesc_dc + 25

gen discon_dc68 = palive*cons_dc/(1.03^(age-25))
gen disearn_dc68= palive*earn_dc/(1.03^(age-25))
gen disssben_dc68=palive*ssben_dc/(1.03^(age-25))
gen disdisp_dc68= palive*dispinc_dc/(1.03^(age-25))

egen pdvcons_dc68 = total(discon_dc)
egen pdvearn_dc68 = total(disearn_dc)
egen pdvssben_dc68 = total(disssben_dc)
egen pdvdisp_dc68 = total(disdisp_dc)

rename vf_np vf_np68
rename vf_dc vf_dc68
list assets* if age==63
su if age==25
keep if age==25
keep *68 age
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" 

drop _merge
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace





clear


use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdcnpfra69_jan2015"

egen joe_np69 = total(empl_np)
egen agesc_np69 = total(1-ssclaim_np)
replace joe_np69 = joe_np + 25
replace agesc_np69 = agesc_np + 25

gen palive = 1 - pd if age==25
replace palive = palive[_n-1]*(1 - pd) if age>25

gen discon_np69 = palive*cons_np/(1.03^(age-25))
gen disearn_np69= palive*earn_np/(1.03^(age-25))
gen disssben_np69=palive*ssben_np/(1.03^(age-25))
gen disdisp_np69= palive*dispinc_np/(1.03^(age-25))

egen pdvcons_np69 = total(discon_np)
egen pdvearn_np69 = total(disearn_np)
egen pdvssben_np69 = total(disssben_np)
egen pdvdisp_np69 = total(disdisp_np)


egen joe_dc69 = total(empl_dc)
egen agepc_dc69 = total(1-penclaim_dc)
egen agesc_dc69 = total(1-ssclaim_dc)
replace joe_dc69 = joe_dc + 25
replace agepc_dc69 = agepc_dc + 25
replace agesc_dc69 = agesc_dc + 25

gen discon_dc69 = palive*cons_dc/(1.03^(age-25))
gen disearn_dc69= palive*earn_dc/(1.03^(age-25))
gen disssben_dc69=palive*ssben_dc/(1.03^(age-25))
gen disdisp_dc69= palive*dispinc_dc/(1.03^(age-25))

egen pdvcons_dc69 = total(discon_dc)
egen pdvearn_dc69 = total(disearn_dc)
egen pdvssben_dc69 = total(disssben_dc)
egen pdvdisp_dc69 = total(disdisp_dc)

rename vf_np vf_np69
rename vf_dc vf_dc69
list assets* if age==63
su if age==25
keep if age==25
keep *69 age
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" 

drop _merge
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace




gen empl66 = joe66 - joe65
gen empl67 = joe67 - joe65
gen empl68 = joe68 - joe65
gen empl69 = joe69 - joe65

gen wel66 = vf66 - vf65
gen wel67 = vf67 - vf65
gen wel68 = vf68 - vf65
gen wel69 = vf69 - vf65

gen pwel66 = wel66/vf65
gen pwel67 = wel67/vf65
gen pwel68 = wel68/vf65
gen pwel69 = wel69/vf65


gen cons66 = pdvcons66 - pdvcons65
gen cons67 = pdvcons67 - pdvcons65
gen cons68 = pdvcons68 - pdvcons65
gen cons69 = pdvcons69 - pdvcons65

gen pcons66 = cons66/pdvcons65
gen pcons67 = cons67/pdvcons65
gen pcons68 = cons68/pdvcons65
gen pcons69 = cons69/pdvcons65



gen empl_np66 = joe_np66 - joe_np65
gen empl_np67 = joe_np67 - joe_np65
gen empl_np68 = joe_np68 - joe_np65
gen empl_np69 = joe_np69 - joe_np65

gen wel_np66 = vf_np66 - vf_np65
gen wel_np67 = vf_np67 - vf_np65
gen wel_np68 = vf_np68 - vf_np65
gen wel_np69 = vf_np69 - vf_np65

gen pwel_np66 = wel_np66/vf_np65
gen pwel_np67 = wel_np67/vf_np65
gen pwel_np68 = wel_np68/vf_np65
gen pwel_np69 = wel_np69/vf_np65


gen cons_np66 = pdvcons_np66 - pdvcons_np65
gen cons_np67 = pdvcons_np67 - pdvcons_np65
gen cons_np68 = pdvcons_np68 - pdvcons_np65
gen cons_np69 = pdvcons_np69 - pdvcons_np65

gen pcons_np66 = cons_np66/pdvcons_np65
gen pcons_np67 = cons_np67/pdvcons_np65
gen pcons_np68 = cons_np68/pdvcons_np65
gen pcons_np69 = cons_np69/pdvcons_np65




gen empl_dc66 = joe_dc66 - joe_dc65
gen empl_dc67 = joe_dc67 - joe_dc65
gen empl_dc68 = joe_dc68 - joe_dc65
gen empl_dc69 = joe_dc69 - joe_dc65

gen wel_dc66 = vf_dc66 - vf_dc65
gen wel_dc67 = vf_dc67 - vf_dc65
gen wel_dc68 = vf_dc68 - vf_dc65
gen wel_dc69 = vf_dc69 - vf_dc65

gen pwel_dc66 = wel_dc66/vf_dc65
gen pwel_dc67 = wel_dc67/vf_dc65
gen pwel_dc68 = wel_dc68/vf_dc65
gen pwel_dc69 = wel_dc69/vf_dc65


gen cons_dc66 = pdvcons_dc66 - pdvcons_dc65
gen cons_dc67 = pdvcons_dc67 - pdvcons_dc65
gen cons_dc68 = pdvcons_dc68 - pdvcons_dc65
gen cons_dc69 = pdvcons_dc69 - pdvcons_dc65

gen pcons_dc66 = cons_dc66/pdvcons_dc65
gen pcons_dc67 = cons_dc67/pdvcons_dc65
gen pcons_dc68 = cons_dc68/pdvcons_dc65
gen pcons_dc69 = cons_dc69/pdvcons_dc65

su

log close
