clear
clear matrix
set memory 200m

* uses fitdat_2014. specifically, uses db?

* changed back to fitdat, using unadjusted DB assets

infile iu t ir age simdat1-simdat23 epdvss epdvssa epdvle epdvssr epdvdb epdvdba epdvdbr kappa using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdat110pp.raw"

mvdecode simdat1-simdat23, mv(-9999)

rename simdat1 dispinc
rename simdat2 cons
rename simdat3 vf
rename simdat4 earn
rename simdat5 nj_notempl
rename simdat6 empl
rename simdat7 assets
rename simdat8 ssclaim
rename simdat9 exit
rename simdat11 totinc
rename simdat12 nj_empl
rename simdat13 husearnoff
rename simdat14 laidoff
rename simdat15 penclaim
rename simdat18 medexp
rename simdat19 ssben
rename simdat20 lfj
gen earnwife=0
replace earnwife = simdat22 if simdat23>0

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110u14_iv", replace

su

gen earnw = earn if earn>0 & earn~=.

collapse epdvdbr ass* cons* ss* vf* dis* empl* earn* nj* exit laid* med* husearnoff totinc  penclaim (median) assets_med_sim = assets , by (age)

rename empl empl_sim
rename exit exit_sim
rename nj_notempl entry_sim
rename nj_empl switch_sim
rename assets assets_sim
rename ssclaim ssclaim_sim

su
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sims_u14_iv", replace

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\fitdat"

drop _merge

gen work_data = work_db_sipp
replace work_data = work_db_hrs if age>=51

gen exit_data = exit_db_sipp
replace exit_data = exit_db_hrs if age>=51

gen entry_data = entry_db_sipp
replace entry_data = entry_db_hrs if age>=51

gen switch_data = switch_db_sipp
replace switch_data = switch_db_hrs if age>=51

gen assets_data = assets_db_hata

rename ssclaim_db ssclaim_data

gr tw (conn exit_data exit_sim age) if age<=80 ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\exit_u50.gph", replace)
gr tw (conn entry_data entry_sim age)  if age>=55 & age<=80 ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\entry_u50.gph", replace)
gr tw (conn switch_data switch_sim age) if age>=26 & age<=80  ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\switch_u50.gph", replace)
gr tw (conn ssclaim_data ssclaim_sim age) if age>=60 & age<=70  ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ssclaim_u50.gph", replace)
gr tw (conn cons age)  ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\cons_u50.gph", replace)
gr tw (conn dispinc age)  ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\dispinc_u50.gph", replace)
gr tw (conn assets_db assets_sim age) ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\assets_unadjusted_u50.gph", replace)
gr tw (conn work_data empl_sim age) if age<80 ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\empl_u50.gph", replace)
gr tw (conn kta1 isdba1 penclaim age) if age>=50 & age<=70  ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\ssclaim_u50.gph", replace)
gr tw (conn epdvdbr age)
*gr tw (conn exit_data age) if age<=80 
*gr tw (conn entry_data age)  if age>=55 & age<=80 
*gr tw (conn switch_data age) if age>=26 & age<=80  
*gr tw (conn ssclaim_data age) if age>=60 & age<=70  
*gr tw (conn assets_db_hata age)
*gr tw (conn work_data age) if age<80 
