options pagesize=80 linesize=140 nocenter;
libname in "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data";

*       1992    M13     140.3;

proc format cntlin=in.fsp96t3;

data one; set in.tm1996w3;
*       1996    11      158.6
        1996    12      158.6
        1997    01      159.1
        1997    02      159.6;

array dork husmed wifemed kidmed othmed totfammed networth;
if srotaton=1 then cpi = 158.6;
if srotaton=2 then cpi = 158.6;
if srotaton=3 then cpi = 159.1;
if srotaton=4 then cpi = 159.6;
cpi = cpi/140.3;

do over dork; dork=dork/cpi; end;

keep birthyear ssuid hhsize3 huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 numkids053 numkids6113 numkids12173 numkids18243 numothrelkid3
numothreladult3 numothnonrelkid3 numothnonreladult3 hushispanic3 wifehispanic3 married3 numkids18243 husmed3 wifemed3 kidmed3 othmed3 totfammed3 networth3 WPFINWGT3;

array old hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT;

array new hhsize3 huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 numkids053 numkids6113 numkids12173 numkids18243 numothrelkid3
numothreladult3 numothnonrelkid3 numothnonreladult3 hushispanic3 wifehispanic3 married3 numkids18243 husmed3 wifemed3 kidmed3 othmed3 totfammed3 networth3 WPFINWGT3;

do over new; new=old; end;

birthyear = 1997 - husage;

run;

proc sort; by ssuid;

proc format cntlin=in.fsp96t6;

data two; set in.tm1996w6;
*       1997    11      161.5
        1997    12      161.3
        1998    01      161.6
        1998    02      161.9;

array dork husmed wifemed kidmed othmed totfammed networth;
if srotaton=1 then cpi = 161.5;
if srotaton=2 then cpi = 161.3;
if srotaton=3 then cpi = 161.6;
if srotaton=4 then cpi = 161.9;
cpi = cpi/140.3;

do over dork; dork=dork/cpi; end;

keep birthyear ssuid hhsize6 huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 numadults6 numkids6 numkids056 numkids6116 numkids12176 numkids18246 numothrelkid6
numothreladult6 numothnonrelkid6 numothnonreladult6 hushispanic6 wifehispanic6 married6 numkids18246 husmed6 wifemed6 kidmed6 othmed6 totfammed6 networth6 WPFINWGT6;

array old hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT;

array new hhsize6 huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 numadults6 numkids6 numkids056 numkids6116 numkids12176 numkids18246 numothrelkid6
numothreladult6 numothnonrelkid6 numothnonreladult6 hushispanic6 wifehispanic6 married6 numkids18246 husmed6 wifemed6 kidmed6 othmed6 totfammed6 networth6 WPFINWGT6;

do over new; new=old; end;

birthyear = 1998 - husage;

proc sort; by ssuid;

proc format cntlin=in.fsp96t9;

data nine; set in.tm1996w9;
*       1998    11      164.0
        1998    12      163.9
        1999    01      164.3
        1999    02      164.5;

array dork husmed wifemed kidmed othmed totfammed networth;
if srotaton=1 then cpi = 164.0;
if srotaton=2 then cpi = 163.9;
if srotaton=3 then cpi = 164.3;
if srotaton=4 then cpi = 164.5;
cpi = cpi/140.3;

do over dork; dork=dork/cpi; end;

keep birthyear ssuid hhsize9 huseduc9 wifeeduc9 husrace9 wiferace9 husage9 wifeage9 numadults9 numkids9 numkids059 numkids6119 numkids12179 numkids18249 numothrelkid9
numothreladult9 numothnonrelkid9 numothnonreladult9 hushispanic9 wifehispanic9 married9 numkids18249 husmed9 wifemed9 kidmed9 othmed9 totfammed9 networth9 WPFINWGT9;

array old hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT;

array new hhsize9 huseduc9 wifeeduc9 husrace9 wiferace9 husage9 wifeage9 numadults9 numkids9 numkids059 numkids6119 numkids12179 numkids18249 numothrelkid9
numothreladult9 numothnonrelkid9 numothnonreladult9 hushispanic9 wifehispanic9 married9 numkids18249 husmed9 wifemed9 kidmed9 othmed9 totfammed9 networth9 WPFINWGT9;

do over new; new=old; end;

birthyear = 1999 - husage;

proc sort; by ssuid;

proc format cntlin=in.fsp96t12;

data twelve; set in.tm1996w12;
*       1999    11      168.3
        1999    12      168.3
        2000    01      168.8
        2000    02      169.8;

array dork husmed wifemed kidmed othmed totfammed networth;
if srotaton=1 then cpi = 168.3;
if srotaton=2 then cpi = 168.3;
if srotaton=3 then cpi = 168.8;
if srotaton=4 then cpi = 169.8;
cpi = cpi/140.3;

do over dork; dork=dork/cpi; end;

keep birthyear ssuid hhsize12 huseduc12 wifeeduc12 husrace12 wiferace12 husage12 wifeage12 numadults12 numkids12 numkids0512 numkids61112 numkids121712 numkids182412 numothrelkid12
numothreladult12 numothnonrelkid12 numothnonreladult12 hushispanic12 wifehispanic12 married12 numkids182412 husmed12 wifemed12 kidmed12 othmed12 totfammed12 networth12 WPFINWGT12;

array old hhsize huseduc wifeeduc husrace wiferace husage wifeage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic wifehispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT;

array new hhsize12 huseduc12 wifeeduc12 husrace12 wiferace12 husage12 wifeage12 numadults12 numkids12 numkids0512 numkids61112 numkids121712 numkids182412 numothrelkid12
numothreladult12 numothnonrelkid12 numothnonreladult12 hushispanic12 wifehispanic12 married12 numkids182412 husmed12 wifemed12 kidmed12 othmed12 totfammed12 networth12 WPFINWGT12;

do over new; new=old; end;

birthyear = 2000 - husage;

proc sort; by ssuid;

proc format cntlin=in.fsp96t7;

data seven; set in.tm1996w7;

keep ssuid huseduc7 wifeeduc7 husrace7 wiferace7 husage7 wifeage7 hushispanic7 wifehispanic7 married7 WPFINWGT7 covered typepen durinplan typepen2 durinplan2;

array old huseduc wifeeduc husrace wiferace husage wifeage hushispanic wifehispanic married WPFINWGT;

array new huseduc7 wifeeduc7 husrace7 wiferace7 husage7 wifeage7 hushispanic7 wifehispanic7 married7 WPFINWGT7;

do over new; new=old; end;

proc means data=seven;
run;

proc sort; by ssuid;

data three; merge one two seven nine twelve; by ssuid;

array twelve hhsize12 huseduc12 wifeeduc12 husrace12 wiferace12 husage12 wifeage12 numadults12 numkids12 numkids0512 numkids61112 numkids121712 numkids182412 numothrelkid12
numothreladult12 numothnonrelkid12 numothnonreladult12 hushispanic12 wifehispanic12 married12 numkids182412 husmed12 wifemed12 kidmed12 othmed12 totfammed12 networth12 WPFINWGT12;

array nine hhsize9 huseduc9 wifeeduc9 husrace9 wiferace9 husage9 wifeage9 numadults9 numkids9 numkids059 numkids6119 numkids12179 numkids18249 numothrelkid9
numothreladult9 numothnonrelkid9 numothnonreladult9 hushispanic9 wifehispanic9 married9 numkids18249 husmed9 wifemed9 kidmed9 othmed9 totfammed9 networth9 WPFINWGT9;

array six hhsize6 huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 numadults6 numkids6 numkids056 numkids6116 numkids12176 numkids18246 numothrelkid6
numothreladult6 numothnonrelkid6 numothnonreladult6 hushispanic6 wifehispanic6 married6 numkids18246 husmed6 wifemed6 kidmed6 othmed6 totfammed6 networth6 WPFINWGT6;

array three hhsize3 huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 numadults3 numkids3 numkids053 numkids6113 numkids12173 numkids18243 numothrelkid3
numothreladult3 numothnonrelkid3 numothnonreladult3 hushispanic3 wifehispanic3 married3 numkids18243 husmed3 wifemed3 kidmed3 othmed3 totfammed3 networth3 WPFINWGT3;

array diff_a hhsize_a huseduc_a wifeeduc_a husrace_a wiferace_a husage_a wifeage_a numadults_a numkids_a numkids05_a numkids611_a numkids1217_a numkids1824_a numothrelkid_a
numothreladult_a numothnonrelkid_a numothnonreladult_a hushispanic_a wifehispanic_a married_a numkids1824_a husmed_a wifemed_a kidmed_a othmed_a totfammed_a networth_a WPFINWGT_a ;

array diff_b hhsize_b huseduc_b wifeeduc_b husrace_b wiferace_b husage_b wifeage_b numadults_b numkids_b numkids05_b numkids611_b numkids1217_b numkids1824_b numothrelkid_b
numothreladult_b numothnonrelkid_b numothnonreladult_b hushispanic_b wifehispanic_b married_b numkids1824_b husmed_b wifemed_b kidmed_b othmed_b totfammed_b networth_b WPFINWGT_b ;

array diff_c hhsize_c huseduc_c wifeeduc_c husrace_c wiferace_c husage_c wifeage_c numadults_c numkids_c numkids05_c numkids611_c numkids1217_c numkids1824_c numothrelkid_c
numothreladult_c numothnonrelkid_c numothnonreladult_c hushispanic_c wifehispanic_c married_c numkids1824_c husmed_c wifemed_c kidmed_c othmed_c totfammed_c networth_c WPFINWGT_c ;

do over diff_a; diff_a = six - three; end;
do over diff_b; diff_b = nine - six; end;
do over diff_c; diff_c = twelve - nine; end;

array sixnew huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 hushispanic6 wifehispanic6 married6 WPFINWGT6;
array ninenew huseduc9 wifeeduc9 husrace9 wiferace9 husage9 wifeage9 hushispanic9 wifehispanic9 married9 WPFINWGT9;
array twelvenew huseduc12 wifeeduc12 husrace12 wiferace12 husage12 wifeage12 hushispanic12 wifehispanic12 married12 WPFINWGT12;
array seven  huseduc7 wifeeduc7 husrace7 wiferace7 husage7 wifeage7 hushispanic7 wifehispanic7 married7 WPFINWGT7;
array diffnew huseducn wifeeducn husracen wiferacen husagen wifeagen hushispanicn wifehispanicn marriedn WPFINWGTn;
array diffnewa huseducm wifeeducm husracem wiferacem husagem wifeagem hushispanicm wifehispanicm marriedm WPFINWGTm ;
array diffnewo huseduco wifeeduco husraceo wiferaceo husageo wifeageo hushispanico wifehispanico marriedo WPFINWGTo ;

do over diffnew; diffnew = seven - sixnew; end;
do over diffnewa; diffnewa = ninenew - seven; end;

data chewey; set three; if _n_<100;
proc print; var ssuid
huseduc3 wifeeduc3 husrace3 wiferace3 husage3 wifeage3 hushispanic3 wifehispanic3 married3
huseduc6 wifeeduc6 husrace6 wiferace6 husage6 wifeage6 hushispanic6 wifehispanic6 married6
huseduc7 wifeeduc7 husrace7 wiferace7 husage7 wifeage7 hushispanic7 wifehispanic7 married7
huseduc9 wifeeduc9 husrace9 wiferace9 husage9 wifeage9 hushispanic9 wifehispanic9 married9
huseduc12 wifeeduc12 husrace12 wiferace12 husage12 wifeage12 hushispanic12 wifehispanic12 married12 ;
run;

proc means;

data four; set three;
if (huseduc_a=0 and wifeeduc_a=0 and husrace_a=0 and wiferace_a=0 and (husage_a>=0 or husage_a=1) and (wifeage_a=0 or wifeage_a=1) and hushispanic_a=0 and wifehispanic_a=0
and married_a=0 and huseducn=0 and wifeeducn=0 and husracen=0 and wiferacen=0 and (husagen>=-1 and husagen<=1) and (wifeagen>=-1 and wifeagen<=1) and hushispanicn=0 and wifehispanicn=0
and married3=1 and marriedn=0) then buga=1;

if (huseduc_b=0 and wifeeduc_b=0 and husrace_b=0 and wiferace_b=0 and (husage_b=0 or husage_b=1) and (wifeage_b=0 or wifeage_b=1) and hushispanic_b=0 and wifehispanic_b=0
and married_b=0 and huseducm=0 and wifeeducm=0 and husracem=0 and wiferacem=0 and (husagem>=-1 and husagem<=2) and (wifeagem>=-1 and wifeagem<=2) and hushispanicm=0 and wifehispanicm=0
and married6=1 and marriedm=0) then bugb=1;

if (huseduc_c=0 and wifeeduc_c=0 and husrace_c=0 and wiferace_c=0 and (husage_c=0 or husage_c=1) and (wifeage_c=0 or wifeage_c=1) and hushispanic_c=0 and wifehispanic_c=0
and married_c=0 and huseducm=0 and wifeeducm=0 and husracem=0 and wiferacem=0 and (husagem>=-1 and husagem<=2) and (wifeagem>=-1 and wifeagem<=2) and hushispanicm=0 and wifehispanicm=0
and married9=1 and marriedm=0) then bugc=1;

if buga or bugb or bugc;

proc means;

proc univariate; var networth_a networth_b networth_c;
run;

data five; set four;     panel = 1996;
if buga=1 then do;
   wave=3; assets = networth3; age=husage3; husmed=husmed3; wifemed=wifemed3; totfammed=totfammed3; huseduc=huseduc3; husrace=husrace3; hushisp=hushispanic3; output;
   wave=6; assets = networth6; age=husage6; husmed=husmed6; wifemed=wifemed6; totfammed=totfammed6; huseduc=huseduc6; husrace=husrace6; hushisp=hushispanic6; output;
end;
if bugb=1 then do;
   if buga ne 1 then do;wave=6;assets=networth6; age=husage6; husmed=husmed6; wifemed=wifemed6; totfammed=totfammed6; huseduc=huseduc6; husrace=husrace6; hushisp=hushispanic6; output; end;
                        wave=9; assets=networth9; age=husage9; husmed=husmed9; wifemed=wifemed9; totfammed=totfammed9; huseduc=huseduc9; husrace=husrace9; hushisp=hushispanic9; output;
end;
if bugc=1 then do;
   if bugb ne 1 then do;wave=9;assets=networth9; age=husage9; husmed=husmed9; wifemed=wifemed9; totfammed=totfammed9; huseduc=huseduc9; husrace=husrace9; hushisp=hushispanic9; output; end;
       wave=12;  assets = networth12; age=husage12; husmed=husmed9+1; wifemed=wifemed12; totfammed=totfammed12; huseduc=huseduc12; husrace=husrace12; hushisp=hushispanic12; output;
end;
keep panel wave assets age covered typepen husmed wifemed totfammed ssuid huseduc husrace hushisp birthyear ssuid;

data in.assmed_96_feb2015; set five;
proc means;
run;

