options pagesize=80 linesize=140 nocenter;
libname in "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data";

FILENAME datafile "C:\Users\EconUser\Documents\Saving_and_Retirement\sipp\data\p04putm6.dat ";

DATA s04tm6 ;

INFILE datafile LRECL = 20000 ;

INPUT

@1    ssuseq       5.
@6    ssuid      12.
@18   spanel       4.
@22   swave        2.
@24   srotaton     1.
@25   tfipsst      2.
@27   shhadid      3.
@30   eoutcome     3.
@33   rfid         3.
@36   rfid2        3.
@39   eppidx       3.
@42   eentaid     3.
@45   epppnum     4.
@49   epopstat     1.
@50   eppintvw     2.
@52   eppmis4      1.
@53   esex         1.
@54   erace        1.
@55   eorigin      2.
@57   wpfinwgt    10.
@67   errp         2.
@69   tage         2.
@71   ems          1.
@72   epnspous     4.
@76   epnmom       4.
@80   epndad       4.
@84   epnguard     4.
@88   rdesgpnt     2.
@90   eeducate     2.
@92   lgtkey      8.
@100  sinthhid     3.
@103  emdunv       2.
@105  tdonorid     1.
@106  ehouspay     2.
@108  ahouspay     1.
@109  efoodpay     2.
@111  afoodpay     1.
@112  eexppay      2.
@114  aexppay      1.
@115  ehhpay       2.
@117  ahhpay       1.
@118  ewhopy01     4.
@122  ewhopy02     4.
@126  ewhopy03     4.
@130  ewhopy04     4.
@134  ewhopy05     4.
@138  ewhopy06     4.
@142  ewhopy07     4.
@146  ewhopy08     4.
@150  ewhopy09     4.
@154  ewhopy10     4.
@158  ewhopy11     4.
@162  ewhopy12     4.
@166  ewhopy13     4.
@170  ewhopy14     4.
@174  ewhopy15     4.
@178  ewhopy16     4.
@182  ewhopy17     4.
@186  ewhopy18     4.
@190  ewhopy19     4.
@194  ewhopy20     4.
@198  ewhopy21     4.
@202  ewhopy22     4.
@206  ewhopy23     4.
@210  ewhopy24     4.
@214  ewhopy25     4.
@218  ewhopy26     4.
@222  ewhopy27     4.
@226  ewhopy28     4.
@230  ewhopy29     4.
@234  ewhopy30     4.
@238  awhopy       1.
@239  ehltstat     2.
@241  ahltstat     1.
@242  ehospsta     2.
@244  ahospsta     1.
@245  ehospnit     3.
@248  ahospnit     1.
@249  ehreas1      2.
@251  ahreas1      1.
@252  ehreas2      2.
@254  ahreas2      1.
@255  ehreas3      2.
@257  ahreas3      1.
@258  ehreas4      2.
@260  ahreas4      1.
@261  ehreas5      2.
@263  ahreas5      1.
@264  ehreas6      2.
@266  ahreas6      1.
@267  edocnum      3.
@270  adocnum      1.
@271  thipay       4.
@275  ahipay       1.
@276  epresdrg     2.
@278  apresdrg     1.
@279  edalydrg     2.
@281  adalydrg     1.
@282  evisdent     3.
@285  avisdent     1.
@286  edenseal     2.
@288  adenseal     1.
@289  elostth      2.
@291  alostth      1.
@292  eallth       2.
@294  aallth       1.
@295  evisdoc      3.
@298  avisdoc      1.
@299  emdspnd      2.
@301  amdspnd      1.
@302  emdspnds     2.
@304  amdspnds     1.
@305  edaysick     3.
@308  adaysick     1.
@309  tmdpay       6.
@315  amdpay       1.
@316  ereimb       2.
@318  areimb       1.
@319  treimbur     5.
@324  areimbur     1.
@325  ehspstas     2.
@327  ahspstas     1.
@328  eprsdrgs     2.
@330  aprsdrgs     1.
@331  evsdents     2.
@333  avsdents     1.
@334  evsdocs      2.
@336  avsdocs      1.
@337  enowkyr      2.
@339  anowkyr      1.
@340  ewkfutr      2.
@342  awkfutr      1.
@343  trmoops      6.
@349  enoindnt     2.
@351  anoindnt     1.
@352  enoindoc     2.
@354  anoindoc     1.
@355  enointrt     2.
@357  anointrt     1.
@358  enoinchk     2.
@360  anoinchk     1.
@361  enoindrg     2.
@363  anoindrg     1.
@364  enoinpay     2.
@366  anoinpay     1.
@367  enoindis     2.
@369  anoindis     1.
@370  enoininc     2.
@372  anoininc     1.
@373  enoincln     2.
@375  enoiner      2.
@377  enoinhsp     2.
@379  enoinva      2.
@381  enoindr      2.
@383  enoindds     2.
@385  enoinoth     2.
@387  anoinloc     1.
@388  eapvunv      2.
@390  epvwk1       2.
@392  epvwk2       2.
@394  epvwk3       2.
@396  epvwk4       2.
@398  epvwk5       2.
@400  apvwk        1.
@401  epvmilwk     4.
@405  apvmilwk     1.
@406  epvpaprk     2.
@408  apvpaprk     1.
@409  epvpaywk     4.
@413  apvpaywk     1.
@414  epvcomut     5.
@419  apvcomut     1.
@420  epvwkexp     2.
@422  apvwkexp     1.
@423  epvanexp     5.
@428  apvanexp     1.
@429  epvchild     2.
@431  apvchild     1.
@432  epvmancd     2.
@434  apvmancd     1.
@435  epvmosup     2.
@437  apvmosup     1.
@438  tpvchpa1     4.
@442  tpvchpa2     4.
@446  tpvchpa3     4.
@450  tpvchpa4     4.
@454  apvchpa      1.
@455  epvccarr     2.
@457  apvccarr     1.
@458  tpvccfp1     4.
@462  apvccfp1     1.
@463  tpvccfp2     4.
@467  apvccfp2     1.
@468  tpvccfp3     4.
@472  apvccfp3     1.
@473  tpvccfp4     4.
@477  apvccfp4     1.
@478  epvccoth     2.
@480  apvccoth     1.
@481  epvcwho1     2.
@483  epvcwho2     2.
@485  epvcwho3     2.
@487  epvcwho4     2.
@489  epvcwho5     2.
@491  apvcwho      1.
@492  epvdays      3.
@495  epvweeks     2.
@497  epvmnths     2.
@499  apvdwm       1.
@500  ealunv       2.
@502  ealow        2.
@504  aalow        1.
@505  ealowa       8.
@513  aalowa       1.
@514  ealsb        2.
@516  aalsb        1.
@517  talsbv       5.
@522  aalsbv       1.
@523  ealjch       2.
@525  aaljch       1.
@526  taljcha      4.
@530  aaljcha      1.
@531  ealjdb       2.
@533  aaljdb       1.
@534  ealjdl       2.
@536  aaljdl       1.
@537  ealjdo       2.
@539  aaljdo       1.
@540  ealjdab      8.
@548  aaljdab      1.
@549  ealjdal      8.
@557  aaljdal      1.
@558  ealjdao      8.
@566  aaljdao      1.
@567  ealich       2.
@569  aalich       1.
@570  talicha      4.
@574  aalicha      1.
@575  ealil        2.
@577  aalil        1.
@578  ealidb       2.
@580  aalidb       1.
@581  ealidl       2.
@583  aalidl       1.
@584  ealido       2.
@586  aalido       1.
@587  ealidab      8.
@595  aalidab      1.
@596  ealidal      8.
@604  aalidal      1.
@605  ealidao      8.
@613  aalidao      1.
@614  ealr         2.
@616  aalr         1.
@617  ealry        2.
@619  aalry        1.
@620  talrb        6.
@626  aalrb        1.
@627  ealra1       2.
@629  aalra1       1.
@630  ealra2       2.
@632  aalra2       1.
@633  ealra3       2.
@635  aalra3       1.
@636  ealra4       2.
@638  aalra4       1.
@639  ealk         2.
@641  aalk         1.
@642  ealky        2.
@644  aalky        1.
@645  talkb        6.
@651  aalkb        1.
@652  ealka1       2.
@654  aalka1       1.
@655  ealka2       2.
@657  aalka2       1.
@658  ealka3       2.
@660  aalka3       1.
@661  ealka4       2.
@663  aalka4       1.
@664  ealt         2.
@666  aalt         1.
@667  ealty        2.
@669  aalty        1.
@670  taltb        6.
@676  aaltb        1.
@677  ealta1       2.
@679  aalta1       1.
@680  ealta2       2.
@682  aalta2       1.
@683  ealta3       2.
@685  aalta3       1.
@686  ealta4       2.
@688  aalta4       1.
@689  ealli        2.
@691  aalli        1.
@692  talliv       7.
@699  aalliv       1.
@700  eallit       2.
@702  aallit       1.
@703  eallie       2.
@705  aallie       1.
@706  talliev      6.
@712  aalliev      1.
@713  ehreunv      2.
@715  eremobho     2.
@717  aremobho     1.
@718  ehowner1     4.
@722  ahowner1     1.
@723  ehowner2     4.
@727  ahowner2     1.
@728  ehowner3     4.
@732  ehbuymo      2.
@734  ahbuymo      1.
@735  ehbuyyr      4.
@739  ahbuyyr      1.
@740  ehmort       2.
@742  ahmort       1.
@743  enummort     2.
@745  anummort     1.
@746  tmor1pr      6.
@752  amor1pr      1.
@753  emor1yr      4.
@757  amor1yr      1.
@758  emor1mo      2.
@760  amor1mo      1.
@761  tmor1amt     6.
@767  amor1amt     1.
@768  emor1yrs     3.
@771  amor1yrs     1.
@772  emor1int    5.3
@777  amor1int     1.
@778  emor1var     2.
@780  amor1var     1.
@781  emor1pgm     2.
@783  amor1pgm     1.
@784  tmor2pr      1.
@785  amor2pr      1.
@786  emor2yr      4.
@790  amor2yr      1.
@791  emor2mo      2.
@793  amor2mo      1.
@794  tmor2amt     1.
@795  amor2amt     1.
@796  emor2yrs     3.
@799  amor2yrs     1.
@800  emor2int    5.3
@805  amor2int     1.
@806  emor2var     2.
@808  amor2var     1.
@809  emor2pgm     2.
@811  amor2pgm     1.
@812  tmor3pr      1.
@813  amor3pr      1.
@814  tpropval     6.
@820  apropval     1.
@821  emhloan      2.
@823  amhloan      1.
@824  emhtype      2.
@826  amhtype      1.
@827  tmhpr        6.
@833  amhpr        1.
@834  tmhval       6.
@840  amhval       1.
@841  thomeamt     4.
@845  ahomeamt     1.
@846  tutils       3.
@849  autils       1.
@850  eperspay     2.
@852  aperspay     1.
@853  eperspya     4.
@857  aperspya     1.
@858  eperspy1     4.
@862  aperspy1     1.
@863  eperspy2     4.
@867  eperspy3     4.
@871  tpersam1     4.
@875  apersam1     1.
@876  tpersam2     4.
@880  apersam2     1.
@881  tpersam3     3.
@884  apersam3     1.
@885  epaycare     2.
@887  apaycare     1.
@888  tcarecst     4.
@892  acarecst     1.
@893  eothre       2.
@895  aothre       1.
@896  eothreo1     4.
@900  aothreo1     1.
@901  eothreo2     4.
@905  eothreo3     4.
@909  tothreva     6.
@915  aothreva     1.
@916  eautoown     2.
@918  aautoown     1.
@919  eautonum     2.
@921  aautonum     1.
@922  ea1own1      4.
@926  aa1own1      1.
@927  ea1own2      4.
@931  tcarval1     5.
@936  acarval1     1.
@937  ta1year      4.
@941  ea1owed      2.
@943  aa1owed      1.
@944  ta1amt       5.
@949  aa1amt       1.
@950  ea1use       2.
@952  aa1use       1.
@953  ea2own1      4.
@957  aa2own1      1.
@958  ea2own2      4.
@962  tcarval2     5.
@967  acarval2     1.
@968  ta2year      4.
@972  ea2owed      2.
@974  aa2owed      1.
@975  ta2amt       5.
@980  aa2amt       1.
@981  ea2use       2.
@983  aa2use       1.
@984  ea3own1      4.
@988  aa3own1      1.
@989  ea3own2      4.
@993  tcarval3     5.
@998  acarval3     1.
@999  ta3year      4.
@1003 ea3owed      2.
@1005 aa3owed      1.
@1006 ta3amt       5.
@1011 aa3amt       1.
@1012 ea3use       2.
@1014 aa3use       1.
@1015 eothveh      2.
@1017 aothveh      1.
@1018 eovmtrcy     2.
@1020 aovmtrcy     1.
@1021 eovboat      2.
@1023 aovboat      1.
@1024 eovrv        2.
@1026 aovrv        1.
@1027 eovothrv     2.
@1029 aovothrv     1.
@1030 eov1own1     4.
@1034 aov1own1     1.
@1035 eov1own2     4.
@1039 tov1val      5.
@1044 aov1val      1.
@1045 eov1owe      2.
@1047 aov1owe      1.
@1048 tov1amt      5.
@1053 aov1amt      1.
@1054 eov2own1     4.
@1058 aov2own1     1.
@1059 eov2own2     4.
@1063 tov2val      5.
@1068 aov2val      1.
@1069 eov2owe      2.
@1071 aov2owe      1.
@1072 tov2amt      5.
@1077 aov2amt      1.
@1078 thhtnw      10.
@1088 thhtwlth    10.
@1098 thhtheq     10.
@1108 thhmortg    10.
@1118 thhvehcl    10.
@1128 thhbeq      10.
@1138 thhintbk    10.
@1148 thhintot    10.
@1158 rhhstk      10.
@1168 thhore      10.
@1178 thhotast    10.
@1188 thhira      10.
@1198 thhthrif    10.
@1208 thhdebt     10.
@1218 thhscdbt    10.
@1228 rhhuscbt    10.
@1238 evbunv1      2.
@1240 evbno1       2.
@1242 evbow1       3.
@1245 avbow1       1.
@1246 tvbva1       7.
@1253 avbva1       1.
@1254 tvbde1       6.
@1260 avbde1       1.
@1261 evbunv2      2.
@1263 evbno2       2.
@1265 evbow2       3.
@1268 avbow2       1.
@1269 tvbva2       7.
@1276 avbva2       1.
@1277 tvbde2       6.
@1283 avbde2       1.
@1284 eaoaunv      2.
@1286 eoaeq        8.
@1294 aoaeq        1.
@1295 tiajta       6.
@1301 aiajta       1.
@1302 tiaita       6.
@1308 aiaita       1.
@1309 timja        6.
@1315 aimja        1.
@1316 timia        7.
@1323 aimia        1.
@1324 esmjm        2.
@1326 asmjm        1.
@1327 esmjs        2.
@1329 asmjs        1.
@1330 esmjv        9.
@1339 asmjv        1.
@1340 esmjma       2.
@1342 asmjma       1.
@1343 esmjmav      8.
@1351 asmjmav      1.
@1352 esmi         2.
@1354 asmi         1.
@1355 esmiv        9.
@1364 asmiv        1.
@1365 esmima       2.
@1367 asmima       1.
@1368 esmimav      8.
@1376 asmimav      1.
@1377 erjown       2.
@1379 arjown       1.
@1380 erjnum       2.
@1382 arjnum       1.
@1383 erjtyp1      2.
@1385 arjtyp1      1.
@1386 erjtyp2      2.
@1388 arjtyp2      1.
@1389 erjtyp3      2.
@1391 arjtyp3      1.
@1392 erjtyp4      2.
@1394 arjtyp4      1.
@1395 erjtyp5      2.
@1397 arjtyp5      1.
@1398 erjtyp6      2.
@1400 arjtyp6      1.
@1401 erjat        2.
@1403 arjat        1.
@1404 erjata       2.
@1406 arjata       1.
@1407 trjmv        6.
@1413 arjmv        1.
@1414 erjdeb       2.
@1416 arjdeb       1.
@1417 trjpri       6.
@1423 arjpri       1.
@1424 eriown       2.
@1426 ariown       1.
@1427 erinum       2.
@1429 arinum       1.
@1430 eritype1     2.
@1432 aritype1     1.
@1433 eritype2     2.
@1435 aritype2     1.
@1436 eritype3     2.
@1438 aritype3     1.
@1439 eritype4     2.
@1441 aritype4     1.
@1442 eritype5     2.
@1444 aritype5     1.
@1445 eritype6     2.
@1447 aritype6     1.
@1448 eriat        2.
@1450 ariat        1.
@1451 eriata       2.
@1453 ariata       1.
@1454 trimv        7.
@1461 arimv        1.
@1462 erideb       2.
@1464 arideb       1.
@1465 tripri       6.
@1471 aripri       1.
@1472 ertown       2.
@1474 artown       1.
@1475 ertnum       2.
@1477 artnum       1.
@1478 erttype1     2.
@1480 arttype1     1.
@1481 erttype2     2.
@1483 arttype2     1.
@1484 erttype3     2.
@1486 arttype3     1.
@1487 erttype4     2.
@1489 arttype4     1.
@1490 erttype5     2.
@1492 arttype5     1.
@1493 erttype6     2.
@1495 arttype6     1.
@1496 trtmv        7.
@1503 artmv        1.
@1504 ertdeb       2.
@1506 artdeb       1.
@1507 trtpri       7.
@1514 artpri       1.
@1515 trtsha       7.
@1522 artsha       1.
@1523 tmjp         6.
@1529 amjp         1.
@1530 tmip         6.
@1536 amip         1.
;




data check; set s04tm6;
if ealunv=-1 then thhtnw=.;
if eeducate=-1 then eeducate=.;
if ereimb=-1 then ereimb=.;

keep thhtnw ealunv emdunv tmdpay treimbur ereimb areimb areimbur thipay ehltstat
spanel swave srotaton ssuid  swave shhadid eoutcome eentaid epppnum epopstat eppintvw eppmis4 esex erace eorigin wpfinwgt errp tage ems eeducate;
run;

proc means; weight wpfinwgt;
proc freq; tables ealunv emdunv eoutcome epopstat eppintvw esex erace eorigin errp tage ems eeducate; weight wpfinwgt ehltstat;
proc univariate; var thhtnw tmdpay; weight wpfinwgt;
run;

data new; set check; if _n_<500;
if ealunv=-1 then thhtnw=.;
if eeducate=-1 then eeducate=.;
if ereimb=-1 then ereimb=.;

proc sort data = check; by ssuid eentaid epppnum;

*proc print; *var ssuid eentaid epppnum eoutcome epopstat eppintvw eppmis4 esex erace eorigin errp tage ems eeducate thhtnw tmdpay treimbur ereimb  ;
run;

data in.tm2004w6_feb2015; set check; by ssuid eentaid epppnum;
if first.ssuid then do;
   hhsize=0; huseduc=.; husrace=.; husage=.; numadults=0; numkids=0; numkids05=0; numkids611=0; numkids1217=0;
   numkids1824=0; numothrelkid=0; numothreladult=0; numothnonrelkid=0; numothnonreladult=0; hushispanic=.; married=0; numkids1824=0;
   husmed=.; wifemed=.; kidmed=0; othmed=0; totfammed=0; networth=.; premium=.; hushlth=.; wifehlth=.;
end;

keep ssuid spanel swave srotaton hhsize huseduc husrace husage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth WPFINWGT premium hushlth wifehlth;

retain hhsize huseduc husrace husage numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic married numkids1824 husmed wifemed kidmed othmed totfammed networth premium hushlth wifehlth;

hhsize = hhsize + 1;
if errp=1 or errp=2 or errp=3 then do;
if errp=1 or errp=2 then networth = thhtnw;
   if ems=1 then married=1;
   numadults = numadults + 1;
   if esex=1 then do; hushlth=ehltstat; huseduc=eeducate; husrace=erace; husage=tage; hushispanic= 2 - eorigin; premium=thipay; husmed = tmdpay; totfammed = totfammed + tmdpay; end;
   if esex=2 then do; wifehlth=ehltstat; if premium=. or thipay>premium then premium=thipay; wifemed = tmdpay; totfammed =
 totfammed + tmdpay;  end;
end;
if errp=4 then do;
   kidmed = kidmed + tmdpay; totfammed = totfammed + tmdpay;
   numkids = numkids + 1;
   if tage<=5 then numkids05 = numkids05 + 1;
   if tage>=6 and tage<=11 then numkids611 = numkids611 + 1;
   if tage>=12 and tage<=17 then numkids1217 = numkids1217 + 1;
   if tage>=18 and tage<=24 then numkids1824 = numkids1824 + 1;
end;
if errp>=5 and errp<=8 then do;
   if tage<18 then numothrelkid=numothrelkid+1; if tage>=18 then numothreladult = numothreladult + 1; othmed = othmed + tmdpay;
end;
if errp>=9 then do;
   if tage<18 then numothnonrelkid=numothnonrelkid+1; if tage>=18 then numothnonreladult = numothnonreladult + 1;othmed = othmed + tmdpay;
end;

if last.ssuid then output;

*proc freq; *tables hushlth wifehlth hhsize huseduc wifeeduc husrace wiferace husrace*wiferace numadults numkids numkids05 numkids611 numkids1217 numkids1824 numothrelkid
numothreladult numothnonrelkid numothnonreladult hushispanic*wifehispanic numkids1824; *weight wpfinwgt;
*proc univariate; *var networth husmed wifemed kidmed othmed totfammed; *weight wpfinwgt;
proc means; weight wpfinwgt;run;
