options pagesize=80 linesize=140 nocenter;
libname in "C:\users\econuser\Documents\Saving_and_Retirement\sipp\data";

FILENAME datafile "C:\users\econuser\Documents\Saving_and_Retirement\sipp\data\p04putm7.dat ";

DATA s04tm7;

INFILE datafile LRECL = 20000 ;


INPUT

@1    ssuseq       5.
@6    ssuid      12.
@18   spanel       4.
@22   swave        2.
@24   srotaton     1.
@25   tfipsst      2.
@27   shhadid      3.
@30   eoutcome     3.
@33   rfid         3.
@36   rfid2        3.
@39   eppidx       3.
@42   eentaid     3.
@45   epppnum     4.
@49   epopstat     1.
@50   eppintvw     2.
@52   eppmis4      1.
@53   esex         1.
@54   erace        1.
@55   eorigin      2.
@57   wpfinwgt    10.
@67   errp         2.
@69   tage         2.
@71   ems          1.
@72   epnspous     4.
@76   epnmom       4.
@80   epndad       4.
@84   epnguard     4.
@88   rdesgpnt     2.
@90   eeducate     2.
@92   lgtkey      8.
@100  sinthhid     3.
@103  eairunv      2.
@105  iothrbus     2.
@107  iownbs04     2.
@109  ibsform1     2.
@111  ibsloct1     2.
@113  iprtown1     2.
@115  iownrs11     4.
@119  iownrs12     4.
@123  ihhown1      2.
@125  rpcnthh1     2.
@127  rpctown1     2.
@129  tgrsrcp1     6.
@135  ttotexp1     6.
@141  tnetinc1     6.
@147  tnetinc2     6.
@153  iothinc1     2.
@155  tnetin12     6.
@161  tnetin13     6.
@167  tnetin22     6.
@173  tnetin23     6.
@179  ibsform2     2.
@181  ibsloct2     2.
@183  iprtown2     2.
@185  iownrs21     4.
@189  iownrs22     4.
@193  ihhown2      2.
@195  rpcnthh2     2.
@197  rpctown2     2.
@199  tgrsrcp2     6.
@205  ttotexp2     6.
@211  tnetinc3     6.
@217  tnetinc4     6.
@223  iothinc2     2.
@225  tnetin32     6.
@231  tnetin33     6.
@237  tnetin42     6.
@243  tnetin43     6.
@249  tothinc3     6.
@255  tothinc4     6.
@261  iirayn       2.
@263  iiracont     2.
@265  ttaxcont     4.
@269  iirawdl      2.
@271  tamtira      5.
@276  tiraearn     5.
@281  iiratyp1     2.
@283  iiratyp2     2.
@285  iiratyp3     2.
@287  iiratyp4     2.
@289  iiratyp5     2.
@291  iiratyp6     2.
@293  iiratyp7     2.
@295  ikeoghyn     2.
@297  ikeoghcn     2.
@299  ttxkeogh     5.
@304  ikeoghwd     2.
@306  tatkeogh     5.
@311  tkeogher     5.
@316  ikeohtp1     2.
@318  ikeohtp2     2.
@320  ikeohtp3     2.
@322  ikeohtp4     2.
@324  ikeohtp5     2.
@326  ikeohtp6     2.
@328  ikeohtp7     2.
@330  ithrftyn     2.
@332  tthftcnt     5.
@337  ithftwdl     2.
@339  tthftamt     5.
@344  tthftern     5.
@349  ithftyp1     2.
@351  ithftyp2     2.
@353  ithftyp3     2.
@355  ithftyp4     2.
@357  ithftyp5     2.
@359  eatxunv      2.
@361  itaxflyn     2.
@363  itaxcopy     2.
@365  tfilstat     2.
@367  ttotexmp     2.
@369  iexemp01     4.
@373  iexemp02     4.
@377  iexemp03     4.
@381  iexemp04     4.
@385  iexemp05     4.
@389  iexmpout     2.
@391  iexnmout     2.
@393  ioutrl01     2.
@395  ioutrl02     2.
@397  ioutrl03     2.
@399  ioutrl04     2.
@401  ioutrl05     2.
@403  ioutrl06     2.
@405  ioutrl07     2.
@407  ioutrl08     2.
@409  ioutrl09     2.
@411  ioutrl10     2.
@413  ifilform     2.
@415  ischeda      2.
@417  ischedd      2.
@419  tamtdedt     2.
@421  iccexpen     2.
@423  tccamt       2.
@425  icarex01     4.
@429  icarex02     4.
@433  icarex03     4.
@437  icarex04     4.
@441  icarex05     4.
@445  icarex06     4.
@449  icarex07     4.
@453  icarex08     4.
@457  icarex09     4.
@461  icarex10     4.
@465  icarex11     4.
@469  icarex12     4.
@473  icarex13     4.
@477  icarex14     4.
@481  icarex15     4.
@485  icarex16     4.
@489  icarex17     4.
@493  icarex18     4.
@497  icarex19     4.
@501  icarex20     4.
@505  icarex21     4.
@509  icarex22     4.
@513  icarex23     4.
@517  icarex24     4.
@521  icarex25     4.
@525  icarex26     4.
@529  icarex27     4.
@533  icarex28     4.
@537  icarex29     4.
@541  icarex30     4.
@545  idsabcrd     2.
@547  tsapgain     2.
@549  tadjincm     2.
@551  tnettax      2.
@553  ierndcrd     2.
@555  terndamt     2.
@557  ieicex01     4.
@561  ieicex02     4.
@565  ieicex03     4.
@569  ieicex04     4.
@573  ieicex05     4.
@577  ieicex06     4.
@581  ieicex07     4.
@585  ieicex08     4.
@589  ieicex09     4.
@593  ieicex10     4.
@597  ieicex11     4.
@601  ieicex12     4.
@605  ieicex13     4.
@609  ieicex14     4.
@613  ieicex15     4.
@617  ieicex16     4.
@621  ieicex17     4.
@625  ieicex18     4.
@629  ieicex19     4.
@633  ieicex20     4.
@637  ieicex21     4.
@641  ieicex22     4.
@645  ieicex23     4.
@649  ieicex24     4.
@653  ieicex25     4.
@657  ieicex26     4.
@661  ieicex27     4.
@665  ieicex28     4.
@669  ieicex29     4.
@673  ieicex30     4.
@677  iproptax     2.
@679  ipropjnt     2.
@681  ipropn01     4.
@685  ipropn02     4.
@689  ipropn03     4.
@693  ipropn04     4.
@697  ipropn05     4.
@701  ipropn06     4.
@705  ipropn07     4.
@709  ipropn08     4.
@713  ipropn09     4.
@717  ipropn10     4.
@721  ipropn11     4.
@725  ipropn12     4.
@729  ipropn13     4.
@733  ipropn14     4.
@737  ipropn15     4.
@741  ipropn16     4.
@745  ipropn17     4.
@749  ipropn18     4.
@753  ipropn19     4.
@757  ipropn20     4.
@761  ipropn21     4.
@765  ipropn22     4.
@769  ipropn23     4.
@773  ipropn24     4.
@777  ipropn25     4.
@781  ipropn26     4.
@785  ipropn27     4.
@789  ipropn28     4.
@793  ipropn29     4.
@797  ipropn30     4.
@801  ttaxbill     2.
@803  earpunv      2.
@805  rmjb         2.
@807  rmbs         2.
@809  rmnjbbs      2.
@811  therempl     2.
@813  aherempl     1.
@814  ttotempl     2.
@816  atotempl     1.
@817  tbustotl     2.
@819  abustotl     1.
@820  ewksyear     2.
@822  awksyear     1.
@823  tnumlen      2.
@825  emthyear     2.
@827  anumyear     1.
@828  epensnyn     2.
@830  apensnyn     1.
@831  eincpens     2.
@833  aincpens     1.
@834  enoina01     2.
@836  enoina02     2.
@838  enoina03     2.
@840  enoina04     2.
@842  enoina05     2.
@844  enoina06     2.
@846  enoina07     2.
@848  enoina08     2.
@850  enoina09     2.
@852  enoina10     2.
@854  enoina11     2.
@856  enoina12     2.
@858  enoina13     2.
@860  enoina14     2.
@862  anoina       1.
@863  etdeffen     2.
@865  atdeffen     1.
@866  emultpen     2.
@868  amultpen     1.
@869  e1pentyp     2.
@871  a1pentyp     1.
@872  e2pentyp     2.
@874  a2pentyp     1.
@875  e1penctr     2.
@877  a1penctr     1.
@878  e1taxdef     2.
@880  a1taxdef     1.
@881  e1recben     2.
@883  a1recben     1.
@884  e1lvlmps     2.
@886  a1lvlmps     1.
@887  t1yrsinc     2.
@889  a1yrsinc     1.
@890  e1ssofst     2.
@892  a1ssofst     1.
@893  t1yrcont     8.
@901  a1yrcont     1.
@902  t1totamt     8.
@910  a1totamt     1.
@911  e2penctr     2.
@913  a2penctr     1.
@914  e2taxdef     2.
@916  a2taxdef     1.
@917  e2recben     2.
@919  a2recben     1.
@920  e2lvlmps     2.
@922  a2lvlmps     1.
@923  t2yrsinc     2.
@925  a2yrsinc     1.
@926  e2ssofst     2.
@928  a2ssofst     2.
@930  t2yrcont     8.
@938  a2yrcont     1.
@939  t2totamt     8.
@947  a2totamt     1.
@948  e3taxdef     2.
@950  a3taxdef     1.
@951  e3partic     2.
@953  a3partic     1.
@954  enoinb01     2.
@956  enoinb02     2.
@958  enoinb03     2.
@960  enoinb04     2.
@962  enoinb05     2.
@964  enoinb06     2.
@966  enoinb07     2.
@968  enoinb08     2.
@970  enoinb09     2.
@972  enoinb10     2.
@974  enoinb11     2.
@976  enoinb12     2.
@978  enoinb13     2.
@980  enoinb14     2.
@982  anoinb       1.
@983  ematchyn     2.
@985  amatchyn     1.
@986  efutpart     2.
@988  afutpart     1.
@989  tslfcon1     8.
@997  eslfcon2     2.
@999  eslfcon3    4.2
@1003 aslfcon      1.
@1004 eempcont     2.
@1006 aempcont     1.
@1007 econtdep     2.
@1009 acontdep     1.
@1010 tjbcont1     8.
@1018 ejbcont2     2.
@1020 ejbcont3    4.2
@1024 ejbcont4     2.
@1026 ajbcont      1.
@1027 einvchos     2.
@1029 ainvchos     1.
@1030 einvsdec     2.
@1032 ainvsdec     1.
@1033 ehowinv1     2.
@1035 ehowinv2     2.
@1037 ehowinv3     2.
@1039 ehowinv4     2.
@1041 ehowinv5     2.
@1043 ehowinv6     2.
@1045 ehowinv7     2.
@1047 ehowinv8     2.
@1049 ahowinvs     1.
@1050 emostinv     2.
@1052 amostinv     1.
@1053 t3totamt     8.
@1061 a3totamt     1.
@1062 epenloan     2.
@1064 apenloan     1.
@1065 eletloan     2.
@1067 aletloan     1.
@1068 tloanbal     8.
@1076 aloanbal     1.
@1077 eothrpen     2.
@1079 aothrpen     1.
@1080 eprevpen     2.
@1082 aprevpen     1.
@1083 eprevexp     2.
@1085 aprevexp     1.
@1086 tprevyrs     2.
@1088 aprevyrs     1.
@1089 ewhnleft     4.
@1093 awhnleft     1.
@1094 eprevtyp     2.
@1096 aprevtyp     1.
@1097 tprevamt     8.
@1105 aprevamt     1.
@1106 eprewith     2.
@1108 aprewith     1.
@1109 eprevlmp     2.
@1111 aprevlmp     1.
@1112 ewhyleft     2.
@1114 awhyleft     1.
@1115 esurvlmp     2.
@1117 asurvlmp     1.
@1118 elumpnum    2.
@1120 alumpnum    1.
@1121 elmpyear     4.
@1125 almpyear     1.
@1126 elumpn97     2.
@1128 alumpn97     1.
@1129 elumpsrc     2.
@1131 alumpsrc     1.
@1132 elumphow     2.
@1134 alumphow     1.
@1135 tlumptot     8.
@1143 alumptot     1.
@1144 elumprec     2.
@1146 alumprec     1.
@1147 elmproll     2.
@1149 almproll     1.
@1150 elmpwher     2.
@1152 almpwher     1.
@1153 elumpent     2.
@1155 alumpent     1.
@1156 elmpsp01     2.
@1158 elmpsp02     2.
@1160 elmpsp03     2.
@1162 elmpsp04     2.
@1164 elmpsp05     2.
@1166 elmpsp06     2.
@1168 elmpsp07     2.
@1170 elmpsp08     2.
@1172 elmpsp09     2.
@1174 elmpsp10     2.
@1176 elmpsp11     2.
@1178 elmpsp12     2.
@1180 elmpsp13     2.
@1182 elmpsp14     2.
@1184 elmpsp15     2.
@1186 elmpsp16     2.
@1188 elmpsp17     2.
@1190 elmpsp18     2.
@1192 elmpsp19     2.
@1194 almpsp       1.
@1195 epenlng1     2.
@1197 epenlng2     2.
@1199 epengng3     2.
@1201 apenlgth     1.
@1202 epennumb     2.
@1204 apennumb     1.
@1205 epennums     2.
@1207 apennums     1.
@1208 epensrce     2.
@1210 apensrce     1.
@1211 epenwhen     4.
@1215 apenwhen     1.
@1216 epenbase     2.
@1218 apenbase     1.
@1219 epensurv     2.
@1221 apensurv     1.
@1222 epenincr     2.
@1224 apenincr     1.
@1225 epencola     2.
@1227 apencola     1.
@1228 ependecr     2.
@1230 apendecr     1.
@1231 tpensamt     8.
@1239 apensamt     1.
@1240 tpenamt1     8.
@1248 apenamt1     1.
@1249 elmpsrce     2.
@1251 almpsrce     1.
@1252 ejobreti     2.
@1254 ajobreti     1.
@1255 ewrk5yrs     2.
@1257 awrk5yrs     1.
@1258 escrepen     2.
@1260 ascrepen     1.
@1261 ejbindrp     4.
@1265 ajbindrp     1.
@1266 tjboccrp     4.
@1270 ajboccrp     1.
@1271 rclwrkr      2.
@1273 aclwrkr      1.
@1274 emultloc     2.
@1276 amultloc     1.
@1277 tnumwork     2.
@1279 anumwork     1.
@1280 templall     2.
@1282 aemplall     1.
@1283 eunionyn     2.
@1285 aunionyn     1.
@1286 thrsweek     3.
@1289 ahrsweek     1.
@1290 ewksyrs      2.
@1292 awksyrs      1.
@1293 tyrswrkd     2.
@1295 ayrswrkd     1.
@1296 eyrlrftj     4.
@1300 ayrlrftj     1.
@1301 ternlev1     8.
@1309 eernlev2     2.
@1311 aernleav     1.
@1312 ehlthpln     2.
@1314 ahlthpln     1.
@1315 tbsindrp     2.
@1317 absindrp     1.
@1318 ebsoccrp     4.
@1322 absoccrp     1.
@1323 tmakempl     2.
@1325 amakempl     1.
@1326 ebusninc     2.
@1328 abusninc     1.
@1329 tbushrsw     3.
@1332 abushrsw     1.
@1333 ebuswksy     2.
@1335 abuswksy     1.
@1336 tbuslong     2.
@1338 abuslong     1.
@1339 ebusleav     4.
@1343 abusleav     1.
@1344 tbusern1     8.
@1352 ebusern2     2.
@1354 abusern      1.
@1355 ebushlth     2.
@1357 abushlth     1.
@1358 estdlvng     2.
@1360 astdlvng     1.
@1361 eaicunv      2.
@1363 epvdcare     2.
@1365 apvdcare     1.
@1366 ecarehhm     2.
@1368 acarehhm     1.
@1369 tcarenum     2.
@1371 acarenum     1.
@1372 ehhm1        4.
@1376 ahhm1        1.
@1377 erelt01      2.
@1379 arelt01      1.
@1380 tyrst01      2.
@1382 ayrst01      1.
@1383 eadlt01      2.
@1385 aadlt01      1.
@1386 emedt01      2.
@1388 amedt01      1.
@1389 emnyt01      2.
@1391 amnyt01      1.
@1392 eoutt01      2.
@1394 aoutt01      1.
@1395 eothlp01     2.
@1397 aothlp01     1.
@1398 thrst01      2.
@1400 ahrst01      1.
@1401 eopt01       2.
@1403 aopt01       1.
@1404 thrst02      2.
@1406 ahrst02      1.
@1407 ehct01       2.
@1409 ahct01       1.
@1410 thrst03      2.
@1412 ahrst03      1.
@1413 ehhm2        4.
@1417 ahhm2        1.
@1418 erelt02      2.
@1420 arelt02      1.
@1421 tyrst02      2.
@1423 ayrst02      1.
@1424 eadlt02      2.
@1426 aadlt02      1.
@1427 emedt02      2.
@1429 amedt02      1.
@1430 emnyt02      2.
@1432 amnyt02      1.
@1433 eoutt02      2.
@1435 aoutt02      1.
@1436 eothlp02     2.
@1438 aothlp02     1.
@1439 thrst04      2.
@1441 ahrst04      1.
@1442 eopt02       2.
@1444 aopt02       1.
@1445 thrst05      2.
@1447 ahrst05      1.
@1448 ehct02       2.
@1450 ahct02       1.
@1451 thrst06      2.
@1453 ahrst06      1.
@1454 ecarenhm     2.
@1456 acarenhm     1.
@1457 tnumnhm      2.
@1459 anumnhm      1.
@1460 erelt03      2.
@1462 arelt03      1.
@1463 tyrst03      2.
@1465 ayrst03      1.
@1466 eresof3      2.
@1468 aresof3      1.
@1469 eadlt03      2.
@1471 aadlt03      1.
@1472 emedt03      2.
@1474 amedt03      1.
@1475 emnyt03      2.
@1477 amnyt03      1.
@1478 eoutt03      2.
@1480 aoutt03      1.
@1481 eothlp03     2.
@1483 aothlp03     1.
@1484 thrst07      2.
@1486 ahrst07      1.
@1487 eopt03       2.
@1489 aopt03       1.
@1490 thrst08      2.
@1492 ahrst08      1.
@1493 ecompt03     2.
@1495 acompt03     1.
@1496 ehct03       2.
@1498 ahct03       1.
@1499 thrst09      2.
@1501 ahrst09      1.
@1502 erelt04      2.
@1504 arelt04      1.
@1505 tyrst04      2.
@1507 ayrst04      1.
@1508 eresof4      2.
@1510 aresof4      1.
@1511 eadlt04      2.
@1513 aadlt04      1.
@1514 emedt04      2.
@1516 amedt04      1.
@1517 emnyt04      2.
@1519 amnyt04      1.
@1520 eoutt04      2.
@1522 aoutt04      1.
@1523 eothlp04     2.
@1525 aothlp04     1.
@1526 thrst10      2.
@1528 ahrst10      1.
@1529 eopt04       2.
@1531 aopt04       1.
@1532 thrst11      2.
@1534 ahrst11      1.
@1535 ecompt04     2.
@1537 acompt04     1.
@1538 ehct04       2.
@1540 ahct04       1.
@1541 thrst12      2.
@1543 ahrst12      1.
;
run;

data check; set s04tm7;

 *eincpens        Respondent's participation in pension
 aincpens        Allocation flag for EINCPENS
 enoina01        Reason respondent not covered by pension
 enoina02        Reason respondent not covered by pension
 anoina          Allocation flag for ENOINA01-ENOINA14
 etdeffen        Asks if pension plan is like a 401(k)
 atdeffen        Allocation flag for ETDEFFEN
 emultpen        Asks how many pension plans respondent has
 amultpen        Allocation flag for EMULTPEN
 e1pentyp        Asks which type of pension plan
 a1pentyp        Allocation flag for E1PENTYP
 e2pentyp        Asks second type of pension plan
 a2pentyp        Allocation flag for E2PENTYP     ;

keep T1YRSINC T2YRSINC epensnyn eincpens aincpens enoina01 enoina02 anoina etdeffen atdeffen emultpen amultpen e1pentyp a1pentyp e2pentyp a2pentyp
spanel swave srotaton ssuid  swave shhadid eoutcome eentaid epppnum epopstat eppintvw eppmis4 esex erace eorigin wpfinwgt errp tage ems eeducate;

if errp=1 or errp=3;

if e1pentyp=-1 then e1pentyp=.;
if e2pentyp=-1 then e2pentyp=.;
if eincpens=-1 then eincpens=.;
if etdeffen=-1 then etdeffen=.;
if emultpen=-1 then emultpen=.;
if epensnyn=-1 then epensnyn=.;
if T1YRSINC=-1 then T1YRSINC=.;
if T2YRSINC=-1 then T2YRSINC=.;

proc means; *weight wpfinwgt;
proc freq data=check; tables T1YRSINC T2YRSINC epensnyn eincpens aincpens enoina01 enoina02 anoina etdeffen atdeffen emultpen amultpen e1pentyp a1pentyp e2pentyp a2pentyp
eoutcome epopstat eppintvw ; *weight wpfinwgt;
run;
proc sort data = check; by ssuid eentaid epppnum;
run;

data in.tm2004w7_feb2015; set check; by ssuid eentaid epppnum;
if first.ssuid then do;
   huseduc=.; husage=.; hushispanic=.; wifehispanic=.; married=0; covered=.; typepen=.; durinplan=.; typepen2=.; durinplan2=.;
end;

keep ssuid spanel swave srotaton huseduc husrace husage hushispanic married covered typepen durinplan typepen2 durinplan2 WPFINWGT;
retain                           huseduc husrace husage hushispanic married covered typepen durinplan typepen2 durinplan2;

if errp=1 or errp=3 then do;
   if ems=1 then married=1;
   if esex=1 then do;
      huseduc=eeducate; husrace=erace; husage=tage; hushispanic= 0; if eorigin=1 then hushispanic=1;
      if epensnyn>0 then do;
         covered=0; if eincpens=1 then covered=1;
         if covered=1 then do;
            if e1pentyp=1 then typepen=1; if e1pentyp=2 then typepen=2; durinplan = T1YRSINC;
            if e2pentyp=1 then typepen2=1; if e2pentyp=2 then typepen2=2; durinplan2 = T2YRSINC;
             end;
      end;
   end;
end;
* what did I do with DB-DC cases in HRS? and cash balance?;

*VALUE e1pentyp (default=32)
        3         =  "Cash balance plan"
        2         =  "Individual account plan"
        1         =  "Plan based on earnings and years"
        -1        =  "Not in Universe"
;


if last.ssuid then output;

proc means; *weight wpfinwgt;
run;
