options pagesize=80 linesize=140 nocenter;
libname in "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data";
FILENAME datafile "C:\Documents and Settings\David Blau\My Documents\Saving_and_Retirement\sipp\data\l04puw7.dat ";

DATA s04w7;

INFILE datafile LRECL = 20000 ;

INPUT

@1    ssuseq       5. 
@6    ssuid      $12. 
@18   spanel       4. 
@22   swave        2. 
@24   srotaton     1. 
@25   srefmon      1. 
@26   rhcalmn      2. 
@28   rhcalyr      4. 
@32   shhadid      3. 
@35   gvarstr      3. 
@38   ghlfsam      1. 
@39   grgc         3. 
@42   tfipsst      2. 
@44   tmovrflg     2. 
@46   eoutcome     3. 
@807  ejobcntr     2. 
@809  eeveret      2. 
@811  aeveret      1. 
@812  edisabl      2. 
@814  adisabl      1. 
@815  edisprev     2. 
@817  adisprev     1. 
@818  ersnowrk     2. 
@820  arsnowrk     1. 
@821  eawop        2. 
@823  aawop        1. 
@824  eabre        2. 
@826  aabre        1. 
@827  eptwrk       2. 
@829  aptwrk       1. 
@830  eptresn      2. 
@832  aptresn      1. 
@833  elkwrk       2. 
@835  alkwrk       1. 
@836  elayoff      2. 
@838  alayoff      1. 
@839  rtakjob      2. 
@841  rnotake      2. 
@843  ehrsall      2. 
@845  ahrsall      1. 
@846  emoonlit     2. 
@848  amoonlit     1. 
@849  tmlmsum      5. 
@854  amlmsum      1. 
@855  ebflag       2. 
@857  ecflag       2. 
@859  rmesr        2. 
@861  rwkesr1      2. 
@863  rwkesr2      2. 
@865  rwkesr3      2. 
@867  rwkesr4      2. 
@869  rwkesr5      2. 
@871  rmwkwjb      2. 
@873  rmwksab      2. 
@875  awksab       1. 
@876  rmwklkg      2. 
@878  awklkg       1. 
@879  rmhrswk      2. 
@881  rwksperm     2. 
@883  eeno1        2. 
@885  estlemp1     2. 
@887  astlemp1     1. 
@888  tsjdate1     8. 
@896  asjdate1     1. 
@897  tejdate1     8. 
@905  aejdate1     1. 
@906  ersend1      2. 
@908  arsend1      1. 
@909  ejbhrs1      2. 
@911  ajbhrs1      1. 
@912  eemploc1     2. 
@914  aemploc1     1. 
@915  tempall1     2. 
@917  aempall1     1. 
@513  tbyear       4. 
@281  tfearn       7. 
@288  tfprpinc     8. 
@296  tftrninc     7. 
@303  tfothinc     7. 
@310  tftotinc     8. 
@318  rfpov        5. 
@323  tfpndist     7. 
@330  tflumpsm     8. 
@338  tfsocsec     6. 
@918  tempsiz1     2. 
@920  aempsiz1     1. 
@921  eocctim1     3. 
@924  aocctim1     1. 
@925  eclwrk1      2. 
@927  aclwrk1      1. 
@928  eunion1      2. 
@930  aunion1      1. 
@931  ecntrc1      2. 
@933  acntrc1      1. 
@934  tpmsum1      5. 
@939  apmsum1      1. 
@940  epayhr1      2. 
@942  apayhr1      1. 
@943  tpyrate1    4.2 
@947  apyrate1     1. 
@948  rpyper1      2. 
@950  ejbind1      4. 
@954  ajbind1      1. 
@955  tjbocc1      4. 
@959  ajbocc1      1. 
@960  eeno2        2. 
@962  estlemp2     2. 
@964  astlemp2     1. 
@965  tsjdate2     8. 
@973  asjdate2     1. 
@974  tejdate2     8. 
@982  aejdate2     1. 
@983  ersend2      2. 
@985  arsend2      1. 
@986  ejbhrs2      2. 
@988  ajbhrs2      1. 
@989  eemploc2     2. 
@991  aemploc2     1. 
@992  tempall2     2. 
@994  aempall2     1. 
@995  tempsiz2     2. 
@997  aempsiz2     1. 
@998  eocctim2     3. 
@1001 aocctim2     1. 
@1002 eclwrk2      2. 
@1004 aclwrk2      1. 
@1005 eunion2      2. 
@1007 aunion2      1. 
@1008 ecntrc2      2. 
@1010 acntrc2      1. 
@1011 tpmsum2      5. 
@1016 apmsum2      1. 
@1017 epayhr2      2. 
@1019 apayhr2      1. 
@1020 tpyrate2    4.2 
@1024 apyrate2     1. 
@1025 rpyper2      2. 
@579  tage         2. 
@581  aage         1. 
@582  errp         2. 
@584  arrp         1. 
@585  ems          1. 
@786  eeducate     2. 
@518  esex         1. 
@519  asex         1. 
@520  erace        1. 
@521  arace        1. 
@522  eorigin      2. 
@798  epdjbthn     2. 
@500  eentaid     $3. 
@503  epppnum     $4. 
;

data core04w7; set s04w7;

keep spanel srefmon eoutcome  tftotinc tfearn tfprpinc tftrninc tfsocsec tbyear
rhcalmn rhcalyr EPDJBTHN ejobcntr edisabl eawop elayoff ehrsall rmesr RMWKWJB RMHRSWK 
eeno1 ESTLEMP1 tsjdate1 tejdate1 ersend1 TPMSUM1 EPAYHR1 TPYRATE1 RPYPER1
eeno2 ESTLEMP2 tsjdate2 tejdate2 ersend2 TPMSUM2 EPAYHR2 TPYRATE2 RPYPER2 
srotaton ssuid  swave epppnum eentaid huseduc husrace husage hushispanic husage;

huseduc=eeducate; husrace=erace; husage=tage; hushispanic= 0; if eorigin=1 then hushispanic=1; husage=tage;

if errp=1 and ems=1 and esex=1; if tage>=25 and tage<=65;

array joe ejobcntr edisabl eawop elayoff ehrsall  eeno1 eeno2
 ESTLEMP1 tsjdate1 tejdate1 ersend1 EPAYHR1 RPYPER1
ESTLEMP2 tsjdate2 tejdate2 ersend2  EPAYHR2 RPYPER2 
 huseduc husrace husage hushispanic husage;

do over joe; if joe=-1 then joe=.; end;

proc means; 
*proc freq ; *tables srefmon eoutcome EPDJBTHN ejobcntr edisabl eawop elayoff ehrsall rmesr RMWKWJB RMHRSWK 
eeno1 ESTLEMP1  ersend1 ;

run;
