
clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_july2010_addvars.dta"  

keep hhid pn t sdw*

drop if t==. 

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tvv.dta" , keep(rjcind*)

compress

*Assign the values of time varying variables between survey months

gen     mid1=sdw1+int((sdw2-sdw1)/2) if sdw1~=. & sdw2~=.
replace mid1=sdw1+int((sdw3-sdw1)/2) if sdw1~=. & sdw2==. & sdw3~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace mid1=sdw1+int((sdw5-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace mid1=sdw1+int((sdw6-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.
replace mid1=sdw1+int((sdw7-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=. 
replace mid1=sdw1+int((sdw8-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid1=sdw1+int((sdw9-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid2=sdw2+int((sdw3-sdw2)/2) if sdw2~=. & sdw3~=.
replace mid2=sdw2+int((sdw4-sdw2)/2) if sdw2~=. & sdw3==. & sdw4~=.
replace mid2=sdw2+int((sdw5-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace mid2=sdw2+int((sdw6-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace mid2=sdw2+int((sdw7-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace mid2=sdw2+int((sdw8-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace mid2=sdw2+int((sdw9-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid3=sdw3+int((sdw4-sdw3)/2) if sdw3~=. & sdw4~=.
replace mid3=sdw3+int((sdw5-sdw3)/2) if sdw3~=. & sdw4==. & sdw5~=.
replace mid3=sdw3+int((sdw6-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace mid3=sdw3+int((sdw7-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace mid3=sdw3+int((sdw8-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid3=sdw3+int((sdw9-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=. 

gen     mid4=sdw4+int((sdw5-sdw4)/2) if sdw4~=. & sdw5~=.
replace mid4=sdw4+int((sdw6-sdw4)/2) if sdw4~=. & sdw5==. & sdw6~=.
replace mid4=sdw4+int((sdw7-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace mid4=sdw4+int((sdw8-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace mid4=sdw4+int((sdw9-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid5=sdw5+int((sdw6-sdw5)/2) if sdw5~=. & sdw6~=.
replace mid5=sdw5+int((sdw7-sdw5)/2) if sdw5~=. & sdw6==. & sdw7~=.
replace mid5=sdw5+int((sdw8-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace mid5=sdw5+int((sdw9-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

gen     mid6=sdw6+int((sdw7-sdw6)/2) if sdw6~=. & sdw7~=.
replace mid6=sdw6+int((sdw8-sdw6)/2) if sdw6~=. & sdw7==. & sdw8~=.
replace mid6=sdw6+int((sdw9-sdw6)/2) if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

gen     mid7=sdw7+int((sdw8-sdw7)/2) if sdw7~=. & sdw8~=.
replace mid7=sdw7+int((sdw9-sdw7)/2) if sdw7~=. & sdw8==. & sdw9~=.

gen     mid8=sdw8+int((sdw9-sdw8)/2) if sdw8~=. & sdw9~=.



replace rjcind2=rjcind3 if sdw1~=. & sdw2==. & sdw3~=.

replace rjcind2=rjcind4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace rjcind3=rjcind4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 

replace rjcind2=rjcind5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjcind3=rjcind5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjcind4=rjcind5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  

replace rjcind3=rjcind4 if sdw2~=. & sdw3==. & sdw4~=.

replace rjcind3=rjcind5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace rjcind4=rjcind5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.

replace rjcind3=rjcind6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjcind4=rjcind6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjcind5=rjcind6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  

replace rjcind3=rjcind7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjcind4=rjcind7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjcind5=rjcind7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjcind6=rjcind7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.

replace rjcind3=rjcind8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjcind4=rjcind8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjcind5=rjcind8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjcind6=rjcind8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjcind7=rjcind8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
 
replace rjcind3=rjcind9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind4=rjcind9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind5=rjcind9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind6=rjcind9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind7=rjcind9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind8=rjcind9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjcind4=rjcind5 if sdw3~=. & sdw4==. & sdw5~=.

replace rjcind4=rjcind6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace rjcind5=rjcind6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.

replace rjcind4=rjcind7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjcind5=rjcind7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjcind6=rjcind7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  

replace rjcind5=rjcind6 if sdw4~=. & sdw5==. & sdw6~=.

replace rjcind5=rjcind7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace rjcind6=rjcind7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.

replace rjcind5=rjcind8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjcind6=rjcind8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjcind7=rjcind8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  

replace rjcind5=rjcind9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind6=rjcind9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind7=rjcind9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind8=rjcind9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjcind6=rjcind7 if sdw5~=. & sdw6==. & sdw7~=.

replace rjcind6=rjcind8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace rjcind7=rjcind8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.

replace rjcind6=rjcind9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjcind7=rjcind9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjcind8=rjcind9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

replace rjcind7=rjcind8 if sdw6~=. & sdw7==. & sdw8~=.

replace rjcind7=rjcind9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind8=rjcind9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

replace rjcind8=rjcind9 if sdw7~=. & sdw8==. & sdw9~=.


gen     rjcind =rjcind1 if t<mid1 & mid1~=.
replace rjcind= rjcind2 if t>=mid1 & t<mid2
replace rjcind= rjcind3 if t>=mid2 & t<mid3
replace rjcind= rjcind4 if t>=mid3 & t<mid4
replace rjcind= rjcind5 if t>=mid4 & t<mid5
replace rjcind= rjcind6 if t>=mid5 & t<mid6
replace rjcind= rjcind7 if t>=mid6 & t<mid7
replace rjcind= rjcind8 if t>=mid7 & t<mid8
replace rjcind= rjcind9 if t>=mid8 & mid8~=.

drop rjcind1 rjcind2 rjcind3 rjcind4 rjcind5 rjcind6 rjcind7 rjcind8 rjcind9

drop sdw* mid* 
drop _merge

su

drop if t==.

sort hhid pn t

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx13"  , replace




clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_july2010_addvars.dta"  

keep hhid pn t sdw*

drop if t==. 

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tvv.dta" , keep(rjcind_newcode*)

compress

*Assign the values of time varying variables between survey months

gen     mid1=sdw1+int((sdw2-sdw1)/2) if sdw1~=. & sdw2~=.
replace mid1=sdw1+int((sdw3-sdw1)/2) if sdw1~=. & sdw2==. & sdw3~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace mid1=sdw1+int((sdw5-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace mid1=sdw1+int((sdw6-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.
replace mid1=sdw1+int((sdw7-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=. 
replace mid1=sdw1+int((sdw8-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid1=sdw1+int((sdw9-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid2=sdw2+int((sdw3-sdw2)/2) if sdw2~=. & sdw3~=.
replace mid2=sdw2+int((sdw4-sdw2)/2) if sdw2~=. & sdw3==. & sdw4~=.
replace mid2=sdw2+int((sdw5-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace mid2=sdw2+int((sdw6-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace mid2=sdw2+int((sdw7-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace mid2=sdw2+int((sdw8-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace mid2=sdw2+int((sdw9-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid3=sdw3+int((sdw4-sdw3)/2) if sdw3~=. & sdw4~=.
replace mid3=sdw3+int((sdw5-sdw3)/2) if sdw3~=. & sdw4==. & sdw5~=.
replace mid3=sdw3+int((sdw6-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace mid3=sdw3+int((sdw7-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace mid3=sdw3+int((sdw8-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid3=sdw3+int((sdw9-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=. 

gen     mid4=sdw4+int((sdw5-sdw4)/2) if sdw4~=. & sdw5~=.
replace mid4=sdw4+int((sdw6-sdw4)/2) if sdw4~=. & sdw5==. & sdw6~=.
replace mid4=sdw4+int((sdw7-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace mid4=sdw4+int((sdw8-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace mid4=sdw4+int((sdw9-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid5=sdw5+int((sdw6-sdw5)/2) if sdw5~=. & sdw6~=.
replace mid5=sdw5+int((sdw7-sdw5)/2) if sdw5~=. & sdw6==. & sdw7~=.
replace mid5=sdw5+int((sdw8-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace mid5=sdw5+int((sdw9-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

gen     mid6=sdw6+int((sdw7-sdw6)/2) if sdw6~=. & sdw7~=.
replace mid6=sdw6+int((sdw8-sdw6)/2) if sdw6~=. & sdw7==. & sdw8~=.
replace mid6=sdw6+int((sdw9-sdw6)/2) if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

gen     mid7=sdw7+int((sdw8-sdw7)/2) if sdw7~=. & sdw8~=.
replace mid7=sdw7+int((sdw9-sdw7)/2) if sdw7~=. & sdw8==. & sdw9~=.

gen     mid8=sdw8+int((sdw9-sdw8)/2) if sdw8~=. & sdw9~=.



replace rjcind_newcode2=rjcind_newcode3 if sdw1~=. & sdw2==. & sdw3~=.

replace rjcind_newcode2=rjcind_newcode4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace rjcind_newcode3=rjcind_newcode4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 

replace rjcind_newcode2=rjcind_newcode5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjcind_newcode3=rjcind_newcode5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjcind_newcode4=rjcind_newcode5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  

replace rjcind_newcode3=rjcind_newcode4 if sdw2~=. & sdw3==. & sdw4~=.

replace rjcind_newcode3=rjcind_newcode5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace rjcind_newcode4=rjcind_newcode5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.

replace rjcind_newcode3=rjcind_newcode6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjcind_newcode4=rjcind_newcode6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjcind_newcode5=rjcind_newcode6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  

replace rjcind_newcode3=rjcind_newcode7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjcind_newcode4=rjcind_newcode7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjcind_newcode5=rjcind_newcode7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjcind_newcode6=rjcind_newcode7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.

replace rjcind_newcode3=rjcind_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjcind_newcode4=rjcind_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjcind_newcode5=rjcind_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjcind_newcode6=rjcind_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjcind_newcode7=rjcind_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
 
replace rjcind_newcode3=rjcind_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind_newcode4=rjcind_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind_newcode5=rjcind_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind_newcode6=rjcind_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind_newcode7=rjcind_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind_newcode8=rjcind_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjcind_newcode4=rjcind_newcode5 if sdw3~=. & sdw4==. & sdw5~=.

replace rjcind_newcode4=rjcind_newcode6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace rjcind_newcode5=rjcind_newcode6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.

replace rjcind_newcode4=rjcind_newcode7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjcind_newcode5=rjcind_newcode7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjcind_newcode6=rjcind_newcode7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  

replace rjcind_newcode5=rjcind_newcode6 if sdw4~=. & sdw5==. & sdw6~=.

replace rjcind_newcode5=rjcind_newcode7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace rjcind_newcode6=rjcind_newcode7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.

replace rjcind_newcode5=rjcind_newcode8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjcind_newcode6=rjcind_newcode8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjcind_newcode7=rjcind_newcode8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  

replace rjcind_newcode5=rjcind_newcode9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind_newcode6=rjcind_newcode9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind_newcode7=rjcind_newcode9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind_newcode8=rjcind_newcode9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjcind_newcode6=rjcind_newcode7 if sdw5~=. & sdw6==. & sdw7~=.

replace rjcind_newcode6=rjcind_newcode8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace rjcind_newcode7=rjcind_newcode8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.

replace rjcind_newcode6=rjcind_newcode9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjcind_newcode7=rjcind_newcode9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjcind_newcode8=rjcind_newcode9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

replace rjcind_newcode7=rjcind_newcode8 if sdw6~=. & sdw7==. & sdw8~=.

replace rjcind_newcode7=rjcind_newcode9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.
replace rjcind_newcode8=rjcind_newcode9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

replace rjcind_newcode8=rjcind_newcode9 if sdw7~=. & sdw8==. & sdw9~=.


gen     rjcind_newcode =rjcind_newcode1 if t<mid1 & mid1~=.
replace rjcind_newcode= rjcind_newcode2 if t>=mid1 & t<mid2
replace rjcind_newcode= rjcind_newcode3 if t>=mid2 & t<mid3
replace rjcind_newcode= rjcind_newcode4 if t>=mid3 & t<mid4
replace rjcind_newcode= rjcind_newcode5 if t>=mid4 & t<mid5
replace rjcind_newcode= rjcind_newcode6 if t>=mid5 & t<mid6
replace rjcind_newcode= rjcind_newcode7 if t>=mid6 & t<mid7
replace rjcind_newcode= rjcind_newcode8 if t>=mid7 & t<mid8
replace rjcind_newcode= rjcind_newcode9 if t>=mid8 & mid8~=.

drop rjcind_newcode1 rjcind_newcode2 rjcind_newcode3 rjcind_newcode4 rjcind_newcode5 rjcind_newcode6 rjcind_newcode7 rjcind_newcode8 rjcind_newcode9

drop sdw* mid* 
drop _merge

su

drop if t==.

sort hhid pn t

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx14"  , replace

clear




clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_july2010_addvars.dta"  

keep hhid pn t sdw*

drop if t==. 

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tvv.dta" , keep(rjlocc*)

compress

*Assign the values of time varying variables between survey months

gen     mid1=sdw1+int((sdw2-sdw1)/2) if sdw1~=. & sdw2~=.
replace mid1=sdw1+int((sdw3-sdw1)/2) if sdw1~=. & sdw2==. & sdw3~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace mid1=sdw1+int((sdw5-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace mid1=sdw1+int((sdw6-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.
replace mid1=sdw1+int((sdw7-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=. 
replace mid1=sdw1+int((sdw8-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid1=sdw1+int((sdw9-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid2=sdw2+int((sdw3-sdw2)/2) if sdw2~=. & sdw3~=.
replace mid2=sdw2+int((sdw4-sdw2)/2) if sdw2~=. & sdw3==. & sdw4~=.
replace mid2=sdw2+int((sdw5-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace mid2=sdw2+int((sdw6-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace mid2=sdw2+int((sdw7-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace mid2=sdw2+int((sdw8-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace mid2=sdw2+int((sdw9-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid3=sdw3+int((sdw4-sdw3)/2) if sdw3~=. & sdw4~=.
replace mid3=sdw3+int((sdw5-sdw3)/2) if sdw3~=. & sdw4==. & sdw5~=.
replace mid3=sdw3+int((sdw6-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace mid3=sdw3+int((sdw7-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace mid3=sdw3+int((sdw8-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid3=sdw3+int((sdw9-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=. 

gen     mid4=sdw4+int((sdw5-sdw4)/2) if sdw4~=. & sdw5~=.
replace mid4=sdw4+int((sdw6-sdw4)/2) if sdw4~=. & sdw5==. & sdw6~=.
replace mid4=sdw4+int((sdw7-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace mid4=sdw4+int((sdw8-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace mid4=sdw4+int((sdw9-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid5=sdw5+int((sdw6-sdw5)/2) if sdw5~=. & sdw6~=.
replace mid5=sdw5+int((sdw7-sdw5)/2) if sdw5~=. & sdw6==. & sdw7~=.
replace mid5=sdw5+int((sdw8-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace mid5=sdw5+int((sdw9-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

gen     mid6=sdw6+int((sdw7-sdw6)/2) if sdw6~=. & sdw7~=.
replace mid6=sdw6+int((sdw8-sdw6)/2) if sdw6~=. & sdw7==. & sdw8~=.
replace mid6=sdw6+int((sdw9-sdw6)/2) if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

gen     mid7=sdw7+int((sdw8-sdw7)/2) if sdw7~=. & sdw8~=.
replace mid7=sdw7+int((sdw9-sdw7)/2) if sdw7~=. & sdw8==. & sdw9~=.

gen     mid8=sdw8+int((sdw9-sdw8)/2) if sdw8~=. & sdw9~=.



replace rjlocc2=rjlocc3 if sdw1~=. & sdw2==. & sdw3~=.

replace rjlocc2=rjlocc4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace rjlocc3=rjlocc4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 

replace rjlocc2=rjlocc5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjlocc3=rjlocc5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjlocc4=rjlocc5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  

replace rjlocc3=rjlocc4 if sdw2~=. & sdw3==. & sdw4~=.

replace rjlocc3=rjlocc5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace rjlocc4=rjlocc5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.

replace rjlocc3=rjlocc6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjlocc4=rjlocc6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjlocc5=rjlocc6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  

replace rjlocc3=rjlocc7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlocc4=rjlocc7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlocc5=rjlocc7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlocc6=rjlocc7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.

replace rjlocc3=rjlocc8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlocc4=rjlocc8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlocc5=rjlocc8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlocc6=rjlocc8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlocc7=rjlocc8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
 
replace rjlocc3=rjlocc9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc4=rjlocc9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc5=rjlocc9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc6=rjlocc9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc7=rjlocc9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc8=rjlocc9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjlocc4=rjlocc5 if sdw3~=. & sdw4==. & sdw5~=.

replace rjlocc4=rjlocc6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace rjlocc5=rjlocc6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.

replace rjlocc4=rjlocc7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjlocc5=rjlocc7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjlocc6=rjlocc7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  

replace rjlocc5=rjlocc6 if sdw4~=. & sdw5==. & sdw6~=.

replace rjlocc5=rjlocc7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace rjlocc6=rjlocc7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.

replace rjlocc5=rjlocc8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjlocc6=rjlocc8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjlocc7=rjlocc8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  

replace rjlocc5=rjlocc9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc6=rjlocc9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc7=rjlocc9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc8=rjlocc9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjlocc6=rjlocc7 if sdw5~=. & sdw6==. & sdw7~=.

replace rjlocc6=rjlocc8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace rjlocc7=rjlocc8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.

replace rjlocc6=rjlocc9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjlocc7=rjlocc9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjlocc8=rjlocc9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

replace rjlocc7=rjlocc8 if sdw6~=. & sdw7==. & sdw8~=.

replace rjlocc7=rjlocc9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc8=rjlocc9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

replace rjlocc8=rjlocc9 if sdw7~=. & sdw8==. & sdw9~=.


gen     rjlocc =rjlocc1 if t<mid1 & mid1~=.
replace rjlocc= rjlocc2 if t>=mid1 & t<mid2
replace rjlocc= rjlocc3 if t>=mid2 & t<mid3
replace rjlocc= rjlocc4 if t>=mid3 & t<mid4
replace rjlocc= rjlocc5 if t>=mid4 & t<mid5
replace rjlocc= rjlocc6 if t>=mid5 & t<mid6
replace rjlocc= rjlocc7 if t>=mid6 & t<mid7
replace rjlocc= rjlocc8 if t>=mid7 & t<mid8
replace rjlocc= rjlocc9 if t>=mid8 & mid8~=.

drop rjlocc1 rjlocc2 rjlocc3 rjlocc4 rjlocc5 rjlocc6 rjlocc7 rjlocc8 rjlocc9

drop sdw* mid* 
drop _merge

su

drop if t==.

sort hhid pn t

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx15"  , replace

clear




clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_july2010_addvars.dta"  

keep hhid pn t sdw*

drop if t==. 

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tvv.dta" , keep(rjlocc_newcode*)

compress

*Assign the values of time varying variables between survey months

gen     mid1=sdw1+int((sdw2-sdw1)/2) if sdw1~=. & sdw2~=.
replace mid1=sdw1+int((sdw3-sdw1)/2) if sdw1~=. & sdw2==. & sdw3~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace mid1=sdw1+int((sdw5-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace mid1=sdw1+int((sdw6-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.
replace mid1=sdw1+int((sdw7-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=. 
replace mid1=sdw1+int((sdw8-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid1=sdw1+int((sdw9-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid2=sdw2+int((sdw3-sdw2)/2) if sdw2~=. & sdw3~=.
replace mid2=sdw2+int((sdw4-sdw2)/2) if sdw2~=. & sdw3==. & sdw4~=.
replace mid2=sdw2+int((sdw5-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace mid2=sdw2+int((sdw6-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace mid2=sdw2+int((sdw7-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace mid2=sdw2+int((sdw8-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace mid2=sdw2+int((sdw9-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid3=sdw3+int((sdw4-sdw3)/2) if sdw3~=. & sdw4~=.
replace mid3=sdw3+int((sdw5-sdw3)/2) if sdw3~=. & sdw4==. & sdw5~=.
replace mid3=sdw3+int((sdw6-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace mid3=sdw3+int((sdw7-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace mid3=sdw3+int((sdw8-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid3=sdw3+int((sdw9-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=. 

gen     mid4=sdw4+int((sdw5-sdw4)/2) if sdw4~=. & sdw5~=.
replace mid4=sdw4+int((sdw6-sdw4)/2) if sdw4~=. & sdw5==. & sdw6~=.
replace mid4=sdw4+int((sdw7-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace mid4=sdw4+int((sdw8-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace mid4=sdw4+int((sdw9-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid5=sdw5+int((sdw6-sdw5)/2) if sdw5~=. & sdw6~=.
replace mid5=sdw5+int((sdw7-sdw5)/2) if sdw5~=. & sdw6==. & sdw7~=.
replace mid5=sdw5+int((sdw8-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace mid5=sdw5+int((sdw9-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

gen     mid6=sdw6+int((sdw7-sdw6)/2) if sdw6~=. & sdw7~=.
replace mid6=sdw6+int((sdw8-sdw6)/2) if sdw6~=. & sdw7==. & sdw8~=.
replace mid6=sdw6+int((sdw9-sdw6)/2) if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

gen     mid7=sdw7+int((sdw8-sdw7)/2) if sdw7~=. & sdw8~=.
replace mid7=sdw7+int((sdw9-sdw7)/2) if sdw7~=. & sdw8==. & sdw9~=.

gen     mid8=sdw8+int((sdw9-sdw8)/2) if sdw8~=. & sdw9~=.



replace rjlocc_newcode2=rjlocc_newcode3 if sdw1~=. & sdw2==. & sdw3~=.

replace rjlocc_newcode2=rjlocc_newcode4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace rjlocc_newcode3=rjlocc_newcode4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 

replace rjlocc_newcode2=rjlocc_newcode5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjlocc_newcode3=rjlocc_newcode5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjlocc_newcode4=rjlocc_newcode5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  

replace rjlocc_newcode3=rjlocc_newcode4 if sdw2~=. & sdw3==. & sdw4~=.

replace rjlocc_newcode3=rjlocc_newcode5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace rjlocc_newcode4=rjlocc_newcode5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.

replace rjlocc_newcode3=rjlocc_newcode6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjlocc_newcode4=rjlocc_newcode6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjlocc_newcode5=rjlocc_newcode6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  

replace rjlocc_newcode3=rjlocc_newcode7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlocc_newcode4=rjlocc_newcode7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlocc_newcode5=rjlocc_newcode7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlocc_newcode6=rjlocc_newcode7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.

replace rjlocc_newcode3=rjlocc_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlocc_newcode4=rjlocc_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlocc_newcode5=rjlocc_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlocc_newcode6=rjlocc_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlocc_newcode7=rjlocc_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
 
replace rjlocc_newcode3=rjlocc_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc_newcode4=rjlocc_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc_newcode5=rjlocc_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc_newcode6=rjlocc_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc_newcode7=rjlocc_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc_newcode8=rjlocc_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjlocc_newcode4=rjlocc_newcode5 if sdw3~=. & sdw4==. & sdw5~=.

replace rjlocc_newcode4=rjlocc_newcode6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace rjlocc_newcode5=rjlocc_newcode6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.

replace rjlocc_newcode4=rjlocc_newcode7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjlocc_newcode5=rjlocc_newcode7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjlocc_newcode6=rjlocc_newcode7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  

replace rjlocc_newcode5=rjlocc_newcode6 if sdw4~=. & sdw5==. & sdw6~=.

replace rjlocc_newcode5=rjlocc_newcode7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace rjlocc_newcode6=rjlocc_newcode7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.

replace rjlocc_newcode5=rjlocc_newcode8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjlocc_newcode6=rjlocc_newcode8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjlocc_newcode7=rjlocc_newcode8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  

replace rjlocc_newcode5=rjlocc_newcode9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc_newcode6=rjlocc_newcode9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc_newcode7=rjlocc_newcode9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc_newcode8=rjlocc_newcode9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjlocc_newcode6=rjlocc_newcode7 if sdw5~=. & sdw6==. & sdw7~=.

replace rjlocc_newcode6=rjlocc_newcode8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace rjlocc_newcode7=rjlocc_newcode8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.

replace rjlocc_newcode6=rjlocc_newcode9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjlocc_newcode7=rjlocc_newcode9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjlocc_newcode8=rjlocc_newcode9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

replace rjlocc_newcode7=rjlocc_newcode8 if sdw6~=. & sdw7==. & sdw8~=.

replace rjlocc_newcode7=rjlocc_newcode9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.
replace rjlocc_newcode8=rjlocc_newcode9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

replace rjlocc_newcode8=rjlocc_newcode9 if sdw7~=. & sdw8==. & sdw9~=.


gen     rjlocc_newcode =rjlocc_newcode1 if t<mid1 & mid1~=.
replace rjlocc_newcode= rjlocc_newcode2 if t>=mid1 & t<mid2
replace rjlocc_newcode= rjlocc_newcode3 if t>=mid2 & t<mid3
replace rjlocc_newcode= rjlocc_newcode4 if t>=mid3 & t<mid4
replace rjlocc_newcode= rjlocc_newcode5 if t>=mid4 & t<mid5
replace rjlocc_newcode= rjlocc_newcode6 if t>=mid5 & t<mid6
replace rjlocc_newcode= rjlocc_newcode7 if t>=mid6 & t<mid7
replace rjlocc_newcode= rjlocc_newcode8 if t>=mid7 & t<mid8
replace rjlocc_newcode= rjlocc_newcode9 if t>=mid8 & mid8~=.

drop rjlocc_newcode1 rjlocc_newcode2 rjlocc_newcode3 rjlocc_newcode4 rjlocc_newcode5 rjlocc_newcode6 rjlocc_newcode7 rjlocc_newcode8 rjlocc_newcode9

drop sdw* mid* 
drop _merge

su

drop if t==.

sort hhid pn t

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx16"  , replace

clear




clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_july2010_addvars.dta"  

keep hhid pn t sdw*

drop if t==. 

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tvv.dta" , keep(rjlind*)

compress

*Assign the values of time varying variables between survey months

gen     mid1=sdw1+int((sdw2-sdw1)/2) if sdw1~=. & sdw2~=.
replace mid1=sdw1+int((sdw3-sdw1)/2) if sdw1~=. & sdw2==. & sdw3~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace mid1=sdw1+int((sdw5-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace mid1=sdw1+int((sdw6-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.
replace mid1=sdw1+int((sdw7-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=. 
replace mid1=sdw1+int((sdw8-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid1=sdw1+int((sdw9-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid2=sdw2+int((sdw3-sdw2)/2) if sdw2~=. & sdw3~=.
replace mid2=sdw2+int((sdw4-sdw2)/2) if sdw2~=. & sdw3==. & sdw4~=.
replace mid2=sdw2+int((sdw5-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace mid2=sdw2+int((sdw6-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace mid2=sdw2+int((sdw7-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace mid2=sdw2+int((sdw8-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace mid2=sdw2+int((sdw9-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid3=sdw3+int((sdw4-sdw3)/2) if sdw3~=. & sdw4~=.
replace mid3=sdw3+int((sdw5-sdw3)/2) if sdw3~=. & sdw4==. & sdw5~=.
replace mid3=sdw3+int((sdw6-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace mid3=sdw3+int((sdw7-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace mid3=sdw3+int((sdw8-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid3=sdw3+int((sdw9-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=. 

gen     mid4=sdw4+int((sdw5-sdw4)/2) if sdw4~=. & sdw5~=.
replace mid4=sdw4+int((sdw6-sdw4)/2) if sdw4~=. & sdw5==. & sdw6~=.
replace mid4=sdw4+int((sdw7-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace mid4=sdw4+int((sdw8-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace mid4=sdw4+int((sdw9-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid5=sdw5+int((sdw6-sdw5)/2) if sdw5~=. & sdw6~=.
replace mid5=sdw5+int((sdw7-sdw5)/2) if sdw5~=. & sdw6==. & sdw7~=.
replace mid5=sdw5+int((sdw8-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace mid5=sdw5+int((sdw9-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

gen     mid6=sdw6+int((sdw7-sdw6)/2) if sdw6~=. & sdw7~=.
replace mid6=sdw6+int((sdw8-sdw6)/2) if sdw6~=. & sdw7==. & sdw8~=.
replace mid6=sdw6+int((sdw9-sdw6)/2) if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

gen     mid7=sdw7+int((sdw8-sdw7)/2) if sdw7~=. & sdw8~=.
replace mid7=sdw7+int((sdw9-sdw7)/2) if sdw7~=. & sdw8==. & sdw9~=.

gen     mid8=sdw8+int((sdw9-sdw8)/2) if sdw8~=. & sdw9~=.



replace rjlind2=rjlind3 if sdw1~=. & sdw2==. & sdw3~=.

replace rjlind2=rjlind4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace rjlind3=rjlind4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 

replace rjlind2=rjlind5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjlind3=rjlind5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjlind4=rjlind5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  

replace rjlind3=rjlind4 if sdw2~=. & sdw3==. & sdw4~=.

replace rjlind3=rjlind5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace rjlind4=rjlind5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.

replace rjlind3=rjlind6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjlind4=rjlind6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjlind5=rjlind6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  

replace rjlind3=rjlind7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlind4=rjlind7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlind5=rjlind7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlind6=rjlind7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.

replace rjlind3=rjlind8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlind4=rjlind8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlind5=rjlind8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlind6=rjlind8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlind7=rjlind8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
 
replace rjlind3=rjlind9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind4=rjlind9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind5=rjlind9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind6=rjlind9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind7=rjlind9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind8=rjlind9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjlind4=rjlind5 if sdw3~=. & sdw4==. & sdw5~=.

replace rjlind4=rjlind6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace rjlind5=rjlind6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.

replace rjlind4=rjlind7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjlind5=rjlind7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjlind6=rjlind7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  

replace rjlind5=rjlind6 if sdw4~=. & sdw5==. & sdw6~=.

replace rjlind5=rjlind7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace rjlind6=rjlind7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.

replace rjlind5=rjlind8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjlind6=rjlind8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjlind7=rjlind8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  

replace rjlind5=rjlind9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind6=rjlind9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind7=rjlind9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind8=rjlind9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjlind6=rjlind7 if sdw5~=. & sdw6==. & sdw7~=.

replace rjlind6=rjlind8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace rjlind7=rjlind8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.

replace rjlind6=rjlind9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjlind7=rjlind9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjlind8=rjlind9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

replace rjlind7=rjlind8 if sdw6~=. & sdw7==. & sdw8~=.

replace rjlind7=rjlind9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind8=rjlind9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

replace rjlind8=rjlind9 if sdw7~=. & sdw8==. & sdw9~=.


gen     rjlind =rjlind1 if t<mid1 & mid1~=.
replace rjlind= rjlind2 if t>=mid1 & t<mid2
replace rjlind= rjlind3 if t>=mid2 & t<mid3
replace rjlind= rjlind4 if t>=mid3 & t<mid4
replace rjlind= rjlind5 if t>=mid4 & t<mid5
replace rjlind= rjlind6 if t>=mid5 & t<mid6
replace rjlind= rjlind7 if t>=mid6 & t<mid7
replace rjlind= rjlind8 if t>=mid7 & t<mid8
replace rjlind= rjlind9 if t>=mid8 & mid8~=.

drop rjlind1 rjlind2 rjlind3 rjlind4 rjlind5 rjlind6 rjlind7 rjlind8 rjlind9

drop sdw* mid* 
drop _merge

su

drop if t==.

sort hhid pn t

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx17"  , replace

clear




clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_july2010_addvars.dta"  

keep hhid pn t sdw*

drop if t==. 

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tvv.dta" , keep(rjlind_newcode*)

compress

*Assign the values of time varying variables between survey months

gen     mid1=sdw1+int((sdw2-sdw1)/2) if sdw1~=. & sdw2~=.
replace mid1=sdw1+int((sdw3-sdw1)/2) if sdw1~=. & sdw2==. & sdw3~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace mid1=sdw1+int((sdw5-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace mid1=sdw1+int((sdw6-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.
replace mid1=sdw1+int((sdw7-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=. 
replace mid1=sdw1+int((sdw8-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid1=sdw1+int((sdw9-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid2=sdw2+int((sdw3-sdw2)/2) if sdw2~=. & sdw3~=.
replace mid2=sdw2+int((sdw4-sdw2)/2) if sdw2~=. & sdw3==. & sdw4~=.
replace mid2=sdw2+int((sdw5-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace mid2=sdw2+int((sdw6-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace mid2=sdw2+int((sdw7-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace mid2=sdw2+int((sdw8-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace mid2=sdw2+int((sdw9-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid3=sdw3+int((sdw4-sdw3)/2) if sdw3~=. & sdw4~=.
replace mid3=sdw3+int((sdw5-sdw3)/2) if sdw3~=. & sdw4==. & sdw5~=.
replace mid3=sdw3+int((sdw6-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace mid3=sdw3+int((sdw7-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace mid3=sdw3+int((sdw8-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid3=sdw3+int((sdw9-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=. 

gen     mid4=sdw4+int((sdw5-sdw4)/2) if sdw4~=. & sdw5~=.
replace mid4=sdw4+int((sdw6-sdw4)/2) if sdw4~=. & sdw5==. & sdw6~=.
replace mid4=sdw4+int((sdw7-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace mid4=sdw4+int((sdw8-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace mid4=sdw4+int((sdw9-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid5=sdw5+int((sdw6-sdw5)/2) if sdw5~=. & sdw6~=.
replace mid5=sdw5+int((sdw7-sdw5)/2) if sdw5~=. & sdw6==. & sdw7~=.
replace mid5=sdw5+int((sdw8-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace mid5=sdw5+int((sdw9-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

gen     mid6=sdw6+int((sdw7-sdw6)/2) if sdw6~=. & sdw7~=.
replace mid6=sdw6+int((sdw8-sdw6)/2) if sdw6~=. & sdw7==. & sdw8~=.
replace mid6=sdw6+int((sdw9-sdw6)/2) if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

gen     mid7=sdw7+int((sdw8-sdw7)/2) if sdw7~=. & sdw8~=.
replace mid7=sdw7+int((sdw9-sdw7)/2) if sdw7~=. & sdw8==. & sdw9~=.

gen     mid8=sdw8+int((sdw9-sdw8)/2) if sdw8~=. & sdw9~=.



replace rjlind_newcode2=rjlind_newcode3 if sdw1~=. & sdw2==. & sdw3~=.

replace rjlind_newcode2=rjlind_newcode4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace rjlind_newcode3=rjlind_newcode4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 

replace rjlind_newcode2=rjlind_newcode5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjlind_newcode3=rjlind_newcode5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjlind_newcode4=rjlind_newcode5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  

replace rjlind_newcode3=rjlind_newcode4 if sdw2~=. & sdw3==. & sdw4~=.

replace rjlind_newcode3=rjlind_newcode5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace rjlind_newcode4=rjlind_newcode5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.

replace rjlind_newcode3=rjlind_newcode6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjlind_newcode4=rjlind_newcode6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjlind_newcode5=rjlind_newcode6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  

replace rjlind_newcode3=rjlind_newcode7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlind_newcode4=rjlind_newcode7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlind_newcode5=rjlind_newcode7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlind_newcode6=rjlind_newcode7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.

replace rjlind_newcode3=rjlind_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlind_newcode4=rjlind_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlind_newcode5=rjlind_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlind_newcode6=rjlind_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlind_newcode7=rjlind_newcode8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
 
replace rjlind_newcode3=rjlind_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind_newcode4=rjlind_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind_newcode5=rjlind_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind_newcode6=rjlind_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind_newcode7=rjlind_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind_newcode8=rjlind_newcode9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjlind_newcode4=rjlind_newcode5 if sdw3~=. & sdw4==. & sdw5~=.

replace rjlind_newcode4=rjlind_newcode6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace rjlind_newcode5=rjlind_newcode6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.

replace rjlind_newcode4=rjlind_newcode7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjlind_newcode5=rjlind_newcode7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjlind_newcode6=rjlind_newcode7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  

replace rjlind_newcode5=rjlind_newcode6 if sdw4~=. & sdw5==. & sdw6~=.

replace rjlind_newcode5=rjlind_newcode7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace rjlind_newcode6=rjlind_newcode7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.

replace rjlind_newcode5=rjlind_newcode8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjlind_newcode6=rjlind_newcode8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjlind_newcode7=rjlind_newcode8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  

replace rjlind_newcode5=rjlind_newcode9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind_newcode6=rjlind_newcode9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind_newcode7=rjlind_newcode9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind_newcode8=rjlind_newcode9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjlind_newcode6=rjlind_newcode7 if sdw5~=. & sdw6==. & sdw7~=.

replace rjlind_newcode6=rjlind_newcode8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace rjlind_newcode7=rjlind_newcode8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.

replace rjlind_newcode6=rjlind_newcode9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjlind_newcode7=rjlind_newcode9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjlind_newcode8=rjlind_newcode9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

replace rjlind_newcode7=rjlind_newcode8 if sdw6~=. & sdw7==. & sdw8~=.

replace rjlind_newcode7=rjlind_newcode9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.
replace rjlind_newcode8=rjlind_newcode9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

replace rjlind_newcode8=rjlind_newcode9 if sdw7~=. & sdw8==. & sdw9~=.


gen     rjlind_newcode =rjlind_newcode1 if t<mid1 & mid1~=.
replace rjlind_newcode= rjlind_newcode2 if t>=mid1 & t<mid2
replace rjlind_newcode= rjlind_newcode3 if t>=mid2 & t<mid3
replace rjlind_newcode= rjlind_newcode4 if t>=mid3 & t<mid4
replace rjlind_newcode= rjlind_newcode5 if t>=mid4 & t<mid5
replace rjlind_newcode= rjlind_newcode6 if t>=mid5 & t<mid6
replace rjlind_newcode= rjlind_newcode7 if t>=mid6 & t<mid7
replace rjlind_newcode= rjlind_newcode8 if t>=mid7 & t<mid8
replace rjlind_newcode= rjlind_newcode9 if t>=mid8 & mid8~=.

drop rjlind_newcode1 rjlind_newcode2 rjlind_newcode3 rjlind_newcode4 rjlind_newcode5 rjlind_newcode6 rjlind_newcode7 rjlind_newcode8 rjlind_newcode9

drop sdw* mid* 
drop _merge

su

drop if t==.

sort hhid pn t

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx18"  , replace

clear





clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_july2010_addvars.dta"  

keep hhid pn t sdw*

drop if t==. 

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tvv.dta" , keep(rjstres*)

compress

*Assign the values of time varying variables between survey months

gen     mid1=sdw1+int((sdw2-sdw1)/2) if sdw1~=. & sdw2~=.
replace mid1=sdw1+int((sdw3-sdw1)/2) if sdw1~=. & sdw2==. & sdw3~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace mid1=sdw1+int((sdw5-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace mid1=sdw1+int((sdw6-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.
replace mid1=sdw1+int((sdw7-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=. 
replace mid1=sdw1+int((sdw8-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid1=sdw1+int((sdw9-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid2=sdw2+int((sdw3-sdw2)/2) if sdw2~=. & sdw3~=.
replace mid2=sdw2+int((sdw4-sdw2)/2) if sdw2~=. & sdw3==. & sdw4~=.
replace mid2=sdw2+int((sdw5-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace mid2=sdw2+int((sdw6-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace mid2=sdw2+int((sdw7-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace mid2=sdw2+int((sdw8-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace mid2=sdw2+int((sdw9-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid3=sdw3+int((sdw4-sdw3)/2) if sdw3~=. & sdw4~=.
replace mid3=sdw3+int((sdw5-sdw3)/2) if sdw3~=. & sdw4==. & sdw5~=.
replace mid3=sdw3+int((sdw6-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace mid3=sdw3+int((sdw7-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace mid3=sdw3+int((sdw8-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid3=sdw3+int((sdw9-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=. 

gen     mid4=sdw4+int((sdw5-sdw4)/2) if sdw4~=. & sdw5~=.
replace mid4=sdw4+int((sdw6-sdw4)/2) if sdw4~=. & sdw5==. & sdw6~=.
replace mid4=sdw4+int((sdw7-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace mid4=sdw4+int((sdw8-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace mid4=sdw4+int((sdw9-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid5=sdw5+int((sdw6-sdw5)/2) if sdw5~=. & sdw6~=.
replace mid5=sdw5+int((sdw7-sdw5)/2) if sdw5~=. & sdw6==. & sdw7~=.
replace mid5=sdw5+int((sdw8-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace mid5=sdw5+int((sdw9-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

gen     mid6=sdw6+int((sdw7-sdw6)/2) if sdw6~=. & sdw7~=.
replace mid6=sdw6+int((sdw8-sdw6)/2) if sdw6~=. & sdw7==. & sdw8~=.
replace mid6=sdw6+int((sdw9-sdw6)/2) if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

gen     mid7=sdw7+int((sdw8-sdw7)/2) if sdw7~=. & sdw8~=.
replace mid7=sdw7+int((sdw9-sdw7)/2) if sdw7~=. & sdw8==. & sdw9~=.

gen     mid8=sdw8+int((sdw9-sdw8)/2) if sdw8~=. & sdw9~=.



replace rjstres2=rjstres3 if sdw1~=. & sdw2==. & sdw3~=.

replace rjstres2=rjstres4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace rjstres3=rjstres4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 

replace rjstres2=rjstres5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjstres3=rjstres5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjstres4=rjstres5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  

replace rjstres3=rjstres4 if sdw2~=. & sdw3==. & sdw4~=.

replace rjstres3=rjstres5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace rjstres4=rjstres5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.

replace rjstres3=rjstres6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjstres4=rjstres6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjstres5=rjstres6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  

replace rjstres3=rjstres7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjstres4=rjstres7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjstres5=rjstres7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjstres6=rjstres7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.

replace rjstres3=rjstres8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjstres4=rjstres8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjstres5=rjstres8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjstres6=rjstres8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjstres7=rjstres8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
 
replace rjstres3=rjstres9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstres4=rjstres9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstres5=rjstres9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstres6=rjstres9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstres7=rjstres9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstres8=rjstres9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjstres4=rjstres5 if sdw3~=. & sdw4==. & sdw5~=.

replace rjstres4=rjstres6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace rjstres5=rjstres6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.

replace rjstres4=rjstres7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjstres5=rjstres7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjstres6=rjstres7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  

replace rjstres5=rjstres6 if sdw4~=. & sdw5==. & sdw6~=.

replace rjstres5=rjstres7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace rjstres6=rjstres7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.

replace rjstres5=rjstres8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjstres6=rjstres8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjstres7=rjstres8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  

replace rjstres5=rjstres9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstres6=rjstres9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstres7=rjstres9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstres8=rjstres9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjstres6=rjstres7 if sdw5~=. & sdw6==. & sdw7~=.

replace rjstres6=rjstres8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace rjstres7=rjstres8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.

replace rjstres6=rjstres9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjstres7=rjstres9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjstres8=rjstres9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

replace rjstres7=rjstres8 if sdw6~=. & sdw7==. & sdw8~=.

replace rjstres7=rjstres9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.
replace rjstres8=rjstres9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

replace rjstres8=rjstres9 if sdw7~=. & sdw8==. & sdw9~=.


gen     rjstres =rjstres1 if t<mid1 & mid1~=.
replace rjstres= rjstres2 if t>=mid1 & t<mid2
replace rjstres= rjstres3 if t>=mid2 & t<mid3
replace rjstres= rjstres4 if t>=mid3 & t<mid4
replace rjstres= rjstres5 if t>=mid4 & t<mid5
replace rjstres= rjstres6 if t>=mid5 & t<mid6
replace rjstres= rjstres7 if t>=mid6 & t<mid7
replace rjstres= rjstres8 if t>=mid7 & t<mid8
replace rjstres= rjstres9 if t>=mid8 & mid8~=.

drop rjstres1 rjstres2 rjstres3 rjstres4 rjstres5 rjstres6 rjstres7 rjstres8 rjstres9

drop sdw* mid* 
drop _merge

su

drop if t==.

sort hhid pn t

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx19"  , replace

clear




clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_july2010_addvars.dta"  

keep hhid pn t sdw*

drop if t==. 

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tvv.dta" , keep(rjsight*)

compress

*Assign the values of time varying variables between survey months

gen     mid1=sdw1+int((sdw2-sdw1)/2) if sdw1~=. & sdw2~=.
replace mid1=sdw1+int((sdw3-sdw1)/2) if sdw1~=. & sdw2==. & sdw3~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace mid1=sdw1+int((sdw5-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace mid1=sdw1+int((sdw6-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.
replace mid1=sdw1+int((sdw7-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=. 
replace mid1=sdw1+int((sdw8-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid1=sdw1+int((sdw9-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid2=sdw2+int((sdw3-sdw2)/2) if sdw2~=. & sdw3~=.
replace mid2=sdw2+int((sdw4-sdw2)/2) if sdw2~=. & sdw3==. & sdw4~=.
replace mid2=sdw2+int((sdw5-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace mid2=sdw2+int((sdw6-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace mid2=sdw2+int((sdw7-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace mid2=sdw2+int((sdw8-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace mid2=sdw2+int((sdw9-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid3=sdw3+int((sdw4-sdw3)/2) if sdw3~=. & sdw4~=.
replace mid3=sdw3+int((sdw5-sdw3)/2) if sdw3~=. & sdw4==. & sdw5~=.
replace mid3=sdw3+int((sdw6-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace mid3=sdw3+int((sdw7-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace mid3=sdw3+int((sdw8-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid3=sdw3+int((sdw9-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=. 

gen     mid4=sdw4+int((sdw5-sdw4)/2) if sdw4~=. & sdw5~=.
replace mid4=sdw4+int((sdw6-sdw4)/2) if sdw4~=. & sdw5==. & sdw6~=.
replace mid4=sdw4+int((sdw7-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace mid4=sdw4+int((sdw8-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace mid4=sdw4+int((sdw9-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid5=sdw5+int((sdw6-sdw5)/2) if sdw5~=. & sdw6~=.
replace mid5=sdw5+int((sdw7-sdw5)/2) if sdw5~=. & sdw6==. & sdw7~=.
replace mid5=sdw5+int((sdw8-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace mid5=sdw5+int((sdw9-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

gen     mid6=sdw6+int((sdw7-sdw6)/2) if sdw6~=. & sdw7~=.
replace mid6=sdw6+int((sdw8-sdw6)/2) if sdw6~=. & sdw7==. & sdw8~=.
replace mid6=sdw6+int((sdw9-sdw6)/2) if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

gen     mid7=sdw7+int((sdw8-sdw7)/2) if sdw7~=. & sdw8~=.
replace mid7=sdw7+int((sdw9-sdw7)/2) if sdw7~=. & sdw8==. & sdw9~=.

gen     mid8=sdw8+int((sdw9-sdw8)/2) if sdw8~=. & sdw9~=.



replace rjsight2=rjsight3 if sdw1~=. & sdw2==. & sdw3~=.

replace rjsight2=rjsight4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace rjsight3=rjsight4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 

replace rjsight2=rjsight5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjsight3=rjsight5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjsight4=rjsight5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  

replace rjsight3=rjsight4 if sdw2~=. & sdw3==. & sdw4~=.

replace rjsight3=rjsight5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace rjsight4=rjsight5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.

replace rjsight3=rjsight6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjsight4=rjsight6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjsight5=rjsight6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  

replace rjsight3=rjsight7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjsight4=rjsight7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjsight5=rjsight7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjsight6=rjsight7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.

replace rjsight3=rjsight8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjsight4=rjsight8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjsight5=rjsight8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjsight6=rjsight8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjsight7=rjsight8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
 
replace rjsight3=rjsight9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjsight4=rjsight9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjsight5=rjsight9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjsight6=rjsight9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjsight7=rjsight9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjsight8=rjsight9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjsight4=rjsight5 if sdw3~=. & sdw4==. & sdw5~=.

replace rjsight4=rjsight6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace rjsight5=rjsight6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.

replace rjsight4=rjsight7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjsight5=rjsight7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjsight6=rjsight7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  

replace rjsight5=rjsight6 if sdw4~=. & sdw5==. & sdw6~=.

replace rjsight5=rjsight7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace rjsight6=rjsight7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.

replace rjsight5=rjsight8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjsight6=rjsight8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjsight7=rjsight8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  

replace rjsight5=rjsight9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjsight6=rjsight9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjsight7=rjsight9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjsight8=rjsight9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjsight6=rjsight7 if sdw5~=. & sdw6==. & sdw7~=.

replace rjsight6=rjsight8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace rjsight7=rjsight8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.

replace rjsight6=rjsight9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjsight7=rjsight9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjsight8=rjsight9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

replace rjsight7=rjsight8 if sdw6~=. & sdw7==. & sdw8~=.

replace rjsight7=rjsight9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.
replace rjsight8=rjsight9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

replace rjsight8=rjsight9 if sdw7~=. & sdw8==. & sdw9~=.


gen     rjsight =rjsight1 if t<mid1 & mid1~=.
replace rjsight= rjsight2 if t>=mid1 & t<mid2
replace rjsight= rjsight3 if t>=mid2 & t<mid3
replace rjsight= rjsight4 if t>=mid3 & t<mid4
replace rjsight= rjsight5 if t>=mid4 & t<mid5
replace rjsight= rjsight6 if t>=mid5 & t<mid6
replace rjsight= rjsight7 if t>=mid6 & t<mid7
replace rjsight= rjsight8 if t>=mid7 & t<mid8
replace rjsight= rjsight9 if t>=mid8 & mid8~=.

drop rjsight1 rjsight2 rjsight3 rjsight4 rjsight5 rjsight6 rjsight7 rjsight8 rjsight9

drop sdw* mid* 
drop _merge

su

drop if t==.

sort hhid pn t

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx20"  , replace

clear




clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_july2010_addvars.dta"  

keep hhid pn t sdw*

drop if t==. 

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tvv.dta" , keep(rjphys*)

compress

*Assign the values of time varying variables between survey months

gen     mid1=sdw1+int((sdw2-sdw1)/2) if sdw1~=. & sdw2~=.
replace mid1=sdw1+int((sdw3-sdw1)/2) if sdw1~=. & sdw2==. & sdw3~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace mid1=sdw1+int((sdw5-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace mid1=sdw1+int((sdw6-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.
replace mid1=sdw1+int((sdw7-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=. 
replace mid1=sdw1+int((sdw8-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid1=sdw1+int((sdw9-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid2=sdw2+int((sdw3-sdw2)/2) if sdw2~=. & sdw3~=.
replace mid2=sdw2+int((sdw4-sdw2)/2) if sdw2~=. & sdw3==. & sdw4~=.
replace mid2=sdw2+int((sdw5-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace mid2=sdw2+int((sdw6-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace mid2=sdw2+int((sdw7-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace mid2=sdw2+int((sdw8-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace mid2=sdw2+int((sdw9-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid3=sdw3+int((sdw4-sdw3)/2) if sdw3~=. & sdw4~=.
replace mid3=sdw3+int((sdw5-sdw3)/2) if sdw3~=. & sdw4==. & sdw5~=.
replace mid3=sdw3+int((sdw6-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace mid3=sdw3+int((sdw7-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace mid3=sdw3+int((sdw8-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid3=sdw3+int((sdw9-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=. 

gen     mid4=sdw4+int((sdw5-sdw4)/2) if sdw4~=. & sdw5~=.
replace mid4=sdw4+int((sdw6-sdw4)/2) if sdw4~=. & sdw5==. & sdw6~=.
replace mid4=sdw4+int((sdw7-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace mid4=sdw4+int((sdw8-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace mid4=sdw4+int((sdw9-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid5=sdw5+int((sdw6-sdw5)/2) if sdw5~=. & sdw6~=.
replace mid5=sdw5+int((sdw7-sdw5)/2) if sdw5~=. & sdw6==. & sdw7~=.
replace mid5=sdw5+int((sdw8-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace mid5=sdw5+int((sdw9-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

gen     mid6=sdw6+int((sdw7-sdw6)/2) if sdw6~=. & sdw7~=.
replace mid6=sdw6+int((sdw8-sdw6)/2) if sdw6~=. & sdw7==. & sdw8~=.
replace mid6=sdw6+int((sdw9-sdw6)/2) if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

gen     mid7=sdw7+int((sdw8-sdw7)/2) if sdw7~=. & sdw8~=.
replace mid7=sdw7+int((sdw9-sdw7)/2) if sdw7~=. & sdw8==. & sdw9~=.

gen     mid8=sdw8+int((sdw9-sdw8)/2) if sdw8~=. & sdw9~=.



replace rjphys2=rjphys3 if sdw1~=. & sdw2==. & sdw3~=.

replace rjphys2=rjphys4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace rjphys3=rjphys4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 

replace rjphys2=rjphys5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjphys3=rjphys5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjphys4=rjphys5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  

replace rjphys3=rjphys4 if sdw2~=. & sdw3==. & sdw4~=.

replace rjphys3=rjphys5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace rjphys4=rjphys5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.

replace rjphys3=rjphys6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjphys4=rjphys6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjphys5=rjphys6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  

replace rjphys3=rjphys7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjphys4=rjphys7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjphys5=rjphys7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjphys6=rjphys7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.

replace rjphys3=rjphys8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjphys4=rjphys8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjphys5=rjphys8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjphys6=rjphys8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjphys7=rjphys8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
 
replace rjphys3=rjphys9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjphys4=rjphys9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjphys5=rjphys9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjphys6=rjphys9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjphys7=rjphys9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjphys8=rjphys9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjphys4=rjphys5 if sdw3~=. & sdw4==. & sdw5~=.

replace rjphys4=rjphys6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace rjphys5=rjphys6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.

replace rjphys4=rjphys7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjphys5=rjphys7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjphys6=rjphys7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  

replace rjphys5=rjphys6 if sdw4~=. & sdw5==. & sdw6~=.

replace rjphys5=rjphys7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace rjphys6=rjphys7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.

replace rjphys5=rjphys8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjphys6=rjphys8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjphys7=rjphys8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  

replace rjphys5=rjphys9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjphys6=rjphys9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjphys7=rjphys9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjphys8=rjphys9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjphys6=rjphys7 if sdw5~=. & sdw6==. & sdw7~=.

replace rjphys6=rjphys8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace rjphys7=rjphys8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.

replace rjphys6=rjphys9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjphys7=rjphys9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjphys8=rjphys9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

replace rjphys7=rjphys8 if sdw6~=. & sdw7==. & sdw8~=.

replace rjphys7=rjphys9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.
replace rjphys8=rjphys9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

replace rjphys8=rjphys9 if sdw7~=. & sdw8==. & sdw9~=.


gen     rjphys =rjphys1 if t<mid1 & mid1~=.
replace rjphys= rjphys2 if t>=mid1 & t<mid2
replace rjphys= rjphys3 if t>=mid2 & t<mid3
replace rjphys= rjphys4 if t>=mid3 & t<mid4
replace rjphys= rjphys5 if t>=mid4 & t<mid5
replace rjphys= rjphys6 if t>=mid5 & t<mid6
replace rjphys= rjphys7 if t>=mid6 & t<mid7
replace rjphys= rjphys8 if t>=mid7 & t<mid8
replace rjphys= rjphys9 if t>=mid8 & mid8~=.

drop rjphys1 rjphys2 rjphys3 rjphys4 rjphys5 rjphys6 rjphys7 rjphys8 rjphys9

drop sdw* mid* 
drop _merge

su

drop if t==.

sort hhid pn t

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx21"  , replace

clear




clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_july2010_addvars.dta"  

keep hhid pn t sdw*

drop if t==. 

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tvv.dta" , keep(rjlift*)

compress

*Assign the values of time varying variables between survey months

gen     mid1=sdw1+int((sdw2-sdw1)/2) if sdw1~=. & sdw2~=.
replace mid1=sdw1+int((sdw3-sdw1)/2) if sdw1~=. & sdw2==. & sdw3~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace mid1=sdw1+int((sdw5-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace mid1=sdw1+int((sdw6-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.
replace mid1=sdw1+int((sdw7-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=. 
replace mid1=sdw1+int((sdw8-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid1=sdw1+int((sdw9-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid2=sdw2+int((sdw3-sdw2)/2) if sdw2~=. & sdw3~=.
replace mid2=sdw2+int((sdw4-sdw2)/2) if sdw2~=. & sdw3==. & sdw4~=.
replace mid2=sdw2+int((sdw5-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace mid2=sdw2+int((sdw6-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace mid2=sdw2+int((sdw7-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace mid2=sdw2+int((sdw8-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace mid2=sdw2+int((sdw9-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid3=sdw3+int((sdw4-sdw3)/2) if sdw3~=. & sdw4~=.
replace mid3=sdw3+int((sdw5-sdw3)/2) if sdw3~=. & sdw4==. & sdw5~=.
replace mid3=sdw3+int((sdw6-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace mid3=sdw3+int((sdw7-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace mid3=sdw3+int((sdw8-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid3=sdw3+int((sdw9-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=. 

gen     mid4=sdw4+int((sdw5-sdw4)/2) if sdw4~=. & sdw5~=.
replace mid4=sdw4+int((sdw6-sdw4)/2) if sdw4~=. & sdw5==. & sdw6~=.
replace mid4=sdw4+int((sdw7-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace mid4=sdw4+int((sdw8-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace mid4=sdw4+int((sdw9-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid5=sdw5+int((sdw6-sdw5)/2) if sdw5~=. & sdw6~=.
replace mid5=sdw5+int((sdw7-sdw5)/2) if sdw5~=. & sdw6==. & sdw7~=.
replace mid5=sdw5+int((sdw8-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace mid5=sdw5+int((sdw9-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

gen     mid6=sdw6+int((sdw7-sdw6)/2) if sdw6~=. & sdw7~=.
replace mid6=sdw6+int((sdw8-sdw6)/2) if sdw6~=. & sdw7==. & sdw8~=.
replace mid6=sdw6+int((sdw9-sdw6)/2) if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

gen     mid7=sdw7+int((sdw8-sdw7)/2) if sdw7~=. & sdw8~=.
replace mid7=sdw7+int((sdw9-sdw7)/2) if sdw7~=. & sdw8==. & sdw9~=.

gen     mid8=sdw8+int((sdw9-sdw8)/2) if sdw8~=. & sdw9~=.



replace rjlift2=rjlift3 if sdw1~=. & sdw2==. & sdw3~=.

replace rjlift2=rjlift4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace rjlift3=rjlift4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 

replace rjlift2=rjlift5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjlift3=rjlift5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjlift4=rjlift5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  

replace rjlift3=rjlift4 if sdw2~=. & sdw3==. & sdw4~=.

replace rjlift3=rjlift5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace rjlift4=rjlift5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.

replace rjlift3=rjlift6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjlift4=rjlift6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjlift5=rjlift6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  

replace rjlift3=rjlift7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlift4=rjlift7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlift5=rjlift7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjlift6=rjlift7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.

replace rjlift3=rjlift8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlift4=rjlift8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlift5=rjlift8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlift6=rjlift8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjlift7=rjlift8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
 
replace rjlift3=rjlift9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlift4=rjlift9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlift5=rjlift9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlift6=rjlift9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlift7=rjlift9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlift8=rjlift9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjlift4=rjlift5 if sdw3~=. & sdw4==. & sdw5~=.

replace rjlift4=rjlift6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace rjlift5=rjlift6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.

replace rjlift4=rjlift7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjlift5=rjlift7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjlift6=rjlift7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  

replace rjlift5=rjlift6 if sdw4~=. & sdw5==. & sdw6~=.

replace rjlift5=rjlift7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace rjlift6=rjlift7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.

replace rjlift5=rjlift8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjlift6=rjlift8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjlift7=rjlift8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  

replace rjlift5=rjlift9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlift6=rjlift9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlift7=rjlift9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjlift8=rjlift9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjlift6=rjlift7 if sdw5~=. & sdw6==. & sdw7~=.

replace rjlift6=rjlift8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace rjlift7=rjlift8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.

replace rjlift6=rjlift9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjlift7=rjlift9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjlift8=rjlift9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

replace rjlift7=rjlift8 if sdw6~=. & sdw7==. & sdw8~=.

replace rjlift7=rjlift9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.
replace rjlift8=rjlift9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

replace rjlift8=rjlift9 if sdw7~=. & sdw8==. & sdw9~=.


gen     rjlift =rjlift1 if t<mid1 & mid1~=.
replace rjlift= rjlift2 if t>=mid1 & t<mid2
replace rjlift= rjlift3 if t>=mid2 & t<mid3
replace rjlift= rjlift4 if t>=mid3 & t<mid4
replace rjlift= rjlift5 if t>=mid4 & t<mid5
replace rjlift= rjlift6 if t>=mid5 & t<mid6
replace rjlift= rjlift7 if t>=mid6 & t<mid7
replace rjlift= rjlift8 if t>=mid7 & t<mid8
replace rjlift= rjlift9 if t>=mid8 & mid8~=.

drop rjlift1 rjlift2 rjlift3 rjlift4 rjlift5 rjlift6 rjlift7 rjlift8 rjlift9

drop sdw* mid* 
drop _merge

su

drop if t==.

sort hhid pn t

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx22"  , replace

clear




clear

use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_july2010_addvars.dta"  

keep hhid pn t sdw*

drop if t==. 

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tvv.dta" , keep(rjstoop*)

compress

*Assign the values of time varying variables between survey months

gen     mid1=sdw1+int((sdw2-sdw1)/2) if sdw1~=. & sdw2~=.
replace mid1=sdw1+int((sdw3-sdw1)/2) if sdw1~=. & sdw2==. & sdw3~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace mid1=sdw1+int((sdw5-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace mid1=sdw1+int((sdw6-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.
replace mid1=sdw1+int((sdw7-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=. 
replace mid1=sdw1+int((sdw8-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid1=sdw1+int((sdw9-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid2=sdw2+int((sdw3-sdw2)/2) if sdw2~=. & sdw3~=.
replace mid2=sdw2+int((sdw4-sdw2)/2) if sdw2~=. & sdw3==. & sdw4~=.
replace mid2=sdw2+int((sdw5-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace mid2=sdw2+int((sdw6-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace mid2=sdw2+int((sdw7-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace mid2=sdw2+int((sdw8-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace mid2=sdw2+int((sdw9-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid3=sdw3+int((sdw4-sdw3)/2) if sdw3~=. & sdw4~=.
replace mid3=sdw3+int((sdw5-sdw3)/2) if sdw3~=. & sdw4==. & sdw5~=.
replace mid3=sdw3+int((sdw6-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace mid3=sdw3+int((sdw7-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace mid3=sdw3+int((sdw8-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid3=sdw3+int((sdw9-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=. 

gen     mid4=sdw4+int((sdw5-sdw4)/2) if sdw4~=. & sdw5~=.
replace mid4=sdw4+int((sdw6-sdw4)/2) if sdw4~=. & sdw5==. & sdw6~=.
replace mid4=sdw4+int((sdw7-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace mid4=sdw4+int((sdw8-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace mid4=sdw4+int((sdw9-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid5=sdw5+int((sdw6-sdw5)/2) if sdw5~=. & sdw6~=.
replace mid5=sdw5+int((sdw7-sdw5)/2) if sdw5~=. & sdw6==. & sdw7~=.
replace mid5=sdw5+int((sdw8-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace mid5=sdw5+int((sdw9-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

gen     mid6=sdw6+int((sdw7-sdw6)/2) if sdw6~=. & sdw7~=.
replace mid6=sdw6+int((sdw8-sdw6)/2) if sdw6~=. & sdw7==. & sdw8~=.
replace mid6=sdw6+int((sdw9-sdw6)/2) if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

gen     mid7=sdw7+int((sdw8-sdw7)/2) if sdw7~=. & sdw8~=.
replace mid7=sdw7+int((sdw9-sdw7)/2) if sdw7~=. & sdw8==. & sdw9~=.

gen     mid8=sdw8+int((sdw9-sdw8)/2) if sdw8~=. & sdw9~=.



replace rjstoop2=rjstoop3 if sdw1~=. & sdw2==. & sdw3~=.

replace rjstoop2=rjstoop4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace rjstoop3=rjstoop4 if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 

replace rjstoop2=rjstoop5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjstoop3=rjstoop5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace rjstoop4=rjstoop5 if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  

replace rjstoop3=rjstoop4 if sdw2~=. & sdw3==. & sdw4~=.

replace rjstoop3=rjstoop5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace rjstoop4=rjstoop5 if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.

replace rjstoop3=rjstoop6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjstoop4=rjstoop6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace rjstoop5=rjstoop6 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  

replace rjstoop3=rjstoop7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjstoop4=rjstoop7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjstoop5=rjstoop7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace rjstoop6=rjstoop7 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.

replace rjstoop3=rjstoop8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjstoop4=rjstoop8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjstoop5=rjstoop8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjstoop6=rjstoop8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace rjstoop7=rjstoop8 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
 
replace rjstoop3=rjstoop9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstoop4=rjstoop9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstoop5=rjstoop9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstoop6=rjstoop9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstoop7=rjstoop9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstoop8=rjstoop9 if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjstoop4=rjstoop5 if sdw3~=. & sdw4==. & sdw5~=.

replace rjstoop4=rjstoop6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace rjstoop5=rjstoop6 if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.

replace rjstoop4=rjstoop7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjstoop5=rjstoop7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace rjstoop6=rjstoop7 if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  

replace rjstoop5=rjstoop6 if sdw4~=. & sdw5==. & sdw6~=.

replace rjstoop5=rjstoop7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace rjstoop6=rjstoop7 if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.

replace rjstoop5=rjstoop8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjstoop6=rjstoop8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace rjstoop7=rjstoop8 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  

replace rjstoop5=rjstoop9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstoop6=rjstoop9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstoop7=rjstoop9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.
replace rjstoop8=rjstoop9 if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

replace rjstoop6=rjstoop7 if sdw5~=. & sdw6==. & sdw7~=.

replace rjstoop6=rjstoop8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace rjstoop7=rjstoop8 if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.

replace rjstoop6=rjstoop9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjstoop7=rjstoop9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  
replace rjstoop8=rjstoop9 if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

replace rjstoop7=rjstoop8 if sdw6~=. & sdw7==. & sdw8~=.

replace rjstoop7=rjstoop9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.
replace rjstoop8=rjstoop9 if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

replace rjstoop8=rjstoop9 if sdw7~=. & sdw8==. & sdw9~=.


gen     rjstoop =rjstoop1 if t<mid1 & mid1~=.
replace rjstoop= rjstoop2 if t>=mid1 & t<mid2
replace rjstoop= rjstoop3 if t>=mid2 & t<mid3
replace rjstoop= rjstoop4 if t>=mid3 & t<mid4
replace rjstoop= rjstoop5 if t>=mid4 & t<mid5
replace rjstoop= rjstoop6 if t>=mid5 & t<mid6
replace rjstoop= rjstoop7 if t>=mid6 & t<mid7
replace rjstoop= rjstoop8 if t>=mid7 & t<mid8
replace rjstoop= rjstoop9 if t>=mid8 & mid8~=.

drop rjstoop1 rjstoop2 rjstoop3 rjstoop4 rjstoop5 rjstoop6 rjstoop7 rjstoop8 rjstoop9

drop sdw* mid* 
drop _merge

su

drop if t==.

sort hhid pn t

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx23"  , replace

clear









use "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_july2010_addvars.dta"  

keep hhid pn t sdw*

drop if t==. 

sort hhid pn t

merge hhid pn using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tvv.dta" , keep(rplanret*)

compress

*Assign the values of time varying variables between survey months

gen     mid1=sdw1+int((sdw2-sdw1)/2) if sdw1~=. & sdw2~=.
replace mid1=sdw1+int((sdw3-sdw1)/2) if sdw1~=. & sdw2==. & sdw3~=.
replace mid1=sdw1+int((sdw4-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4~=. 
replace mid1=sdw1+int((sdw5-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5~=.  
replace mid1=sdw1+int((sdw6-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.
replace mid1=sdw1+int((sdw7-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=. 
replace mid1=sdw1+int((sdw8-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid1=sdw1+int((sdw9-sdw1)/2) if sdw1~=. & sdw2==. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid2=sdw2+int((sdw3-sdw2)/2) if sdw2~=. & sdw3~=.
replace mid2=sdw2+int((sdw4-sdw2)/2) if sdw2~=. & sdw3==. & sdw4~=.
replace mid2=sdw2+int((sdw5-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5~=.
replace mid2=sdw2+int((sdw6-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6~=.  
replace mid2=sdw2+int((sdw7-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.
replace mid2=sdw2+int((sdw8-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=. 
replace mid2=sdw2+int((sdw9-sdw2)/2) if sdw2~=. & sdw3==. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid3=sdw3+int((sdw4-sdw3)/2) if sdw3~=. & sdw4~=.
replace mid3=sdw3+int((sdw5-sdw3)/2) if sdw3~=. & sdw4==. & sdw5~=.
replace mid3=sdw3+int((sdw6-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6~=.
replace mid3=sdw3+int((sdw7-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7~=.  
replace mid3=sdw3+int((sdw8-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.
replace mid3=sdw3+int((sdw9-sdw3)/2) if sdw3~=. & sdw4==. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=. 

gen     mid4=sdw4+int((sdw5-sdw4)/2) if sdw4~=. & sdw5~=.
replace mid4=sdw4+int((sdw6-sdw4)/2) if sdw4~=. & sdw5==. & sdw6~=.
replace mid4=sdw4+int((sdw7-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7~=.
replace mid4=sdw4+int((sdw8-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8~=.  
replace mid4=sdw4+int((sdw9-sdw4)/2) if sdw4~=. & sdw5==. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.

gen     mid5=sdw5+int((sdw6-sdw5)/2) if sdw5~=. & sdw6~=.
replace mid5=sdw5+int((sdw7-sdw5)/2) if sdw5~=. & sdw6==. & sdw7~=.
replace mid5=sdw5+int((sdw8-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8~=.
replace mid5=sdw5+int((sdw9-sdw5)/2) if sdw5~=. & sdw6==. & sdw7==. & sdw8==. & sdw9~=.  

gen     mid6=sdw6+int((sdw7-sdw6)/2) if sdw6~=. & sdw7~=.
replace mid6=sdw6+int((sdw8-sdw6)/2) if sdw6~=. & sdw7==. & sdw8~=.
replace mid6=sdw6+int((sdw9-sdw6)/2) if sdw6~=. & sdw7==. & sdw8==. & sdw9~=.

gen     mid7=sdw7+int((sdw8-sdw7)/2) if sdw7~=. & sdw8~=.
replace mid7=sdw7+int((sdw9-sdw7)/2) if sdw7~=. & sdw8==. & sdw9~=.

gen     mid8=sdw8+int((sdw9-sdw8)/2) if sdw8~=. & sdw9~=.

gen     rplanret =rplanret1 if t<mid1 & mid1~=.
replace rplanret= rplanret2 if t>=mid1 & t<mid2
replace rplanret= rplanret3 if t>=mid2 & t<mid3
replace rplanret= rplanret4 if t>=mid3 & t<mid4
replace rplanret= rplanret5 if t>=mid4 & t<mid5
replace rplanret= rplanret6 if t>=mid5 & t<mid6
replace rplanret= rplanret7 if t>=mid6 & t<mid7
replace rplanret= rplanret8 if t>=mid7 & t<mid8
replace rplanret= rplanret9 if t>=mid8 & mid8~=.

drop rplanret1 rplanret2 rplanret3 rplanret4 rplanret5 rplanret6 rplanret7 rplanret8 rplanret9

drop sdw* mid* 
drop _merge

su

drop if t==.

sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx1"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx2"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx3"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx4"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx5"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx6"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx7"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx8"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx9"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx10"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx11"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx12"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx13"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx14"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx15"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx16"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx17"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx18"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx19"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx20"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx21"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx22"
drop _merge
sort hhid pn t
merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\tempx23"
drop _merge

sort hhid pn t

merge hhid pn t using "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_july2010_addvars.dta"  

drop _merge sdw* 

drop rjcind_newcode1 rjcind_newcode2 rjcind_newcode3 rjcind_newcode4 rjcind_newcode5 rjcind_newcode6 rjcind_newcode7 rjcind_newcode8 rjcind_newcode9
drop rjcocc_newcode1 rjcocc_newcode2 rjcocc_newcode3 rjcocc_newcode4 rjcocc_newcode5 rjcocc_newcode6 rjcocc_newcode7 rjcocc_newcode8 rjcocc_newcode9
drop rjlind_newcode1 rjlind_newcode2 rjlind_newcode3 rjlind_newcode4 rjlind_newcode5 rjlind_newcode6 rjlind_newcode7 rjlind_newcode8 rjlind_newcode9
drop rjlocc_newcode1 rjlocc_newcode2 rjlocc_newcode3 rjlocc_newcode4 rjlocc_newcode5 rjlocc_newcode6 rjlocc_newcode7 rjlocc_newcode8 rjlocc_newcode9
drop rjcoccb8 rjcoccb9 rjloccb8 rjloccb9 rjcindb8 rjcindb9 rjlindb8 rjlindb9

replace rjcocc=. if rjcocc==5
replace rjlocc=. if rjlocc==5
replace rjcind=. if rjcind==5
replace rjlind=. if rjlind==5

replace rjcocc_newcode=. if rjcocc==.
replace rjlocc_newcode=. if rjlocc==.
replace rjcind_newcode=. if rjcind==.
replace rjlind_newcode=. if rjlind==.

replace rjstres=. if rjstres==5
replace rjsight=. if rjsight==5
replace rjstoop=. if rjstoop==5
replace rjlift =. if rjlift ==5
replace rjphys =. if rjphys ==5

*flagfhours9

su

save "C:\Documents and Settings\David Blau\My Documents\luc new\HRS\data\empl_long_sept2010_tvv.dta"  , replace

log close








