clear
set memory 200m

infile iu t ir age simdat1-simdat20 epdvss epdvssa epdvle epdvssr epdvdb epdvdba epdvdbr kappa using c:\data\randhrs\estimation\simdat110pp.raw

*    simdats: 1=dispinc 2=cons 3=vf 4=earnw 5=entry 6=empl 7=assets 8=ssclaim 9=DC claim 10=DC Bal 11=DC annuity 12=switch jobs
*             13 = 1 if DC claim lump sum 14= DB claim 15=DB claim form: 1=annuity 16=DB annuity 17=DB assup  18 = DC assup 19 = ssben 20 = lfj

 *              write(44,*)iu,t,ir,age,
 *    &         (simdats(io,t,iu,ir),io=1,20),epdvss(t,iu,ir),
 *    &         epdvssa,epdvle,epdvssr(t,iu,ir),
 *    &         epdvdb(t,iu,ir),epdvdba,epdvdbr(t,iu,ir),kappa(iage)

mvdecode simdat1-simdat20, mv(-9999)

rename simdat7 assets
rename simdat2 cons
rename simdat1 dispinc
rename simdat3 vf
rename simdat4 earn
rename simdat6 empl
rename simdat8 ssclaim
rename simdat9 exit
rename simdat5 nj_notempl
rename simdat12 nj_empl
rename simdat19 ssben
rename simdat18 medexp
rename simdat15 aime
rename simdat14 laidoff

save c:\data\randhrs\estimation\pensim_summer2011\sim110s6, replace

su epdvdbr if iu==2 & t<=15

su

su vf* if t==1

gen earnw = earn if earn>0 & earn~=.

collapse ass* cons* ss* vf* dis* empl* earn* nj* exit laid* aime med* ,by (age)

rename empl empl_sim
rename exit exit_sim
rename nj_notempl entry_sim
rename nj_empl switch_sim
rename assets assets_sim
rename ssclaim ssclaim_sim

su

sort age

save c:\data\randhrs\estimation\pensim_summer2011\sims6

gr tw (conn medexp age) 
gr tw (conn laidoff age) 
gr tw (conn aime age) 
gr tw (conn ssben age) 
gr tw (conn earn age) 
gr tw (conn dispinc age) 
gr tw (conn cons age) 
gr tw (conn assets age) 
gr tw (conn vf age) 
gr tw (conn empl age) 
gr tw (conn exit age) 
gr tw (conn entry age) 
gr tw (conn switch age) 
gr tw (conn medexp age) 
gr tw (conn medexp age) 
