clear
set memory 200m

log using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\crowdout_jan2015_col3", replace

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss135"

keep age assets epdvdb* lfj ssclaim
rename assets assets_db
rename lfj lfj_db
rename ssclaim ssclaim_db
collapse assets epdvdbr lfj* ssc* , by (age)
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss136" 

keep age assets_dc assets_np epdvssr_np ssclaim_np dcbalance lfj_dc ssclaim_dc epdvssr_dc

collapse assets_dc assets_np epdvssr_np ssclaim_np dcbalance lfj_dc ssclaim_dc epdvssr_dc, by (age)
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss137" 

keep age assets_np 
rename assets_np assets_npnoss

collapse assets*, by (age)
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss138" 

keep age assets epdvssr lfj
rename assets assets_db64
rename lfj lfj_db64
rename epdvssr epdvssr_db

collapse assets* epd* lfj*, by (age)
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss139" 

keep age assets epdvdbr lfj
rename assets assets_dbnoss
rename epdvdbr epdvdbr_noss
rename lfj lfj_dbnoss

collapse assets* epd* lfj*, by (age)
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp" ,replace

clear

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss140" 

keep age assets dcbalance lfj
rename assets assets_dcnoss
rename dcbalance dcbalance_noss
rename lfj lfj_dcnoss

collapse assets* dcb* lfj*, by (age)
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\temp"

sort age
drop _merge

* SS, nopen

gen coss = assets_np - assets_npnoss
gen cossp = coss/epdvssr_np

*DB with SS

gen codb = assets_db - assets_np
gen codbp = codb/epdvdbr

* DC with SS

gen codc = assets_dc - assets_np
gen codcp = codc/dcbalance

* SS with DB

gen coss_db = assets_db - assets_dbnoss
gen cossp_db = coss_db/epdvssr_db

*SS with DC

gen coss_dc = assets_dc - assets_dcnoss
gen cossp_dc = coss_dc/epdvssr_dc

*DB, no SS

gen codb_noss = assets_dbnoss - assets_npnoss
gen codbp_noss = codb_noss/epdvdbr_noss

*DC, no SS

gen codc_noss = assets_dcnoss - assets_npnoss
gen codcp_noss = codc_noss/dcbalance_noss

sort age

list age assets* epdv* dcbal* if age<=75
list age codb codbp lfj_db codc codcp lfj_dc coss cossp ssclaim_np  if age<=75
list age coss_db cossp_db ssclaim_db coss_dc cossp_dc ssclaim_dc  if age<=75
list age codb_noss codbp_noss lfj_dbnoss codc_noss codcp_noss lfj_dcnoss if age<=75

log close

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\jan2015_col3", replace


