clear
clear matrix
set mem 1000m

log using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\crowdout_steady state", replace

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss124c"
collapse asse* epdv* , by (age)
keep age asse* epdvdb*
rename assets assets_db
su
sort age
save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\124c_ss" , replace

clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss123d"
collapse asse*  epdvss* dcbal*, by (age)
keep age assets_np assets_dc epdvss_np epdvssa_np epdvssr_np dcbal
su
sort age
save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\123d_ss" ,replace

clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss125"
collapse assets , by (age)
rename assets assets_npnoss
su
sort age
save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\125_ss" ,replace

clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss123x"
collapse epdvdc* , by (age)
su
sort age
save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\123x_ss" ,replace

clear

infile age aliveman alivewom using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\alive.txt"
gen aliveboth = aliveman*alivewom

sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\124c_ss"

drop _merge
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\123d_ss"

drop _merge
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\125_ss"

drop _merge
sort age

merge age using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\crowdout\123x_ss"

drop _merge
sort age

su


gen codb = assets_db - assets_np
gen codbp = codb/epdvdbr

gen coss = assets_np - assets_npnoss
gen cossp = coss/epdvssr_np

gen codc = assets_dc - assets_np
gen codcp = codc/dcbalance
gen codcpa = codc/epdvdcr

sort age

gen codb_ss = codb*aliveman
gen codc_ss = codc*aliveman
gen coss_ss = coss*aliveman

gen codbp_ss = codbp*aliveman
gen codcp_ss = codcp*aliveman
gen codcpa_ss = codcpa*aliveman
gen cossp_ss = cossp*aliveman


gen codb_ssj = codb*aliveboth
gen codc_ssj = codc*aliveboth
gen coss_ssj = coss*aliveboth

gen codbp_ssj = codbp*aliveboth
gen codcp_ssj = codcp*aliveboth
gen codcpa_ssj = codcpa*aliveboth
gen cossp_ssj = cossp*aliveboth

su cod* cos*
su cod* cos* if age<70

*list age codbp cossp codcp codbp_ss cossp_ss codcp_ss codbp_ssj cossp_ssj codcp_ssj

log close

