clear
set memory 200m

* DB

use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss124c.dta"
keep if t==1
su vf* asset* epdvdb*

* VF = -.0229

* DB, epdvss
clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss126.dta"
keep if t==1
su vf* asset* epdvssr

* DC & NP
clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss123d.dta"
keep if t==1
su vf* asset* dcbala epdvssr_*

*VF np = -.0215	HIGHER THAN DB!!!!!!!!!!!!!!!!!
*VF dc = -.0121

* DC with epdvdc
clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss123x.dta"
keep if t==1
su vf* asset* dcbala epdvdc*

* NOSS
clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss125.dta"
keep if t==1
su vf* asset*

* VF = -.0180 HIGHER THAN NP WITH SS!!!!!!!!!!!!!!!

* NOSS with DB
clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss127.dta"
keep if t==1
su vf* asset* epdvdbr

* VF = - .0157

* NOSS with DC
clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss128.dta"
keep if t==1
su vf* asset* dcbal*

* VF = -.0092 HIGHER!!!!!!!!!!!!!!!!!

* NOSS with DC epdvdc
clear
use "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110ss128x.dta"
keep if t==1
su vf* epdvdc*

clear

infile iu t ir age simdat1-simdat23 x1-x8 using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdat110pp.raw"

mvdecode simdat*, mv(-9999)

rename simdat7 assets
rename simdat3 vf

gen vf_np = vf if iu==1
gen vf_dc = vf if iu==3

*su vf* asset* if t==1


clear

infile iu t ir age simdat1-simdat23 x1-x8 using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdat110pp.raw"

mvdecode simdat*, mv(-9999)

rename simdat7 assets
rename simdat3 vf

su vf* asset* if t==1

* results:

* CV(DB | SS): DB with SS vs NP with SS: CV = 2.3 - 4 =   -1.7/6.6 = -.25
* CV(DC|SS): DC with SS vs NP with SS: CV =22.6 - 4 =  18.6/78.9 = .24 using epdvdca
* CV(SS|NP): NP+SS vs NP NOSS : CV = -1 -4 = -5/71.1 = -.07
* CV(DB|NOSS) DB noSS vs NOSS: CV =8.4-4 = 4.4/6.8 = .65
* CV(DC|NOSS): DC noSS vs NOSS: CV =25 - 4 =  21/81.1 = .26 using epdvdca
* CV(SS|DB): DB+SS vs DB NOSS: CV = -1.7 - 8 =-9.7/57.6 = -.17
* CV(SS|DC): DC+SS vs DC NOSS: CV = 3.2 - 8=-4.8/74.5 = -.06

