clear
set memory 200m

infile iu t ir age simdat1-simdat10 pd using "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdat110pp.raw"

mvdecode simdat1-simdat9, mv(-9999)

rename simdat1 vf
rename simdat2 empl
rename simdat3 assets
rename simdat4 cons
rename simdat5 earn
rename simdat6 penclaim
rename simdat7 ssclaim
rename simdat8 ssben
rename simdat9 dispinc
rename simdat10 dbben

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\sim110dbfra68_april2015", replace

su

collapse vf empl ass cons earn penclaim ssclaim ssben dispinc pd dbben, by (age)

su
sort age

save "C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\simdat\simdbfra68_april2015", replace

gr tw (conn empl age) if age<=85 ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\empl_dbfra68_april2015.gph", replace)
gr tw (conn assets age) ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\assets_unadjusted_dbfra68_april2015.gph", replace)
gr tw (conn vf age) ,saving("C:\Users\EconUser\Documents\Saving_and_Retirement\estimation\graphs\vf_dbfra68_april2015.gph", replace)

egen joe = total(empl)
egen agepc = total(1-penclaim)
egen agesc = total(1-ssclaim)
replace joe = joe + 25
replace agepc = agepc + 25
replace agesc = agesc + 25

gen palive = 1 - pd if age==25
replace palive = palive[_n-1]*(1 - pd) if age>25

gen discon = palive*cons/(1.03^(age-25))
gen disearn= palive*earn/(1.03^(age-25))
gen disssben=palive*ssben/(1.03^(age-25))
gen disdbben=palive*dbben/(1.03^(age-25))
gen disdisp= palive*dispinc/(1.03^(age-25))

egen pdvcons = total(discon)
egen pdvearn = total(disearn)
egen pdvssben = total(disssben)
egen pdvdbben = total(disdbben)
egen pdvdisp = total(disdisp)

su if age==25

list age assets

